2012-01-15  Jim Meyering  <meyering@redhat.com>

	getopt: refine syntax of previous change
	* lib/Autom4te/General.pm (getopt): Use a more concise test.

2011-01-15  Stefano Lattarini  <stefano.lattarini@gmail.com>

	getopt: remove hack for special handling of "-" argument

	Older versions of Getopt::Long acted bogusly and died when they
	where configured with the 'bundling' flag and an argument '-' was
	seen on the command line they were parsing.  That is no longer
	the case though, and has not been for quite a long time: the bug
	is no longer present in the 5.6.2 version of perl and the 2.25
	version of Getopt::Long (and today, the latest versions of perl
	and Getopt::Long are respectively 5.14.2 and 2.38).  The obsolete
	workaround for that Getopt::Long bug can thus be removed from our
	'getopt' function.

	It is also worth noting that such a workaround was quite buggy
	and brittle itself; for example, a command like this:
	  "autom4te --output -"
	would have caused the incorrect diagnostic:
	  "autom4te: option `--output' requires an argument"
	Much worse, a command like this:
	  "autom4te --language=autoconf --output - configure.ac"
	would have caused the standard input of autom4te to be processed
	and copied into the 'configure.ac' file, deleting its pre-existing
	content!  Surely not what a user would have expected.

	After this change, a command like this:
	  autom4te --language=autoconf --output - - <configure.ac >out
	works as expected, processing the input from 'configure.ac' and
	writing it to the 'out' file.

	* lib/Autom4te/General.pm (use): Require perl version 5.6.2.
	(getopt): Remove the old workaround.

2012-01-15  Jim Meyering  <meyering@redhat.com>

	avoid new warning about undefined $ARGV[0]
	* lib/Autom4te/General.pm (getopt): Avoid warning induced by
	yesterday's change: $ARGV[0] may not be defined, e.g., when
	invoked via autoreconf.

2011-01-14  Stefano Lattarini  <stefano.lattarini@gmail.com>

	getopt: fix diagnostic for missing mandatory option argument
	Before this change, an incorrect command line usage:
	  "autom4te --output"
	triggered broken diagnostic like:
	  "autom4te: unrecognized option `--output'"
	instead of the expected and correct:
	  "autom4te: option `--output' requires an argument"
	* lib/Autom4te/General.pm (getopt): Give correct diagnostic in
	case of usage errors due to missing arguments for options for
	which they are mandatory.  Code basically copied from automake's
	'parse_arguments' private subroutine.

2012-01-05  Paul Eggert  <eggert@cs.ucla.edu>

	doc: mention Bash 2.03 bug with backslash-newline
	* doc/autoconf.texi (Invoking the Shell): New section.
	(Backslash-Newline-Empty): Rename from Backslash-Newline-Newline.
	Mention problem with Bash 2.03.

	doc: clarify sed buffer limit
	* doc/autoconf.texi (Limitations of Usual Tools):
	That 4000-byte limit applies to output and internal buffers, too.

2012-01-03  Paul Eggert  <eggert@cs.ucla.edu>

	maint: update copyright year
	All files changed to add 2012, via 'make update-copyright'.

	maint: resync upstream files
	* ChangeLog, GNUmakefile, build-aux/announce-gen:
	* build-aux/config.guess, build-aux/config.sub, build-aux/gendocs.sh:
	* build-aux/git-version-gen, build-aux/move-if-change:
	* build-aux/texinfo.tex, build-aux/update-copyright:
	* build-aux/vc-list-files, doc/fdl.texi, doc/gendocs_template:
	* doc/standards.texi, lib/Autom4te/XFile.pm, m4/autobuild.m4:
	Regenerated by 'make fetch'.

2012-01-02  Paul Eggert  <eggert@cs.ucla.edu>

	autoconf: remove " -link" and ")" from xlf output
	* lib/autoconf/fortran.m4 (_AC_PROG_FC_V_OUTPUT):
	Also remove " -link" and trailing ")" from xlf output.
	Problem and fix reported by Thomas Jahns in
	<http://lists.gnu.org/archive/html/bug-autoconf/2012-01/msg00000.html>.

2011-12-26  Stefano Lattarini  <stefano.lattarini@gmail.com>

	configure: will re-execute with $CONFIG_SHELL, if it's set
	* lib/m4sugar/general.m4 (_AS_DETECT_BETTER_SHELL): Define the macro
	`_AS_FORCE_REEXEC_WITH_CONFIG_SHELL' to `yes', so that the code in
	`_AS_DETECT_BETTER_SHELL' will cause autoconf-generated configure
	scripts to always re-execute themselves with $CONFIG_SHELL, if it's
	set in the environment.
	* doc/autoconf.texi (config.status Invocation): Update.
	* doc/install.texi (Defining Variables): Likewise.
	* NEWS: Likewise.
	* tests/m4sh.at: Add tests for the new semantics in ...
	(Configure re-execs self with CONFIG_SHELL): ... this new
	test group.

2011-12-26  Stefano Lattarini  <stefano.lattarini@gmail.com>

	m4sh: allow forced re-execution with $CONFIG_SHELL, if it's set
	* lib/m4sugar/m4sh.m4 (_AS_DETECT_BETTER_SHELL): If the m4sh client
	has defined the macro `_AS_FORCE_REEXEC_WITH_CONFIG_SHELL' to
	"yes", emit code to always re-execute the current script with
	$CONFIG_SHELL, if that's set.
	* tests/m4sh.at: Add tests for the new and old semantics, in ...
	(Re-exec with CONFIG_SHELL, Forced re-exec with CONFIG_SHELL): ...
	these new test groups.

2011-12-26  Stefano Lattarini  <stefano.lattarini@gmail.com>

	m4sh: refactor _AS_DETECT_BETTER_SHELL, for future changes
	* lib/m4sugar/m4sh.m4 (_AS_DETECT_BETTER_SHELL): Move code to
	handle the re-execution of the shell ...
	(_AS_REEXEC_WITH_SHELL): ... in this new macro.

2011-12-24  Stefano Lattarini  <stefano.lattarini@gmail.com>

	docs: issue with shell functions and here-documents on Solaris
	* doc/autoconf.texi (Here-Documents): Using a command substitution
	in a here-documents being fed to a shell function is unportable.
	Problem revealed by the automake testsuite:
	<http://lists.gnu.org/archive/html/automake-patches/2011-12/msg00149.html>

2011-12-26  Paul Eggert  <eggert@cs.ucla.edu>

	AS_LN_S: fall back on 'cp -pR' (not 'cp -p') if 'ln -s' fails
	This works better for symlinks to directories.
	Problem reported by Eli Zaretskii via Werner Lemberg in
	<http://lists.gnu.org/archive/html/bug-autoconf/2011-12/msg00006.html>.
	* NEWS:
	* doc/autoconf.texi (Particular Programs): Document this.
	* lib/m4sugar/m4sh.m4 (_AS_LN_S_PREPARE): Implement this.

2011-12-07  Paul Eggert  <eggert@cs.ucla.edu>

	AC_LANG_BOOL_COMPILE_TRY(C): port to g++ with warnings
	* lib/autoconf/c.m4 (AC_LANG_BOOL_COMPILE_TRY(C)): Use the
	array as well as setting it, to pacify g++.  Reported by
	Werner Lemberg in
	<http://lists.gnu.org/archive/html/autoconf/2011-12/msg00005.html>.

2011-12-05  Paul Eggert  <eggert@cs.ucla.edu>

	doc: document GNU make's \#
	* doc/autoconf.texi (Comments in Make Macros): Also mention \#
	in the right hand side of a macro, as an unportable usage.

2011-11-11  Eric Blake  <eblake@redhat.com>

	doc: tweak previous commit
	* doc/autoconf.texi (Limitations of Builtins) <export>: Give
	concrete example of offender, and drop redundant text.
	Reported by Stefano Lattarini.

	doc: mention export portability hint
	* doc/autoconf.texi (Limitations of Builtins) <export>: Document
	export limitation.
	Suggested by Bruno Haible.

2011-10-21  Stefano Lattarini  <stefano.lattarini@gmail.com>

	fortran: define $GFC to "yes" if $FC is a GNU compiler
	* lib/autoconf/fortran.m4 (AC_PROG_FC): Define `$GFC' to "yes" if
	the detected fortran compiler is a GNU compiler, define it to the
	empty string otherwise.
	This is mostly for consistency for what is done for the C, C++
	and Fortran 77 compilers.
	* doc/automake.texi: Update.

2011-10-13  Eric Blake  <eblake@redhat.com>

	admin: mention recent copyright assignments
	* AUTHORS: Update list.

2011-10-06  Stefano Lattarini  <stefano.lattarini@gmail.com>

	docs: we prefer US English spelling over British one
	* doc/autoconf.texi (Parallel Make): Prefer `behavior' over
	`behaviour' in a couple of places.

2011-10-06  Stefano Lattarini  <stefano.lattarini@gmail.com>

	docs: some fixlets in section about shell signal handling
	* doc/autoconf.texi (Signal handling): Rename ...
	(Signal Handling): ... to this, for consistency with other node
	names.  Fix some typos and grammaros.  Add more URL references
	in comments.

2011-10-06  Stefano Lattarini  <stefano.lattarini@gmail.com>

	docs: korn shells can have $? > 256 for signal-terminated children
	Some Korn shells, when a child process dies due to signal number
	n, can leave in $? an exit status of 256+n, instead of the more
	common 128+n.  See also Austin Group issue 0000051:
	  <http://www.austingroupbugs.net/view.php?id=51>
	* doc/autoconf.texi (Signal handling): Document the described Korn
	Shell behaviour, and some of its possible shortcomings.
	Suggestion by Eric Blake.

2011-09-26  Eric Blake  <eblake@redhat.com>

	docs: relax documentation license by dropping cover text
	* doc/autoconf.texi (copying): Drop front- and back-cover texts.
	* NEWS: Document this.
	Reported by Brian Gough.

2011-09-13  Stefano Lattarini  <stefano.lattarini@gmail.com>

	docs: signal-related bugs and incompatibilities for the shells
	Motivated by recent discussion on the bug-autoconf list, as well
	as work in the automake testsuite:
	 <https://lists.gnu.org/archive/html/bug-autoconf/2011-09/msg00003.html>
	 <https://lists.gnu.org/archive/html/bug-autoconf/2011-09/msg00004.html>
	 <http://lists.gnu.org/archive/html/automake-patches/2011-09/msg00066.html>
	* doc/autoconf.texi (Signal handling): New paragraph.
	(@menu at "Portable Shell", @detailmenu): Update.

2011-09-19  Eric Blake  <eblake@redhat.com>

	docs: refer to correct AC_RUN_IFELSE parameter name
	* doc/autoconf.texi (Runtime) <AC_RUN_IFELSE>: Fix wording.
	Reported by Reuben Thomas.

2011-09-16  Eric Blake  <eblake@redhat.com>

	docs: fix typo in shell example
	* doc/autoconf.texi (Shell Substitutions): Fix typo.
	* THANKS: Update.
	Reported by Nick Bowler.

2011-09-14  Stefano Lattarini  <stefano.lattarini@gmail.com>

	docs: more details about make VPATH rewriting woes
	* doc/autoconf.texi (Automatic Rule Rewriting): Solaris make
	VPATH rewriting applies to any whitespace-separated word in a
	rule, so it might apply also to shell variables, functions
	and keywords (and automake has already tripped on this once);
	document this, with an example.  Since we are at it, do some
	minor reformatting of existing text.

2011-09-13  Stefano Lattarini  <stefano.lattarini@gmail.com>

	docs: document Solaris 10 /bin/ksh and XPG4 sh 'unset' bug
	* doc/autoconf.texi (Limitations of Builtins): Solaris 10 ksh
	and XPG4 sh also fails upon `unset' of a variable that is not
	set.

2011-07-24  Jim Meyering  <meyering@redhat.com>

	docs: improve the prose describing _AC_CHECK_TYPE_NEW_BODY
	* lib/autoconf/types.m4 (_AC_CHECK_TYPE_NEW_BODY): Improve prose.

2011-08-31  Paul Eggert  <eggert@cs.ucla.edu>

	AC_C_CONST: don't reject gcc -Werror -Wall
	* lib/autoconf/c.m4 (AC_C_CONST): Don't reject gcc when it is used
	with -Werror -Wall during configuring.  It's unwise to use GCC
	that way, but apparently enough people do it nowadays that it's an
	issue.  These days nobody uses the old compilers that the old
	tests reject, so we can't test this fix against them, but it's
	more important to work with modern GCC (even when misused) than to
	work with no-longer-used compilers.  Problem reported by Shevek in
	<http://lists.gnu.org/archive/html/bug-autoconf/2008-11/msg00007.html>
	and raised again by Dan Kegel in
	<http://lists.gnu.org/archive/html/bug-autoconf/2011-08/msg00020.html>.

2011-08-16  Stefano Lattarini  <stefano.lattarini@gmail.com>

	docs: other issues with parallel BSD make
	Motivated by automake bug#9245:
	 <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9245>
	and FreeBSD PR bin/159730:
	 <http://www.freebsd.org/cgi/query-pr.cgi?pr=159730>
	* doc/autoconf.texi (Parallel Make): Document other BSD make
	incompatibilities.  Reorganize the existing related documentation
	accordingly.

2011-08-08  Stefano Lattarini  <stefano.lattarini@gmail.com>

	docs: fix minor typos
	* doc/autoconf.texi (Shell Functions): Fix a couple of minor typos.

2011-08-04  Stefano Lattarini  <stefano.lattarini@gmail.com>

	docs: another Solaris sh bug with redirected `:'
	* doc/autoconf.texi (File Descriptors): Solaris 10 /bin/sh
	"optimizes" away redirected `:' commands in a shell function
	after the first call.

2011-07-31  Paul Eggert  <eggert@cs.ucla.edu>

	docs: modernize treatment of ns-resolution timestamps
	* doc/autoconf.texi (Limitations of Usual Tools): ns-resolution time
	stamps are now routinely supported by coreutils 'cp' etc.

2011-07-30  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/specific.m4 (AC_SYS_LARGEFILE): Port to Mac OS X 10.5
	by defining _DARWIN_USE_64_BIT_INODE.  Imported from gnulib.

2011-07-22  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/specific.m4 (AC_USE_SYSTEM_EXTENSIONS): Quote cleanly.
	This is imported from gnulib.  gnulib also has an HP-UX 11.11 fix, but
	let's see if we can do that another way, as it's pretty heavyweight.

2011-07-22  Eric Blake  <eblake@redhat.com>

	docs: fix minor doc problems
	* doc/autoconf.texi (Why Not Imake): Fix grammar.
	(autoreconf Invocation): Fix short option for --version.
	* THANKS: Update.
	Reported by Christophe Jarry and Russ Allbery.

2011-07-12  Benoit Sigoure  <tsunanet@gmail.com>  (tiny change)

	docs: fix typo in AC_PATH_PROG
	* doc/autoconf.texi (Erlang Compiler and Interpreter):
	s/AC_PROG_PATH/AC_PATH_PROG/.
	* THANKS: Update.

2011-06-30  Paul Eggert  <eggert@cs.ucla.edu>

	* tests/semantics.at (AC_REPLACE_FUNCS): Test for just-fixed bug.

2011-06-30  Timo Kamph  <timo.kamph@tu-harburg.de>  (trivial change)

	* lib/autoconf/functions.m4 (_AC_REPLACE_FUNCS): Fix tr-cpp problem.
	See http://lists.gnu.org/archive/html/bug-autoconf/2011-06/msg00058.html

2011-06-19  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/functions.m4 (_AC_LIBOBJ_ALLOCA): Be even smarter.
	GCC was too smart for the previous patch.  See
	<http://lists.gnu.org/archive/html/bug-autoconf/2011-06/msg00035.html>.

2011-06-18  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/functions.m4 (_AC_LIBOBJ_ALLOCA): Try to outsmart GCC.
	Problem with stack-detection code reported by Andy Wingo in
	<http://lists.gnu.org/archive/html/bug-autoconf/2011-06/msg00032.html>.
	This fix is imported from gnulib's c-stack module.

	* doc/autoconf.texi (File Descriptors): Fix texinfo typo.

2011-06-14  Eric Blake  <eblake@redhat.com>

	doc: mention more about ksh cloexec behavior
	* doc/autoconf.texi (File Descriptors): Clarify that only the exec
	builtin suffers from cloexec issues.

	doc: update quoting example
	* doc/autoconf.texi (Autoconf Language): Add AC_LANG_SOURCE use.
	* THANKS: Update.
	Reported by Křištof Želechovski.

2011-05-05  Eric Blake  <eblake@redhat.com>

	doc: document dash bug with positional parameters
	* doc/autoconf.texi (Shell Substitutions) <${10}>: Document
	a pitfall with $10.

2011-04-27  Eric Blake  <eblake@redhat.com>

	docs: document NetBSD join bug
	* doc/autoconf.texi (Limitations of Usual Tools) <join>: Mention
	bug in -a parsing.
	Reported by J.T. Conklin.

2011-04-13  Eric Blake  <eblake@redhat.com>

	maint: reflect recent copyright assignments
	* AUTHORS: Update.

2011-04-05  Eric Blake  <eblake@redhat.com>

	maint: reflect recent copyright assignments
	* AUTHORS: Update.

2011-04-02  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	New macro AC_FC_PP_DEFINE for the preprocessor define flag.
	* lib/autoconf/fortran.m4 (AC_FC_PP_DEFINE): New macro.
	* lib/autom4te.in (Automake-preselections): Preselect it.
	* doc/autoconf.texi (Fortran Compiler): Document it.
	* tests/local.at (_AT_CHECK_ENV): Do not complain about
	FCFLAGS_F nor FC_DEFINE.
	* NEWS: Update.

	New macro AC_FC_PP_SRCEXT for preprocessed file extensions.
	* lib/autoconf/fortran.m4 (AC_FC_PP_SRCEXT): New macro.
	* lib/autom4te.in (Automake-preselections): Preselect it.
	* doc/autoconf.texi (Fortran Compiler): Document it, rewriting
	the documentation for AC_FC_SRCEXT along the way.
	* tests/fortran.at (AC_FC_PP_SRCEXT usage): New test.
	* tests/mktests.sh: Exclude the macro from default testing.
	* NEWS: Update.

	New macro AC_FC_MODULE_OUTPUT_FLAG: module output directory.
	* lib/autoconf/fortran.m4 (AC_FC_MODULE_OUTPUT_FLAG): New macro.
	* doc/autoconf.texi (Fortran Compiler): Document it.
	* tests/local.at (_AT_CHECK_ENV): Do not complain about
	FC_MODOUT.
	* NEWS: Update.

2011-04-02  Luc Maisonobe  <luc@spaceroots.org>
	    Julian C. Cummings  <cummings@cacr.caltech.edu>
	    Alexander Pletzer  <pletzer@txcorp.com>
	    Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	New macro AC_FC_MODULE_FLAG: Fortran 90 module include path.
	* lib/autoconf/fortran.m4 (AC_FC_MODULE_FLAG): New macro,
	adjusted and rewritten from the AX_F90_MODULE_FLAG macro from
	the Autoconf Macro Archive by Luc Maisonobe, Julian C. Cummings,
	and Alexander Pletzer.
	* doc/autoconf.texi (Fortran Compiler): Document it.
	* tests/fortran.at (AC_FC_MODULE_FLAG): New test.
	* tests/local.at (AT_CHECK_ENV): Do not complain about FC_MODINC
	setting.
	* NEWS, THANKS: Update.

2011-04-02  Luc Maisonobe  <luc@spaceroots.org>
	    Alexander Pletzer  <pletzer@txcorp.com>
	    Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	New macro AC_FC_MODULE_EXTENSION: Fortran 90 module extension.
	* lib/autoconf/fortran.m4 (AC_FC_MODULE_EXTENSION): New macro,
	rewritten from the AX_F90_MODULE_EXTENSION macro from the
	Autoconf Macro Archive by Luc Maisonobe and Alexander Pletzer.
	* doc/autoconf.texi (Fortran Compiler): Document it.
	* tests/local.at (_AT_CHECK_ENV): Do not complain about
	FC_MODEXT setting.
	* NEWS, THANKS: Update.

2011-03-26  Jim Meyering  <meyering@redhat.com>

	README-hacking: fix typo
	* README-hacking: s/just build/just built/.

2011-03-08  Colin Watson  <cjwatson@debian.org>  (tiny change)
	    Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/autoconf.texi (Particular Functions): Document AC_FUNC_FORK
	cache variables.
	* THANKS: Update.

2011-03-08  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	docs: BSD and Solaris make trailing space macro issue.
	* doc/autoconf.texi (Trailing whitespace in Make Macros):
	Document issue with trailing whitespace in macro settings.

2011-03-05  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix Cray Fortran flag for AC_FC_IMPLICIT_NONE.
	* lib/autoconf/fortran.m4 (_AC_FC_IMPLICIT_NONE): Use -e I
	not -d i, for Cray ftn.
	* THANKS: Update.
	Thanks to Tobias Burnus for feedback and testing.

	docs: document several Fortran and OpenMP cache variables.
	* doc/autoconf.texi (Generic Compiler Characteristics)
	[AC_OPENMP]: Document associated cache variables.
	(Fortran Compiler) [AC_PROG_F77, AC_PROG_FC, AC_PROG_F77_C_O]
	[AC_PROG_FC_C_O, AC_F77_LIBRARY_LDFLAGS, AC_FC_LIBRARY_LDFLAGS]
	[AC_F77_DUMMY_MAIN, AC_FC_DUMMY_MAIN, AC_F77_MAIN, AC_FC_MAIN]
	[AC_F77_WRAPPERS, AC_FC_WRAPPERS, AC_FC_FREEFORM]
	[AC_FC_FIXEDFORM, AC_FC_LINE_LENGTH, AC_FC_CHECK_BOUNDS]
	[AC_F77_IMPLICIT_NONE, AC_FC_IMPLICIT_NONE]: Document and/or
	index the cache variables used by these macros.

2011-03-05  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>
	and Eric Blake  <eblake@redhat.com>

	build: exclude M4 with buggy strstr
	* m4/m4.m4 (AC_PROG_GNU_M4): When searching PATH, do not accept
	an m4 that has either the gnulib strstr bug, or the glibc/gnulib
	strstr bug.

2011-03-05  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	docs: fix description of AC_F77_IMPLICIT_NONE.
	* doc/autoconf.texi (Fortran Compiler) [AC_F77_IMPLICIT_NONE]:
	This macro modifies FFLAGS, not FCFLAGS.

	AC_FC_SRCEXT: allow gfortran to compile .f77 files.
	* lib/autoconf/fortran.m4 (AC_FC_SRCEXT): Try '-x f77' for .f77
	files, '-x f95' for others, for gfortran.

	New macros AC_{F77,FC}_IMPLICIT_NONE to disable Fortran implicit int.
	* lib/autoconf/fortran.m4 (_AC_FC_IMPLICIT_NONE): New internal
	macro.
	(AC_F77_IMPLICIT_NONE, AC_FC_IMPLICIT_NONE): New macros.
	* doc/autoconf.texi (Fortran Compiler): Document them.
	* NEWS: Update.

	New macro AC_FC_CHECK_BOUNDS to enable Fortran array bounds checking.
	* lib/autoconf/fortran.m4 (AC_FC_CHECK_BOUNDS): New macro.
	* doc/autoconf.texi (Fortran Compiler): Document it.
	* tests/fortran.at (AC_FC_CHECK_BOUNDS): New test.
	* NEWS: Update.
	Prompted by report from Eve-Marie Devaliere.

2011-03-04  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Update known compiler switches for Fortran and OpenMP macros.
	* lib/autoconf/c.m4 (AC_OPENMP): Update for Lahey on GNU/Linux.
	* lib/autoconf/fortran.m4 (_AC_F95_FC): Also try nagfor.
	(_AC_PROG_FC_V): Update documentation for Lahey switches.
	(AC_FC_FREEFORM, AC_FC_FIXEDFORM): Add flags for Absoft, Lahey
	on GNU/Linux, document NAGWare, g95, and f2c switches.
	(AC_FC_LINE_LENGTH): Document NAGware switch.  Update Absoft,
	Lahey, NAGWare, Open Watcom, g95, and f2c switches.

	tests: accept f2c/fort77 as GNU Fortran 77.
	* tests/fortran.at (GNU Fortran 77): Try to detect f2c wrapper
	fort77 as GNU as well: it defines __GNUC__ too.  Fixes testsuite
	failure when f77 is fort77.
	Report from Giulio Paci.

	docs: macro synopses document default failure cases.
	* doc/autoconf.texi (Fortran Compiler, Obsolete Macros):
	Document failure case for AC_F77_DUMMY_MAIN, AC_FC_DUMMY_MAIN,
	AC_FC_SRCEXT, AC_FC_FREEFORM, AC_FC_FIXEDFORM,
	AC_FC_LINE_LENGTH, and AC_TRY_RUN macros.

	Reword Fortran macro documentation.
	* doc/autoconf.texi (Fortran Compiler): Improve wording for
	AC_FC_FREEFORM, AC_FC_FIXEDFORM, and AC_FC_LINE_LENGTH macros.

2011-02-27  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	config.status: do not quote $SHELL when rerunning configure.
	* lib/autoconf/status.m4 (_AC_OUTPUT_CONFIG_STATUS): Allow
	$SHELL to contain more than one word, when rerunning configure,
	for debugging purposes like CONFIG_SHELL='/bin/sh -x'.

2011-02-21  Ian Lance Taylor  <iant@google.com>

	* lib/autoconf/go.m4: New file.
	* lib/autoconf/autoconf.m4: Include autoconf/go.m4.
	* lib/autoconf/Makefile.am (dist_autoconflib_DATA): Add go.m4.
	* lib/freeze.mk (autoconf_m4f_dependencies): Add
	$(src_libdir)/autoconf/go.m4.
	* doc/autoconf.texi: Rebuild menus.
	(Preset Output Variables): Mention Go.  Document GOFLAGS.
	(Libraries): Mention Go.
	(Go Compiler): New subsection.
	(Language Choice): Mention Go.
	(Generating Sources): Likewise.
	(Running the Preprocessor): Likewise.
	* tests/go.at: New file.
	* tests/suite.at: Include go.at and acgo.at.
	* tests/local.at (_AT_CHECK_ENV): Add GOC and GOFLAGS.
	* tests/Makefile.am (TESTSUITE_GENERATED_AT): Add
	$(srcdir)/acgo.at.
	(TESTSUITE_HAND_AT): Add go.at.
	(AUTOCONF_FILES): Add $(autoconfdir)/go.m4.
	* NEWS: Update.

2011-02-20  Christian Rössel  <christian.roessel@gmx.de>  (tiny change)
	    Markus Geimer  <m.geimer@fz-juelich.de>  (tiny change)

	Fix OpenMP flag detection for various Fortran compilers.
	* lib/autoconf/c.m4 (_AC_LANG_OPENMP(Fortran 77)): Use '!$'
	OpenMP-conditional compilation construct, to force compile
	failure with missing OpenMP flag.
	(AC_OPENMP): Add flags for Cray CCE and NEC SX compilers.
	* THANKS: Update.

2011-02-18  Eric Blake  <eblake@redhat.com>

	docs: document fourth argument of AC_RUN_IFELSE better
	* doc/autoconf.texi (Runtime) <AC_RUN_IFELSE>: Make synopsis show
	that the default is configure failure.  Rework the text about
	proper use of the fourth argument.

	long long: don't abort configure when cross-compiling
	* lib/autoconf/types.m4 (AC_TYPE_LONG_LONG_INT): Provide no-op
	cross-compiling fallback; fixing regression from 2011-02-16.

2011-02-16  Patrick Welche  <prlw1@cam.ac.uk>  (tiny change)

	docs: fix a typo
	* doc/autoconf.texi (Generic Structures): Fix typo.

2011-02-16  Matt Kraai  <kraai@ftbfs.org>  (tiny change)

	docs: fix some typos
	* doc/autoconf.texi (testsuite Scripts): Fix typos.
	* THANKS: Update.

2011-02-16  Paul Eggert  <eggert@cs.ucla.edu>

	autoconf: tune long long tests, particularly for c99

	This change is imported from gnulib.
	* lib/autoconf/types.m4 (AC_TYPE_LONG_LONG_INT): Don't bother compiling
	or running anything if c99, or if unsigned long long int does not
	work.  In either case, we know the answer without further tests.
	Do not compile _AC_TYPE_LONG_LONG_SNIPPET twice.  Instead, compile
	it at most once, and use its results for both long long int and
	unsigned long long int.  This is more likely to be efficient in
	the common case where the program wants to check for both long
	long int and unsigned long long int.
	(AC_TYPE_UNSIGNED_LONG_LONG_INT): Don't bother compiling if c99,
	since the answer is already known.

2011-02-15  Eric Blake  <eblake@redhat.com>

	doc: fix debug advice typo
	* doc/autoconf.texi (Debugging): Put shell option in right place.
	Reported by Reuben Thomas.

2011-02-12  Giulio Paci  <giuliopaci@interfree.it>  (tiny change)
	    Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix detection of link flags for fort77 on GNU/Linux.
	* lib/autoconf/fortran.m4 (_AC_PROG_FC_V_OUTPUT): Properly detect
	the fort77 (f2c wrapper) compiler verbose linking output flag.
	Fixes also AC_F77_LIBRARY_LDFLAGS and AC_F77_DUMMY_MAIN.
	* THANKS: Update.

2011-02-07  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/autoconf.texi: Rebuild menus using emacs ^C ^U ^A.

2011-02-04  Paul Eggert  <eggert@cs.ucla.edu>

	autoconf: new macro AC_HEADER_CHECK_STDBOOL
	* NEWS: Document this.
	* doc/autoconf.texi (Particular Headers): Likewise.
	In example, don't assume a 'system.h' exists.
	* lib/autoconf/headers.m4 (AC_CHECK_HEADER_STDBOOL): New macro.
	Use it with AN_IDENTIFIER, since it's less heavyweight.
	Reindent to match gnulib, since that's a bit nicer.
	(AC_HEADER_STDBOOL): Reimplement in terms of it.

2011-01-29  Jim Warhol  <jrw@jwarhol.com>  (tiny change)

	* doc/autoconf.texi (Introduction): Fix typo.
	* THANKS: Update.

2011-01-27  Stefano Lattarini  <stefano.lattarini@gmail.com>

	docs: another parallel make issue
	* doc/autoconf.texi (Parallel Make): Document that some make
	implementations, when run in parallel mode, connect stdout and
	stderr of child processes to pipes or temporary files, and might
	re-route stderr of spawned processes to stout.  Also document
	that FreeBSD make in parallel mode reuses the same shell for
	multiple commands within one recipe (like NetBSD make does).

2011-01-25  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>
	    Eric Blake  <eblake@redhat.com>

	docs: advise against HP-UX make due to time stamp semantics.
	* doc/autoconf.texi (Timestamps and Make): Document HP-UX 11.31
	make issue with targets having the same time stamps as their
	prerequisites.
	* doc/install.texi (Particular Systems): Warn against using
	HP-UX make.

2011-01-25  Eric Blake  <eblake@redhat.com>

	maint: reflect recent copyright assignments
	* AUTHORS: Update.

2011-01-23  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	docs: new section about whitespace trimmed from make command-lines.
	* doc/autoconf.texi (Command-line Macros and whitespace): New
	section, document trimming of whitespace from macros set on the
	command line and from the environment.

2011-01-22  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	docs: document how to use comment characters in rules.
	* doc/autoconf.texi (Comments in Make Rules): Explain how to
	produce a `#' in a rule.
	(Comments in Make Macros): Add cross reference.
	Suggestion from Eric Blake.

	docs: new sections about comments and whitespace in make macros.
	* doc/autoconf.texi (Top, Portable Make): Adjust menus.
	(Comments in Make Macros, Trailing whitespace in Make Macros):
	New sections.
	Suggestion by Stefano Lattarini.

	docs: do not use AIX 5.3 cp -R.
	* doc/autoconf.texi (Limitations of Usual Tools): Document one
	instance of the cp -R bug on AIX 5.3.  This seems to have been
	fixed in 6.1 and newer releases.

	docs: update entry about unset.
	* doc/autoconf.texi (Limitations of Builtins): NetBSD sh unset
	also fails upon `unset' of a variable that is not set.  Bash 2.01
	could also dump core over `unset MAILPATH'.
	Suggestion by Eric Blake.

2011-01-21  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix LEXLIB and YYTEXT_POINTER with IRIX 6.5 flex 2.5.4.
	* lib/autoconf/programs.m4 (_AC_PROG_LEX_YYTEXT_DECL):
	Overquote nontrivial yyless argument, to compensate for
	underquoted macro definition in IRIX 6.5 flex 2.5.4
	leading to compile failure due to incompatible operands.
	Fixes Automake silent-lex-generic.test failure.

2011-01-17  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	docs: Tru64/OSF sh treats read as special builtin
	* doc/autoconf.texi (Limitations of Builtins): read may exit
	upon unreadable or non-existent file with Tru64/OSF 5.1 sh.

2011-01-12  Eric Blake  <eblake@redhat.com>

	docs: fix description of m4_ifval
	* doc/autoconf.texi (Conditional constructs) <m4_ifval>: Use
	correct argument order.
	* THANKS: Update.
	Reported by Mostafa.

2011-01-10  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Avoid reference to $CYGWIN in Fortran macros.
	* lib/autoconf/fortran.m4 (_AC_FC_LIBRARY_LDFLAGS): Require
	AC_CANONICAL_HOST.  Replace test for $CYGWIN with $host_s test.
	* tests/fortran.at (AC_F77_DUMMY_MAIN usage)
	(AC_FC_DUMMY_MAIN usage, AC_F77_MAIN usage, AC_FC_MAIN usage):
	Use AT_CONFIGURE_AC and simplify accordingly, so auxiliary
	scripts are copied into the test directories.
	(AC_F77_FUNC usage, AC_FC_FUNC usage): Likewise.  Adjust to
	autoheader being used now.

	docs: link to Gnulib configmake documentation.
	* doc/autoconf.texi (Defining Directories): Use proper crossref,
	now that the Gnulib manual has a configmake section.
	Thanks to Karl Berry.

2011-01-09  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	docs: link to 'set -e' shell behavior overview.
	* doc/autoconf.texi (Limitations of Builtins): Add link to
	Sven Mascheck's 'set -e' page.  Replace broken Opengroup link.
	Suggestion by Eric Blake.

	docs: mention configmake module for defining directories.
	* doc/autoconf.texi (Defining Directories): Mention configmake
	gnulib module.
	Suggestion by Karl Berry and Eric Blake.

2011-01-04  Eric Blake  <eblake@redhat.com>

	doc: improve install.texi texinfo markup
	* doc/install.texi: Don't force @firstparagraphindent on all
	clients; instead, add it only when building INSTALL.  Compress
	copyright.
	* Makefile.am (INSTALL): Match gnulib's formatting.
	Reported by Karl Berry.

	maint: update copyright year
	All files changed to add 2011, via 'make update-copyright'.

	maint: resync upstream files
	* GNUmakefile: Regenerated by 'make fetch'.
	* build-aux/config.guess: Likewise.
	* build-aux/config.sub: Likewise.
	* build-aux/gendocs.sh: Likewise.
	* build-aux/git-version-gen: Likewise.
	* build-aux/texinfo.tex: Likewise.
	* doc/make-stds.texi: Likewise.
	* lib/Autom4te/Channels.pm: Likewise.
	* lib/Autom4te/Configure_ac.pm: Likewise.
	* lib/Autom4te/FileUtils.pm: Likewise.
	* lib/Autom4te/Struct.pm: Likewise.
	* lib/Autom4te/XFile.pm: Likewise.

	maint: document use of copyright ranges
	* README: Copy coreutils wording for allowing copyright year
	ranges.
	* cfg.mk (UPDATE_COPYRIGHT_USE_INTERVALS): Now that GNU Coding
	Standards permit it, prefer shorthand copyright.
	* .x-update-copyright: Exempt an imported file.

2011-01-03  Karl Berry  <karl@freefriends.org>

	Avoid using @acronym in install.texi.
	* doc/install.texi (Basic Installation, Multiple Architectures)
	(Installation Names): Write `GNU' instead of `@acronym{GNU}'.

2010-12-27  Paul Eggert  <eggert@cs.ucla.edu>

	autoconf: Use -D_STDC_C99=, not -xc99=all, with Solaris cc
	* lib/autoconf/c.m4 (_AC_PROG_CC_C99): Use -D_STDC_C99= rather than
	-xc99=all to convince Solaris Studio cc to compile c99 programs.

2010-11-26  Paul Eggert  <eggert@cs.ucla.edu>

	autotest: fix file descriptor leak
	* lib/autotest/general.m4 (_AT_CHECK): Close AS_MESSAGE_LOG_FD
	when running the test.	Problem reported by Luke Mewburn in
	<http://lists.gnu.org/archive/html/autoconf/2010-11/msg00036.html>.

2010-11-20  Paul Eggert  <eggert@cs.ucla.edu>

	autoconf: don't assume sys/stat.h and sys/types.h when testing C89
	Problem reported by Patrick Pelissier in
	<http://lists.gnu.org/archive/html/bug-autoconf/2010-11/msg00019.html>.
	* lib/autoconf/c.m4 (_AC_PROG_CC_C89): Don't include sys/types.h
	and sys/stat.h.  Instead, define a dummy struct stat.  C89 doesn't
	guarantee sys/types.h and sys/stat.h.

2010-11-10  Reuben Thomas  <rrt@sc3d.org>  (tiny change)

	docs: avoid first person, and credit history to David MacKenzie
	* doc/autoconf.texi (History): Add credit.

2010-10-26  Paul Eggert  <eggert@cs.ucla.edu>

	docs: Posix now says "((cat))" isn't portable
	* doc/autoconf.texi (Parenthesis): Update documentation to reflect
	what Posix 1003.1-2008 says about "((".

2010-10-20  Eric Blake  <eblake@redhat.com>

	docs: document dash bug in <>
	* doc/autoconf.texi (File Descriptors): Dash 0.5.5 truncates on
	<>; at least this was fixed in dash 0.5.6.

2010-10-12  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	tests: avoid AC_CACHE_CHECK test failure with dash.
	* tests/base.at (AC_CACHE_CHECK): Normalize configure exit
	status in presence of syntax error in sourced site file.
	Do not error out if configure is aborted at this point.
	Fixes testsuite failure with dash 0.5.5.1.

2010-10-08  Eric Blake  <eblake@redhat.com>

	AS_LITERAL_IF: Treat raw = as literal again.
	* lib/m4sugar/m4sh.m4 (_AS_LITERAL_IF): Treat = like +.
	* tests/m4sh.at (AS@&t@_TR_SH and AS@&t@_TR_CPP)
	(AS@&t@_LITERAL_IF): Expand tests.
	* NEWS: Document the fix.
	Reported via Ben Pfaff; originally http://bugs.debian.org/593838

2010-09-24  Joshua G. Hale  <jgh.emc@gmail.com>  (tiny change)

	docs: fix typo in AC_CONFIG_FILES example code.
	* doc/autoconf.texi (Configuration Actions): Fix typo.
	* THANKS: Update.

2010-10-05  Eric Blake  <eblake@redhat.com>

	doc: suggest a few more workarounds
	* doc/autoconf.texi (Limitations of Usual Tools) <tr>: Mention
	that 'redundant' brackets can work around Solaris bug.
	(File Descriptors): Mention that {} works as well as () for
	silencing file-not-found warnings.
	* THANKS: Update.
	Suggested by Pádraig Brady.

2010-09-24  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	tests: normalize trailing spaces in gcc -E -dD output.
	* tests/compile.at (AC_LANG_SOURCE example)
	(AC_LANG_PROGRAM example): Remove trailing spaces before
	comparing with expected output.  Fixes testsuite failure
	with GCC 2.95.3 on Haiku.
	Report by Scott McCreary.

2010-09-22  Eric Blake  <eblake@redhat.com>

	Release Version 2.68.
	* NEWS: Mention the release.

2010-09-22  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	autom4te: add traces for likely future Automake macros
	* lib/autom4te.in (Automake-preselections): Trace
	AM_MAKEFILE_INCLUDE, AM_NLS, AM_POT_TOOLS, AM_PATH_GUILE,
	AM_PROG_MOC, AM_XGETTEXT_OPTION, _AM_MAKEFILE_INCLUDE.

2010-09-22  Eric Blake  <eblake@redhat.com>

	AC_REPLACE_FUNCS: allow split lines again
	* lib/autoconf/functions.m4 (AC_REPLACE_FUNCS): Flatten newlines
	and move guts...
	(_AC_REPLACE_FUNCS): ...to new helper.
	* tests/semantics.at (AC_REPLACE_FUNCS): Enhance test.
	Reported by Ralf Wildenhues.

2010-09-21  Eric Blake  <eblake@redhat.com>

	AC_LIBOBJ: optimize internal use
	* lib/autoconf/general.m4 (_AC_LIBOBJ): Move literal check...
	(AC_LIBOBJ): ...into callers.
	* lib/autoconf/functions.m4 (_AC_REPLACE_FUNC): Likewise, thus
	avoiding a second call to AS_LITERAL_IF.

	AC_REPLACE_FUNCS: restore shell loop for non-literal
	* lib/autoconf/functions.m4 (AC_REPLACE_FUNCS): Handle
	non-literals, which was lost in 2010-02-26 optimization.
	* tests/semantics.at (AC_REPLACE_FUNCS): Enhance test.
	* NEWS: Document the fix.
	* THANKS: Update.
	Reported by Wiseman Jun.

	maint: resync upstream files
	* build-aux/gendocs.sh: Resync via 'make fetch'.

	tests: XFAIL in the face of a MacOS X bug
	* doc/autoconf.texi (Limitations of Usual Tools) <sed>: Mention
	the issue.
	* tests/torture.at (Substitute and define special characters):
	Detect if sed cannot process 8-bit bytes in the C locale.
	* THANKS: Update.
	Reported by Rochan.

2010-09-20  Eric Blake  <eblake@redhat.com>

	autom4te: don't filter out portions of location traces
	* bin/autom4te.in (_m4_warn): Pass warnings through the channels
	machinery as a single chunk, to avoid partial filtering.
	* lib/m4sugar/m4sugar.m4 (_m4_warn): Document the conventions.
	* tests/m4sugar.at (m4@&t@_warn): Enhance test to catch this.
	Reported by Bruno Haible.

2010-09-17  Eric Blake  <eblake@redhat.com>

	build: support autobuild
	* cfg.mk (gnulib-update): Add autobuild.m4.
	* configure.ac (AB_INIT): Output autobuild header.
	* m4/autobuild.m4: New file, from gnulib.
	* build-aux/config.guess: Resync from upstream.
	* build-aux/config.sub: Likewise.
	* build-aux/texinfo.tex: Likewise.
	* doc/fdl.texi: Likewise.
	* doc/gnu-oids.texi: Likewise.
	* doc/make-stds.texi: Likewise.
	* doc/standards.texi: Likewise.
	* build-aux/gendocs.sh: Likewise.

	config.status: avoid corrupting $ac_t
	* lib/autoconf/status.m4 (_AC_OUTPUT_HEADERS_PREPARE): Use a
	different name, so as not to clash with pre-2.50 usage of "$ac_t"
	as a tab character.
	Reported by Sam Steingold.

2010-09-17  Bruno Haible  <bruno@clisp.org>

	docs: mark several macros obsolete
	* doc/autoconf.texi (Particular Functions): Mark AC_FUNC_ERROR_AT_LINE,
	AC_FUNC_LSTAT_FOLLOWS_SLASHED_SYMLINK, AC_FUNC_MKTIME, AC_FUNC_STRTOD
	as obsolete and refer to Gnulib.
	* NEWS: Mention the change.

	AC_FUNC_STRNLEN: more realistic cross-compilation guess
	* lib/autoconf/functions.m4 (AC_FUNC_STRNLEN): Require
	AC_CANONICAL_HOST. When cross-compiling, guess it works everywhere
	except on AIX.

2010-09-16  Eric Blake  <eblake@redhat.com>

	m4sh: fix today's AS_BOX regression
	* lib/m4sugar/m4sh.m4 (_AS_BOX_LITERAL): Fix underquotation.
	Reported by Stefano Lattarini.

	fortran: avoid misparsed FCLIBS from Fortran compiler
	* lib/autoconf/fortran.m4 (_AC_PROG_FC_V_OUTPUT): Also skip
	'Configured by:' lines from gfortran.
	* NEWS: Mention it.
	Reported by Stefano Lattarini.

2010-09-16  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Add autom4te trace for AM_PROG_AR.
	* lib/autom4te.in (Automake-preselections): Trace
	AM_PROG_AR.

2010-09-16  Eric Blake  <eblake@redhat.com>

	m4sugar: fix regression in AC_MSG_ERROR expansion
	* lib/m4sugar/m4sugar.m4 (m4_defun_init): Avoid macro
	concatenation on subsequent expansions
	* tests/m4sh.at (AS_WARN and AS_ERROR): New test.
	* tests/m4sugar.at (m4@&t@_require: one-shot initialization):
	Enhance test.
	* NEWS: Document the fix.
	* THANKS: Update.
	Reported by Adrian Bunk and and Nishio Futoshi.

2010-09-13  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: simplify grepping of 'automake --version'.
	* tests/tools.at (autom4te preselections): Remove minor
	redundancies in regular expressions used to grep the output
	'automake --version' for test skipping.
	* tests/torture.at (Configuring subdirectories)
	(Unusual Automake input files): Likewise.

2010-09-13  Eric Blake  <eblake@redhat.com>

	autotest: work around zsh bug
	* lib/autotest/general.m4 (AT_DATA): Special case an empty data
	file, since zsh botches empty here-docs.
	* doc/autoconf.texi (Writing Testsuites) <AT_DATA>: Document that
	this allows empty contents.
	* tests/autotest.at (AT_DATA): New test.
	Reported by Ralf Wildenhues.

	docs: mention gnulib portability docs
	* doc/autoconf.texi (Function Portability, Header Portability):
	Add external links to gnulib.

2010-09-13  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>
	    Gary V. Vaughan <gary@gnu.org>

	docs: document zsh specialty with empty here-documents.
	* doc/autoconf.texi (Here-Documents): zsh 4.3.10 adds a newline
	to empty here-docs.

2010-09-13  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	docs: document zsh special array $options.
	* doc/autoconf.texi (Special Shell Variables): Add entry for
	`options'.

	doc: minor updates.
	* doc/autoconf.texi (Generic Compiler Characteristics): Use
	second argument of @uref consistently, for nicer OpenMP link.
	(Polymorphic Variables): Restore font-lock.
	(Debugging): Add item for bashdb.

	Document and test AT_CHECK args shell execution environment.
	* doc/autoconf.texi (Writing Testsuites): Document that COMMANDS
	is run in a subshell, but RUN-IF-FAIL and RUN-IF-PASS are not.
	* tests/autotest.at (AT@&t@_CHECK execution environment): New
	test.
	* NEWS: Update.

	autotest: document and test at_status semantics.
	* doc/autoconf.texi (Writing Testsuites): Document $at_status.
	* tests/autotest.at (at_status): New test.
	* NEWS: Update.

	doc: index entries for non-environment, non-output variables.
	* doc/autoconf.texi: Clarify the meaning of the various variable
	indices.  Merge variable index `vr' into concept index using
	syncodeindex.
	(Configuration Actions, Generic Programs, Generic Functions)
	(Writing Testsuites): Add index entries for documented shell
	variables used during in configure and testsuite scripts.

2010-09-12  Fernando Carrijo  <fcarrijo@freedesktop.org>  (tiny change)

	docs: fix minor typo and 'See See foo' instances
	* doc/autoconf.texi (Buffer Overruns and Subscript Errors): Fix
	usage of TeX superscript notation to correctly represent number
	exponent.
	(Shell Functions): s/[Ss]ee @xref/@xref/
	(Limitations of Shell Builtins, Canonicalizing): Likewise.
	* THANKS: Update.

2010-09-13  Eric Blake  <eblake@redhat.com>

	tests: skip broken automake wrapper on MirBSD
	* tests/tools.at (autom4te preselections): Skip, rather than fail,
	if 'automake --version' succeeds without printing a version when
	an environment variable is not set.
	* tests/torture.at (Configuring subdirectories)
	(Unusual Automake input files): Likewise.

2010-09-12  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	doc: minor indexing update.
	(Shell Substitutions, Site Defaults): Fix markup for indexed
	entried, using @code and @file as appropriate.
	(M4 Macro Index): Clarify which of the indexed macros have m4_
	and which have AS_ prefix.

2010-09-08  Eric Blake  <eblake@redhat.com>

	m4sh: preserve set -vx over re-exec
	* lib/m4sugar/m4sh.m4 (_AS_DETECT_BETTER_SHELL): Trace through
	re-exec, to make it easier to debug script startup issues.
	Idea from recent bug-gnulib change to init.sh.

	docs: update alloca recommendations
	* doc/autoconf.texi (Particular Functions): Don't redeclare alloca
	on FreeBSD.
	* THANKS: Update.
	Reported by Giorgos Keramidas.

	docs: link to GNU Coding Standards in intro
	* doc/autoconf.texi (Introduction): Actually link to the
	standards.  Make other references consistent.

	docs: mention traditional awk limitation
	* doc/autoconf.texi (Limitations of Usual Tools) <awk>: Mention
	that traditional awk lacks ENVIRON.  Add reference to awk manual.
	(Particular Programs) <AC_PROG_AWK>: Add reference to awk section.
	Reported by Ralf Wildenhues.

2010-09-07  Eric Blake  <eblake@redhat.com>

	docs: mention bash vs. POSIXLY_CORRECT
	* doc/autoconf.texi (Special Shell Variables) <POSIXLY_CORRECT>:
	Document bash behavior.
	* THANKS: Update.
	Reported by Dustin J. Mitchell, via bug-gnulib list.

	docs: enhance recommendations on test usage
	* doc/autoconf.texi (Limitations of Builtins) <test (strings)>:
	Mention yet another Solaris issue.
	Reported by Stefano Lattarini.

2010-08-30  Eric Blake  <eblake@redhat.com>

	tests: avoid trashing /
	* tests/torture.at (AC_CONFIG_COMMANDS with temporary directory):
	Use a relative path, rather than risking issues with /.
	Reported by Ralf Wildenhues.

	docs: mention Solaris here-docs vs. ${a-"b c"}
	* doc/autoconf.texi (Shell Substitutions) <${var:=value}>:
	Document problem of "" within here-docs.
	Reported by Ralf Wildenhues.

	fortran: always avoid AC_LANG_CONFTEST warning
	* lib/autoconf/lang.m4 (AC_LANG_CONFTEST()): Make the default
	match the fact that the default AC_LANG_SOURCE does not inline
	confdefs.h in the first place.
	* lib/autoconf/fortran.m4 (AC_FC_FREEFORM, AC_FC_FIXEDFORM)
	(AC_FC_LINE_LENGTH, __AC_FC_NAME_MANGLING): Revert previous use of
	AC_LANG_DEFINES_PROVIDED.
	Suggested by Ralf Wildenhues.

	config.status: minimize use of $tmp
	* lib/autoconf/status.m4 (_AC_OUTPUT_MAIN_LOOP)
	(_AC_OUTPUT_FILES_PREPARE, _AC_OUTPUT_FILE)
	(_AC_OUTPUT_HEADERS_PREPARE, _AC_OUTPUT_HEADER): Use $ac_tmp
	internally, while preserving $tmp for existing users.
	* tests/torture.at (AC_CONFIG_COMMANDS with temporary directory):
	New test, that $tmp is available but not essential.

	docs: avoid use of $tmp outside of config.status use
	* doc/autoconf.texi (Polymorphic Variables, Shell Substitutions):
	Use $var or $t instead.
	(Limitations of Usual Tools): Use $dir instead.
	(Initialization Macros) <AS_TMPDIR>: Make good on the NEWS
	regarding AS_TMPDIR being documented as consuming $tmp.
	Suggested by Ralf Wildenhues.

2010-08-29  Paul Eggert  <eggert@cs.ucla.edu>

	AC_PROG_YACC: fix comment re what "yacc" stands for
	* lib/autoconf/programs.m4 (AC_PROG_YACC): YACC stands for
	"Yet Another Compiler Compiler", not "Yet Another C Compiler".
	Problem reported by Chris Long in
	<http://lists.gnu.org/archive/html/bug-autoconf/2010-08/msg00134.html>.

2010-08-27  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Avoid long lines in testsuite script.
	* lib/autotest/general.m4 (AT_INIT): Remove definition of
	AT_groups_all.  Initialize at_groups from at_help_all, with
	newlines instead of spaces separating test groups numbers.
	Adjust all code to newlines.
	* NEWS: Update.
	* tests/autotest.at (Huge testsuite): New test.

	Try to update config.cache atomically; respect symlinks.
	* lib/autoconf/general.m4 (AC_CACHE_SAVE): Use `mv -f' to update
	the cache file if it is a regular file and not a symlink.  Move
	first to temporary name in the target directory if not in the
	current directory for atomicity across mount points.
	* tests/base.at (AC_CACHE_CHECK): Try symlinked cache file.
	* doc/autoconf.texi (Cache Files): Leftover temporary cache
	files may be deleted by the user.
	* NEWS: Update.

2010-08-27  Eric Blake  <eblake@redhat.com>

	m4sh: protect LINENO against stray macro
	* lib/m4sugar/m4sh.m4 (_AS_LINENO_PREPARE): Double quote entire
	sed script, to avoid issue uncovered by automake testsuite where
	'b' was an m4 macro that broke execution on dash.
	Reported by Stefano Lattarini.

	m4sh: assume ${a:-b} support
	* tests/m4sh.at (Null variable substitution): New test.
	* doc/autoconf.texi (Shell Substitutions) <${var:-value}>: Mention
	that m4sh guarantees support.
	(Limitations of Usual Tools) <mktemp>: Use it.
	* lib/m4sugar/m4sh.m4 (AS_LINENO_POP, AS_VAR_IF, AS_TMPDIR):
	Exploit use of colon for smaller files.

2010-08-26  Eric Blake  <eblake@redhat.com>

	docs: document m4_define_default
	* doc/autoconf.texi (Conditional constructs) <m4_define_default>:
	Document it, since gnulib wants to use it.
	* NEWS: Mention this.

	autoconf: warn if AC_*_IFELSE lacks complete program
	* lib/autoconf/lang.m4 (AC_LANG_DEFINES_PROVIDED): New macro.
	(AC_LANG_SOURCE): Call it.
	(AC_LANG_CONFTEST): Add warning if new macro is not called.
	* lib/autoconf/c.m4 (_AC_LANG_OPENMP): Add missing AC_LANG_SOURCE.
	* lib/autoconf/fortran.m4 (AC_FC_FREEFORM, AC_FC_FIXEDFORM)
	(AC_FC_LINE_LENGTH, __AC_FC_NAME_MANGLING): Intentionally bypass
	AC_LANG_SOURCE.
	* lib/autoconf/programs.m4 (_AC_PROG_LEX_YYTEXT_DECL): Likewise.
	* tests/compile.at (AC_COMPILE_IFELSE): New test.
	* doc/autoconf.texi (Generating Sources) <AC_LANG_CONFTEST>:
	Document new warning.
	<AC_LANG_DEFINES_PROVIDED>: Document new macro.
	<AC_LANG_SOURCE>: Document use of new macro.
	* NEWS: Document the improvement.
	Suggested by Bruno Haible.

	autoconf: fix regression in AC_FUNC_SELECT_ARGTYPES
	* lib/autoconf/functions.m4 (AC_FUNC_SELECT_ARGTYPES): Fix
	quoting; regression from yesterday leaked '' into default value.
	Reported by Ralf Wildenhues.

	docs: mention another issue with variable expansion
	In particular, see http://austingroupbugs.net/view.php?id=221
	and http://austingroupbugs.net/view.php?id=255.
	* doc/autoconf.texi (Shell Substitutions) <${var+value}>: New
	subsection.
	<${var=literal}>: Tweak wording.  Add mention of an ambiguity
	allowed by POSIX.
	* tests/torture.at (Substitute and define special characters):
	Make test more robust; here, the outer "" is in a here-doc, and
	does not violate the quoting rules of thumb just documented.

2010-08-25  Eric Blake  <eblake@redhat.com>

	m4sh: revert incorrect mix of "${a='b'}"
	* bin/autoconf.as: Revert leak of literal '' into assignment.
	* tests/tools.at (autom4te preselections): Likewise.

	m4sh: revert regression in AS_TMPDIR
	* lib/m4sugar/m4sh.m4 (AS_TMPDIR): The previous patch trying to
	rename $tmp to $as_tmp was wrong; config.status relies on it.

	m4sh: reduce size of AS_VAR_TEST_SET
	* lib/m4sugar/m4sh.m4 (AS_VAR_TEST_SET): Make more compact.

	tests: improve some shell assumption testing
	* tests/m4sh.at (Functions Support, Functions and return Support)
	(Negated classes in globbing): Update comments.
	(AS@&t@_VAR basics): Test comparison to empty string.

	docs: mention cost of globbing during variable expansion
	* doc/autoconf.texi (Shell Substitutions) <${var=literal}>:
	Recommend quoting substitutions that might trigger globbing.
	(Limitations of Builtins) <:>: Likewise.
	* bin/autoconf.as: Follow our own advice.
	* lib/autoconf/functions.m4 (AC_FUNC_SELECT_ARGTYPES): Likewise.
	* lib/autoconf/general.m4 (_AC_INIT_PARSE_ARGS): Likewise.
	* lib/autoconf/status.m4 (AC_OUTPUT): Likewise.
	* lib/autotest/general.m4 (_AT_FINISH): Likewise.
	* lib/m4sugar/m4sh.m4 (AS_TMPDIR): Likewise.
	* tests/autotest.at (parallel autotest and signal handling):
	Likewise.
	* tests/c.at (AC_OPENMP and C, AC_OPENMP and C++): Likewise.
	* tests/foreign.at (shtool): Likewise.
	* tests/fortran.at: Likewise.
	* tests/tools.at (autom4te preselections): Likewise.
	* tests/torture.at (VPATH): Likewise.

	m4sh: fix some namespace safety issues
	* lib/m4sugar/m4sh.m4 (_AS_SHELL_SANITIZE): Avoid problems if
	as_myself is inherited from environment.
	(AS_TMPDIR): Be namespace clean.

2010-08-24  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	tests: fix AC_CACHE_CHECK to skip with bad shells.
	* tests/base.at (AC_CACHE_CHECK): Skip test with malformed
	config.site file if the shell does not report syntax errors
	from a sourced file.  Fixes test failure on AIX and FreeBSD.
	Report from Rainer Tammer.

2010-08-24  Paul Eggert  <eggert@cs.ucla.edu>

	AC_HEADER_STDBOOL: avoid spurious failure with modern xlc
	* lib/autoconf/headers.m4 (AC_HEADER_STDBOOL): Move the "bool e =
	&s;" test into the main program, as C99 might plausibly be
	interpreted as not requiring support for this construction in
	static initializers.  Remove the "#if defined __xlc__" stuff, as
	the bug is not present in recent xlc implementations, and they
	reject the test for other (valid) reasons.  People using ancient
	xlc versions, if any, are suggested to update to fixed versions.
	Reported by Ralf Wildenhues in the thread starting at:
	http://lists.gnu.org/archive/html/bug-autoconf/2010-08/msg00103.html

2010-08-24  Eric Blake  <eblake@redhat.com>

	AC_FUNC_GETLOADAVG: don't define SVR4 on cygwin
	* lib/autoconf/functions.m4 (_AC_LIBOBJ_GETLOADAVG): Only define
	SVR4 when -lkvm is required.
	* THANKS: Update.
	Reported by Yaakov Selkowitz.

2010-08-23  Eric Blake  <eblake@redhat.com>

	AC_HEADER_STDBOOL: avoid spurious clang failure
	* lib/autoconf/headers.m4 (AC_HEADER_STDBOOL): Drop gcc (and by
	extension clang) check in favor of a gnulib test.  Force failure,
	rather than merely testing for a compiler extension.
	* THANKS: Update.
	Reported by Anders Kaseorg.

2010-08-22  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	doc: AIX sed dislikes indented comments.
	* doc/autoconf.texi (Limitations of Usual Tools) <sed>: Update.

2010-08-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Fix autoreconf docs w.r.t. AUTOM4TE environment variable.
	* doc/autoconf.texi (Using autoreconf to Update configure
	Scripts): List `AUTOM4TE' among the environment variables
	honored by autoreconf.
	* bin/autoreconf.in ($help): Likewise.

2010-08-17  Eric Blake  <eblake@redhat.com>

	doc: improve AS_VAR_IF details
	* doc/autoconf.texi (Polymorphic Variables) <AS_VAR_IF>: Make it
	clear that user must supply quotes as needed.
	* THANKS: Update.
	Suggested by Randall Cotton.

2010-08-16  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix Autotest --errexit to exit after XPASSing tests.
	* lib/autotest/general.m4 (AT_INIT) <at_fn_group_postprocess>:
	Exit after an unexpected passing test if $at_errexit.
	* tests/autotest.at (errexit): Also try tests that xpass, skip,
	xfail, or fail hard.

2010-08-14  Eric Blake  <eblake@redhat.com>

	AC_INIT: allow bugreport to contain '?'
	* lib/autoconf/general.m4 (_AC_INIT_PACKAGE): Relax check.
	* tests/base.at (AC_INIT with unusual version strings): Enhance
	test.
	* doc/autoconf.texi (Initializing configure): Document this.
	* NEWS: Likewise.
	* THANKS: Update.
	Reported by Yavor Doganov and others.

2010-08-10  Peter Rosin  <peda@lysator.liu.se>

	Keep testsuite files on unexpected pass.
	* lib/autotest/general.m4 (AT_INIT) <at_fn_group_postprocess>:
	Don't cleanup the group directory when a test unexpectedly passes.
	* tests/autotest.at (Cleanup): Check that an unexpected pass leaves
	the test group directory intact.

2010-08-10  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Skip AC_FC_SRCEXT([f90]) tests with a Fortran 77 compiler in $FC.
	* tests/fortran.at (AC_FC_FREEFORM with AC_FC_SRCEXT)
	(AC_FC_FIXEDFORM with AC_FC_SRCEXT): Skip if the compiler cannot
	handle files with .f90 extension.
	Report by Luke Dalessandro.

	Fix testsuite failures with typical m4-x.y.z program suffix.
	* tests/local.at (AT_CHECK_M4): Normalize hyphens and digits
	after the `m4' program name.
	* THANKS: Update.
	Report by Luke Dalessandro.

2010-08-06  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix description of AC_CONFIG_TESTDIR to not mention atconfig.in.
	* doc/autoconf.texi (Making testsuite Scripts): atconfig is not
	created from an input template.

2010-08-05  Bruno Haible  <bruno@clisp.org>
	and Eric Blake  <eblake@redhat.com>

	AC_FUNC_ALLOCA: modernize
	* lib/autoconf/functions.m4 (AC_FUNC_ALLOCA): Assume that alloca's
	return type is 'void *', not 'char *'.  Supply C89 prototype.
	Reported by Thomas Klausner.

2010-08-04  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix testsuite failure due to bugs in third-party aclocal macros.
	* tests/torture.at (Non-literal AC_CONFIG_SUBDIRS): Create a
	hand-written aclocal.m4 file, so the -Werror test doesn't fail
	over aclocal warnings about errors in third-party macro files.
	Simplify test accordingly, calling autoreconf throughout.
	Report by Bob Friesenhahn.

	Fix AC_LANG_SOURCE and AC_LANG_PROGRAM tests.
	* tests/compile.at (AC_LANG_SOURCE example)
	(AC_LANG_PROGRAM example): Fix broken sed script for
	extracting the interesting part of the conftest.c file.
	Fixes test failure on Haiku.
	* THANKS: Update.
	Report by Scott McCreary.

2010-08-03  Eric Blake  <eblake@redhat.com>

	docs: mention bash bug with word splitting
	* doc/autoconf.texi (Shell Substitutions): Document bash bug, and
	zsh default behavior difference.
	Reported by Ralf Wildenhues.

	docs: mention ksh bug with function syntax
	* doc/autoconf.texi (Shell Functions): Document ksh93 limitation.

2010-08-03  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix typo in Autotest color test, for dash testsuite failure.
	* tests/autotest.at (colored test results): Use exit not
	Exit.  Fixes test failure with dash 0.5.4.

2010-08-02  Eric Blake  <eblake@redhat.com>

	docs: track recent copyright assignment
	* AUTHORS: Add Peter Rosin.

2010-08-02  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Add testsuite exposure for last-minute fix in 2.67.
	* tests/autotest.at (parallel args but non-working mkfifo):
	New test, to expose the failure v2.66-23-g991183c avoided.

	Ensure unnamed test group categories are separated from previous.
	* doc/autoconf.texi (Writing Testsuites) <AT_BANNER>: Update
	description.
	* lib/autotest/general.m4 (AT_INIT) <at_fn_banner>: Set banner
	to single space, not empty line, once printed.  For empty
	banners, print a single empty line to separate them from a
	previous test group category.
	* tests/autotest.at (Banners): Insert another test group; adjust
	tests accordingly.  Extend test to cover semantic change.
	* NEWS: Update.

2010-07-31  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix typos in perlpod docs.
	* lib/Autom4te/ChannelDefs.pm, lib/Autom4te/Channels.pm,
	lib/Autom4te/General.pm: Fix typos and spacing in perlpod
	documentation and in comments.

2010-07-29  Eric Blake  <eblake@redhat.com>

	docs: mention ksh file descriptor limitation
	* doc/autoconf.texi (File Descriptors): Document issue with fd 10
	and above.
	Reported by Ralf Wildenhues.

	docs: mention cd limitation
	* doc/autoconf.texi (Limitations of Builtins) <cd>: Document
	issues with empty argument.

2010-07-29  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Add missing index entries to manual.
	* doc/autoconf.texi (Fortran Compiler, Language Choice): Add
	index entries for AC_FC_DUMMY_MAIN, AC_LANG; reformat entry for
	AC_LANG_ASSERT.

2010-07-21  Eric Blake  <eblake@redhat.com>

	Release Version 2.67.
	* NEWS: Mention the release.

	Prepare for release.
	* maint.mk (PREV_VERSION_REGEXP): New macro, missed when
	backporting update-NEWS_hash from gnulib.
	* cfg.mk (old_NEWS_hash): Correctly generate.
	* build-aux/gendocs.sh: Temporarily break sync from upstream, to
	avoid including spurious directories in info source tarball.

	Avoid spurious testsuite failures.
	* doc/autoconf.texi (Generating Sources): Don't mix gcc '-E' and
	'-o -', since the former already implies stdout, while the latter
	creates -.exe on cygwin.
	* tests/compile.at (AC_LANG_SOURCE example)
	(AC_LANG_PROGRAM example): Likewise.  Also prevent any config.site
	interference.

	Partially revert previous patch.
	* lib/autotest/general.m4 (AT_INIT) <serial testing>: Changing
	at_jobs here breaks output if -j2 was requested but shell is
	insufficient to support parallel testing.
	Reported by Ralf Wildenhues.

	Minor testsuite size reduction.
	* lib/autotest/general.m4 (AT_INIT) <serial testing>: Ensure
	at_jobs is 1.
	(AT_SETUP, AT_CLEANUP): Factor initialization code...
	(AT_INIT) <at_fn_group_banner>: ...into new function.
	Based in part on suggestion by Ralf Wildenhues.

2010-07-20  Eric Blake  <eblake@redhat.com>

	Close job control fd before running tests.
	* doc/autoconf.texi (File Descriptors): Clarify limitations.
	* lib/autotest/general.m4 (AT_CLEANUP): Avoid leaking job control
	fifo fd to user tests.
	(AT_INIT): Delete comment, now that close is done elsewhere.
	Suggested by Ralf Wildenhues.

2010-07-20 Paul Eggert  <eggert@cs.ucla.edu>
	and Eric Blake  <eblake@redhat.com>

	Plug race in parallel autotest.
	* lib/autotest/general.m4 (AT_INIT) <Fifo job dispatcher>: Track
	two fds to fifo in parent, to avoid race where parent can see EOF
	before child opens fifo.  Avoid any atomicity problems with tokens
	larger than one byte.
	* NEWS: Document the bug fix.

2010-07-20  Eric Blake  <eblake@redhat.com>

	Another empty argument through expr workaround.
	* lib/autoconf/status.m4 (_AC_OUTPUT_CONFIG_STATUS): Detect empty
	arguments.  Reject empty file argument.
	* tests/torture.at (AC_CONFIG_FILES, HEADERS, LINKS and COMMANDS):
	Check for missing argument.

	Also reject ' and newline from AC_INIT strings.
	* lib/autoconf/general.m4 (_AC_INIT_LITERAL): Reject a couple more
	problematic characters.
	* tests/base.at (AC_INIT with unusual version strings): Enhance
	test.
	* doc/autoconf.texi (Initializing configure) <AC_INIT>: Further
	clarifications, and clean up wording about use of m4_esyscmd.
	* NEWS: Update previous news entry.
	Suggested by Paolo Bonzini.

2010-07-20  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Let autoreconf pass warning flags to new-enough aclocal.
	* bin/autoreconf.in ($aclocal_supports_warnings)
	($automake_supports_warnings): New globals.
	(parse_args): Set and use them.  Be sure to invoke `aclocal
	--help' and `automake --help' just once each.
	* NEWS: Update.
	Prompted by report from Bruno Haible.

	Fix parsing of empty variable settings on the command line.
	* lib/autoconf/general.m4 (_AC_INIT_PARSE_ARGS): Work around
	expr bug returning 0 instead of the empty string.
	* lib/autotest/general.m4 (AT_INIT): Likewise.

	Fix typo in the manual.
	* doc/autoconf.texi (AC_ACT_IFELSE vs AC_TRY_ACT): Fix typo.

2010-07-19  Eric Blake  <eblake@redhat.com>

	Fix up AC_INIT vs. " issues, and document it.
	* doc/autoconf.texi (Initializing configure): Improve
	documentation on argument restrictions.
	* NEWS: Tweak information.
	* lib/autoconf/general.m4 (_AC_INIT_GENERAL): New macro, that also
	rejects literal ".
	(_AC_INIT_PACKAGE): Use it to plug hole in last patch.
	* tests/base.at (AC_INIT with unusual version strings): Enhance
	test.

2010-07-19  Eric Blake  <eblake@redhat.com>
	and Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Relax AC_INIT requirements for PACKAGE and VERSION strings again.
	* lib/m4sugar/m4sh.m4 (AS_LITERAL_HEREDOC_IF): New macro.
	(_AS_LITERAL_HEREDOC_IF, _AS_LITERAL_HEREDOC_IF_YES)
	(_AS_LITERAL_HEREDOC_IF_NO): New helper macros.
	* lib/autoconf/general.m4 (_AC_INIT_PACKAGE): Use
	AS_LITERAL_HEREDOC_IF for PACKAGE and VERSION strings.
	* tests/base.at (AC_INIT with unusual version strings): New test.
	* tests/m4sh.at (AS@&t@_LITERAL_IF): Extend test.
	* NEWS: Update.

2010-07-19  Eric Blake  <eblake@redhat.com>

	Fix testsuite failures from previous patch.
	* lib/autoconf/c.m4 (_AC_PROG_PREPROC_WORKS_IFELSE): Also remove
	conftest.i when preprocessor tests break out of a loop.

2010-07-19  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Allow inspecting AC_PREPROC_IFELSE output in true branch.
	* lib/autoconf/general.m4 (_AC_PREPROC_IFELSE_BODY): Redirect
	preprocessor output to conftest.i rather than /dev/null.
	(_AC_PREPROC_IFELSE): Remove conftest.i in the postprocessing.
	* tests/compile.at (Order of user actions and cleanup): Extend
	test in the ACTION-IF-TRUE branch.
	* doc/autoconf.texi (Running the Preprocessor): Document new
	feature.
	* NEWS: Update.

	Fix AC_FC_LIBRARY_LDFLAGS detection for BlueGene xlf -qipa.
	* lib/autoconf/fortran.m4 (_AC_FC_LIBRARY_LDFLAGS): Ignore
	'-link', added spuriously when -qipa is used with the XL
	Fortran compilers on BlueGene.

	manual: compiler flags -D and -L should not be followed by space
	* doc/autoconf.texi (Preset Output Variables): Remove space
	between -D and -L flags and their arguments, traditional cpp
	implementations like Solaris 10, IRIX 6.5, OSF Tru64 5.1D,
	AIX 5.3 do not accept it.

2010-07-10  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix comment typo in the manual.
	* doc/autoconf.texi (Generic Compiler Characteristics): Refer
	to the right test in the example marker comment.
	Spotted by Eric Blake.

2010-07-10  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	New Fortran macro AC_FC_LINE_LENGTH.
	* lib/autoconf/fortran.m4 (AC_FC_LINE_LENGTH): New macro.
	* doc/autoconf.texi (Fortran Compiler): Document it.
	* tests/fortran.at (AC_FC_LINE_LENGTH): New test.
	* NEWS: Update.

	Fix wording about AC_CONFIG_SUBDIRS warning.
	* doc/autoconf.texi (Subdirectories): We warn, not error, about
	nonexistent config subdirs, but only at configure run time.

2010-07-10  Eric Blake  <eblake@redhat.com>
	and Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix regression of AC_CHECK_SIZEOF on pointer types.
	* lib/autoconf/types.m4 (AC_CHECK_SIZEOF): Translate `*' to `p'
	when checking literal-ness of the type, for pointer types.
	* lib/m4sugar/m4sh.m4 (_AS_TR_SH): Also consider `*' as literal.
	(_AS_TR_CPP): Likewise.
	* tests/semantics.at (AC_CHECK_ALIGNOF struct): When checking
	for numeric answer, be sure to not allow variable references.
	(AC_CHECK_SIZEOF struct): Likewise.  Also, test the
	`AC_CHECK_SIZEOF([int *])' example from the manual.
	* doc/autoconf.texi (Generic Compiler Characteristics): Add
	example marker.
	* NEWS: Update.
	Reports by Nishio Futoshi and Roberto Bagnara.

2010-07-08  Eric Blake  <eblake@redhat.com>
	and Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix regression of AC_CONFIG_SUBDIRS with multiple arguments.
	* lib/autoconf/status.m4 (AC_CONFIG_SUBDIRS): Do not assume the
	argument is a single word.
	* tests/torture.at (Deep Package): Extend test to cover this.
	(Non-literal AC_CONFIG_SUBDIRS): New test.
	* doc/autoconf.texi (Subdirectories): Add example marker.
	* NEWS: Update.
	Report by Bruno Haible.

2010-07-04  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Fix minor copy&paste leftover in m4sh tests.
	* tests/m4sh.at (AS@&t@_TR_SH and AS@&t@_TR_CPP): Remove
	useless variables assignements ($var, $vAr, $VAR).

2010-07-04  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix testsuite to not trigger Solaris sh for bug.
	* tests/torture.at (Torturing config.status)
	(Substitute a 2000-byte string)
	(Substitute and define special characters)
	(Substitute a newline): Quote first argument in for list so
	that it does not look like an assignment.

2010-07-02  Eric Blake  <eblake@redhat.com>

	Post-release administrivia.
	* maint.mk (NEWS_hash): Define.
	* NEWS: Add header line for next release.
	* .prev-version: Record previous version.
	* cfg.mk (old_NEWS_hash): Auto-update.

	Release Version 2.66.
	* NEWS: Mention the release.

2010-07-02  Eric Blake  <eblake@redhat.com>

	Pick up some maint.mk improvements from gnulib.
	* configure.ac (AM_INIT_AUTOMAKE): Require 1.11, and build xz
	archives by default now.
	* maint.mk (gzip_rsyncable): Avoid non-portable echo.
	(VC-tag): Depend on gpg_key_ID.
	(PREV_VERSION): Don't parse error as version.
	(announcement): Populate email addresses with defaults.
	(emit_upload_commands, web-manual): Reflect changes in scripts.
	(update-NEWS-hash, emit-commit-log, release-prep): New macros.
	* cfg.mk (announcement_Cc_, announcement_mail_headers_): Override
	defaults.
	* HACKING: Modernize a bit.

	Resync upstream files.
	* GNUmakefile: Run 'make fetch'.
	* build-aux/announce-gen: Likewise.
	* build-aux/config.guess: Likewise.
	* build-aux/config.sub: Likewise.
	* build-aux/gendocs.sh: Likewise.
	* build-aux/git-version-gen: Likewise.
	* build-aux/gnupload: Likewise.
	* build-aux/texinfo.tex: Likewise.
	* build-aux/vc-list-files: Likewise.
	* doc/gendocs_template: Likewise.
	* doc/gnu-oids.texi: Likewise.
	* doc/make-stds.texi: Likewise.
	* doc/standards.texi: Likewise.
	* lib/Autom4te/Channels.pm: Likewise.
	* lib/Autom4te/Configure_ac.pm: Likewise.
	* lib/Autom4te/FileUtils.pm: Likewise.
	* lib/Autom4te/XFile.pm: Likewise.

	Make AS_TR_SH and AS_TR_CPP similar.
	* lib/m4sugar/m4sh.m4 (_AS_TR_CPP_LITERAL): Avoid underquoting.
	(_AS_TR_CPP_INDIR): Handle all polymorphic variables.
	* tests/m4sh.at (AS@&t@_TR_SH and AS@&t@_TR_CPP): New test.
	* NEWS: Document the fix.
	Reported by Bruno Haible.

	Reduce startup cost of autotest.
	* lib/autotest/general.m4 (_AT_FINISH) <banners>: Rather than
	doing a recursive find, limit ourselves to top ChangeLog only.
	Reported by Ralf Wildenhues.

2010-07-02  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	New macro AC_FC_FIXEDFORM, improved AC_FC_FREEFORM, coverage.
	* lib/autoconf/fortran.m4 (_AC_FC_DIALECT_YEAR): Fix typo in
	comment.
	(AC_FC_FREEFORM): Update list of known options for Sun, HP,
	Lahey/Fujitsu Fortran compilers.  Use M4 quoting consistently.
	(AC_FC_FIXEDFORM): New macro.
	* tests/fortran.at (AC_FC_DUMMY_MAIN usage, AC_FC_MAIN usage):
	Use AC_FC_FIXEDFORM, to avoid testsuite failure with FC=xlf95.
	(AC_FC_FREEFORM with AC_FC_SRCEXT, AC_FC_FIXEDFORM)
	(AC_FC_FIXEDFORM with AC_FC_SRCEXT): New tests.
	* tests/mktests.sh: No need to exclude AC_FC_FREEFORM, it uses
	AC_LANG_PUSH/AC_LANG_POP.
	* doc/autoconf.texi (Fortran Compiler): Document it.
	* NEWS: Update.

2010-07-02  Eric Blake  <eblake@redhat.com>

	Optimize AS_BOX.
	* lib/m4sugar/m4sh.m4 (AS_BOX): Use less m4 time.
	(_AS_BOX_LITERAL): Use fewer forks in the common case.
	* doc/autoconf.texi (Common Shell Constructs) <AS_BOX>: Document
	the macro.
	* NEWS: Mention it.

	Use new AS_LITERAL_IF argument when appropriate.
	* lib/m4sugar/m4sh.m4 (AS_VAR_SET): Reduce m4 overhead.
	(AS_VAR_IF, AS_VAR_TEST_SET): Provide shorter variant for simple
	references.
	Suggested by Bruno Haible.

	Add tests for AS_BOX.
	* tests/m4sugar.at (m4@&t@_text_box): New test.
	* tests/m4sh.at (AS@&t@_BOX): Likewise.
	* lib/m4sugar/m4sugar.m4 (m4_text_box): Support comma.
	* doc/autoconf.texi (Text processing Macros) <m4_text_box>:
	Document further limitations.

	Add optional argument to AS_LITERAL_IF.
	* lib/m4sugar/m4sh.m4 (_AS_LITERAL_IF): Rewrite to generate macro
	name, without using m4_cond.
	(_AS_LITERAL_IF_, _AS_LITERAL_IF_YES, _AS_LITERAL_IF_NO): New
	helpers.
	(AS_LITERAL_IF, AS_LITERAL_WORD_IF, _AS_TR_SH, _AS_TR_CPP)
	(_AS_VAR_PUSHDEF): Adjust callers.
	* lib/autoconf/types.m4 (AC_CHECK_ALIGNOF): Relax restrictions on
	invalid bytes, since this allows inline struct layouts.
	(_AC_CHECK_ALIGNOF): New helper macro.
	* tests/m4sh.at (AS@&t@_LITERAL_IF): Update test.
	* doc/autoconf.texi (Polymorphic Variables) <AS_LITERAL_IF>:
	Update documentation.

	Use AS_LITERAL_WORD_IF as appropriate.
	* lib/autoconf/autoheader.m4 (AH_VERBATIM): Use new macro.
	* lib/autoconf/general.m4 (AC_REQUIRE_AUX_FILE, AC_CACHE_VAL)
	(AS_CACHE_CHECK, AC_DEFINE_TRACE, _AC_LIBOBJ): Likewise.
	* lib/autoconf/libs.m4 (AC_CHECK_LIB): Likewise.
	* lib/autoconf/status.m4 (AC_CONFIG_SUBDIRS): Likewise.
	* lib/m4sugar/m4sh.m4 (AS_UNSET, AS_VAR_COPY, AS_VAR_GET)
	(AS_VAR_IF, AS_VAR_SET, AS_VAR_TEST_SET): Likewise.

	Add AS_LITERAL_WORD_IF.
	* lib/m4sugar/m4sh.m4 (_AS_LITERAL_IF): Also reject shell quoting
	characters as non-literal, and provide way to reject space.
	(AS_LITERAL_WORD_IF): New macro.
	* doc/autoconf.texi (Polymorphic Variables) <AS_LITERAL_IF>:
	Document new macro.  Fix example to match reality.
	* NEWS: Document change and new macro.
	* tests/m4sh.at (AS@&t@_LITERAL_IF): Update test.

	Optimize AC_DEFINE.
	* lib/autoconf/general.m4 (_AC_DEFINE_Q): Avoid overhead of
	AS_LITERAL_IF.

2010-07-02  Stefano Lattarini  <stefano.lattarini@gmail.com>
	and Eric Blake  <eblake@redhat.com>

	Describe a Solaris /bin/sh bug w.r.t. for loops.
	* doc/autoconf.texi (Limitations of Shell Builtins) <for>:
	Document a bug of the 'for' builtin in Solaris /bin/sh, w.r.t.
	tokens seeming variable assignment in the list of arguments.

2010-06-23  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Improve VPATH handling in config.status for non-Automake projects.
	* lib/autoconf/status.m4 (_AC_OUTPUT_FILES_PREPARE): Be sure not
	to remove references to a subdir of srcdir.  Fix treatment of
	multiple colon-separated VPATH entries.
	* tests/torture.at (VPATH): New test.
	Report by Keith Marshall.

	Further improve docs about nested double-quotes and backquotes.
	* doc/autoconf.texi (Shellology): Remove anchor for pdksh.
	Move quoting bug example to ...
	(Shell Substitutions): ... here.  Document which behavior is
	specified by Posix.

	Coverage for Fortran compiler macros.
	* tests/fortran.at (AC_OPENMP and Fortran 77)
	(AC_OPENMP and Fortran): Simplify, using AT_CHECK_CONFIGURE.
	(AC_F77_DUMMY_MAIN usage, AC_FC_DUMMY_MAIN usage)
	(AC_F77_MAIN usage, AC_FC_MAIN usage, AC_F77_FUNC usage)
	(AC_FC_FUNC usage, AC_FC_SRCEXT usage, AC_FC_FREEFORM): New
	tests.
	* doc/autoconf.texi (Fortran Compiler): Use GNU coding style
	on C code snippets.  Add markers for tested examples.
	Suggest AC_FC_FREEFORM for source file extensions which the
	compiler might not natively support but which are accepted
	with help from AC_FC_SRCEXT.  Suggest AC_CONFIG_HEADERS for
	setups using one of the AC_*MAIN macros.

	Accept any nonzero exit status upon config.status write failure.
	* tests/torture.at (AC_CONFIG_FILES, HEADERS, LINKS and COMMANDS):
	Normalize nonzero status to 1 for writing to /dev/full, for HP-UX
	11.31 cat which exits 2.

	Fix testsuite failure with Tru64 preprocessor.
	* tests/compile.at (Order of user actions and cleanup): Add
	incomplete comment to provoke failure with Tru64/OSF 5.1 cc
	preprocessor.

2010-06-22  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>
	and Eric Blake  <eblake@redhat.com>

	Further clarification on sed -e portability.
	* doc/autoconf.texi (Limitations of Usual Tools) <sed>: Clarify
	more about sed -e and Posix limitations.

2010-06-22  Bruno Haible  <bruno@clisp.org>

	Document how to use literal newlines in makefile rules.
	* doc/autoconf.texi (Newlines in Make Rules): New section.

	Document how to write comments in makefile rules.
	* doc/autoconf.texi (Comments in Make Rules): Mention a workaround
	syntax.

2010-06-22  Ben Pfaff  <blp@cs.stanford.edu>

	Document how to propagate variables to submakes.
	* doc/autoconf.texi: Describe technique used by Automake to
	propagate variables to submakes in more detail.

2010-06-22  Peter Johansson  <trojkan@gmail.com>  (tiny change)

	Be consistent in doc example.
	* doc/autoconf.texi: (Polymorphic Variables) be consistent in code
	example and output

2010-06-22  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Add comments for vim syntax highlighting.
	* doc/autoconf.texi: Restore font-lock in some examples using
	$$, for vim.

	Formatting cleanups for optional arguments.
	* doc/autoconf.texi (Configuration Actions, Help Formatting)
	(External Software): Use @r{} for brackets denoting optional
	arguments, where @ovar is not safe to use.

	Clarify nested double-quotes and backquotes shell issues.
	* doc/autoconf.texi (Shellology): New anchor for pdksh.
	(Shell Substitutions): Link to it for escaped double-quotes
	within double-quoted backquotes; add ksh example for unescaped
	inner double-quotes problem.

	Mention Tru64 5.1 fgrep limitation with empty patterns.
	* doc/autoconf.texi (Limitations of Usual Tools): Update.

	Overhaul the manual, esp. the Autotest chapter.
	* doc/autoconf.texi (Installation Directory Variables):
	Replace some uses of @var with @code.
	(Special Shell Variables): Fix misordered paragraph about IFS.
	(Writing Testsuites): Include paragraph following AT_TESTED in
	the macro definition.
	(testsuite Invocation): Failed tests are not rerun.
	(testsuite Scripts, Autotest Logs, testsuite Invocation)
	(Making testsuite Scripts): Minor edits for consistency and
	language.

2010-06-18  Bruno Haible  <bruno@clisp.org>

	Document sed -e limitation.
	* doc/autoconf.texi (Limitations of Usual Tools): Mention portability
	problem of sed -e option with script fragments.

2010-06-17  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Document, test, and fix AT_ARG_OPTION, AT_ARG_OPTION_ARG.
	* lib/autotest/general.m4 (_AT_ARG_OPTION): Fix translation of
	hyphens to underscores when turning option names to variables.
	Avoid macro name concatenation garbage with trailing `dnl'.
	(AT_ARG_OPTION, AT_ARG_OPTION_ARG): Overhaul macro description.
	The OPTIONS are space-separated, not comma-separated.  The
	negative form of AT_ARG_OPTION is prefixed with `--no-'.
	* tests/autotest.at (AT@&t@_ARG_OPTION, AT@&t@_ARG_OPTION_ARG):
	New tests.
	* NEWS: Update.
	* doc/autoconf.texi (Writing Testsuites): Document AT_ARG_OPTION
	and AT_ARG_OPTION_ARG.
	(testsuite Invocation): Call the thingies passed to the
	testsuite options, not arguments.  Note that the testsuite
	author may add further package-specific options.

	Autotest: enable colored test results.
	* lib/autotest/general.m4 (HELP_TUNING_BEGIN): New diversion.
	(HELP_TUNING, HELP_OTHER, HELP_END): Bump diversion numbers.
	(AT_INIT): Accept
	--color and --color=never|auto|always.  If desired, colorize
	test results and testsuite summary on standard output.
	[HELP_TUNING]: Divert content instead to ...
	[HELP_TUNING_BEGIN]: ... this diversion, m4_wrapped until the
	end, when we know whether AT_COLOR_TESTS has been specified.
	(AT_COLOR_TESTS): New macro, set the default for color to auto.
	* doc/autoconf.texi (Writing Testsuites): Document it.
	(testsuite Invocation): Document --color* options.
	* tests/local.at: Call AT_COLOR_TESTS for Autoconf's testsuite.
	* tests/autotest.at (color test results): New test, mirroring
	color.test from Automake.
	* NEWS: Update.

2010-06-15  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Avoid texinfo bug with backslashes in macro arguments.
	* doc/autoconf.texi (Text processing Macros)
	(Common Shell Constructs): Do not use @dvar with backslashes.

2010-06-14  Eric Blake  <eblake@redhat.com>

	Make CONFIG_SITE handling more robust.
	* lib/autoconf/general.m4 (AC_SITE_LOAD): Avoid leading - and path
	search, and check for failure to load.
	* tests/base.at (AC_CACHE_CHECK): Enhance test.
	* doc/autoconf.texi (Site Defaults): Mention that CONFIG_SITE
	works best as an absolute path.
	* NEWS: Document the semantic change.

2010-03-13  Bruno Haible  <bruno@clisp.org>
	and Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Allow plus signs in AC_ARG_ENABLE and AC_ARG_WITH.
	* doc/autoconf.texi (External Software): Mention that AC_ARG_WITH
	accepts packages with a + sign in it.
	(Package Options): Likewise for AC_ARG_ENABLE.
	* lib/autoconf/general.m4 (_AC_ENABLE_IF): Also replace '+' with '_'.
	* tests/base.at (AC_ARG_ENABLE and AC_ARG_WITH): New test.
	* NEWS: Update.

2010-06-14  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Autotest: simplify logic to compute test group result.
	* lib/autotest/general.m4 (AT_INIT): Compactify result
	computation logic.

	New Autotest testsuite option --recheck.
	* lib/autotest/general.m4 (AT_INIT): New variable $at_recheck.
	Escape hyphen in $at_dir early.  Accept command line switch
	--recheck.  Set $at_suite_log early, based on --directory
	switch; with --recheck, include the list of FAILed and XPASSed
	tests from old testsuite.log file in $at_groups.  Document
	--recheck in --help output.
	* tests/autotest.at (recheck): New test.
	* doc/autoconf.texi (testsuite Invocation): Document --recheck.
	* NEWS: Update.

2010-06-14  Karl Berry  <karl@freefriends.org>  (tiny change)

	Clarify comment about old system.
	* lib/autoconf/general.m4 (_AC_INIT_DEFAULTS): Prefer GNU/Linux,
	and note that bug has long since been fixed.

2010-06-08  Eric Blake  <eblake@redhat.com>

	Run libtool test with modern libtool.
	* tests/foreign.at (Libtool): Request that libtoolize install
	auxiliary files.  Assume libtool 2.x is modern.

2010-06-08  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Coverage and doc fixes for AC_LANG_SOURCE and AC_LANG_PROGRAM.
	* tests/compile.at (AC_LANG_SOURCE, AC_LANG_SOURCE(C++))
	(AC_LANG_SOURCE example, AC_LANG_PROGRAM example): New tests.
	* doc/autoconf.texi (Generating Sources): Add markers for tested
	examples; update quoting, and update AC_INIT usage to also set
	optional URL arguments.  Mention that the examples require gcc.
	Prompted by report from Brian J. Murrell.

	Make AS_SET_CATFILE polymorphic, and add testsuite coverage.
	* lib/m4sugar/m4sh.m4 (AS_SET_CATFILE): Use AS_VAR_SET to set
	the variable.
	* tests/m4sh.at (AS@&t@_SET_CATFILE): New test.
	* doc/autoconf.texi (Common Shell Constructs): Document that
	AS_SET_CATFILE is polymorphic in its VAR argument now.
	* NEWS: Update.

	Testsuite coverage for AC_COPYRIGHT and AT_COPYRIGHT.
	* tests/autotest.at (AT@&t@_COPYRIGHT): New test.
	* tests/base.at (AC@&t@_COPYRIGHT): Likewise.

	Testsuite coverage for __file__ and __line__.
	* tests/m4sugar.at (__file__ and __line__): New test.

	Testsuite coverage for AC_CACHE_VAL and caching semantics.
	* tests/base.at (AC_CACHE_CHECK): Extend test.
	(AC_CACHE_LOAD): New test.
	* tests/torture.at (Configuring subdirectories): Also test
	--config-cache with AC_CONFIG_SUBDIRS.
	* doc/autoconf.texi (Caching Results): Annotate code snippets
	which are tested in the test suite.
	(Cache Files): Documented cache variables may be used on the
	configure command line to override individual entries in the
	cache file.

	Clarify OpenBSD sh errexit issue with compound commands.
	* doc/autoconf.texi (Limitations of Builtins): Only the last
	command in a compound list is problematic.
	Tested on OpenBSD 4.4.

2010-06-07  Eric Blake  <eblake@redhat.com>

	Properly quote AC_PREREQ during autoupdate.
	* lib/autoconf/general.m4 (AC_PREREQ): Follow consistent quoting
	style for AC_PREREQ.
	* tests/tools.at (autoupdating AC_PREREQ): Update expected
	results.
	Reported by NightStrike.

2010-06-01  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Documentation and tests for the AC_CHECK_DECL change.
	* lib/autoconf/general.m4 (_AC_CHECK_DECL_BODY): Squash trailing
	spaces in as_decl_name.
	(_AC_CHECK_DECLS): Likewise for the define.
	* tests/semantics.at (AC_CHECK_DECLS): Extend test.
	* doc/autoconf.texi (Generic Declarations): Update.
	* NEWS: Update.

2010-06-01  Joern Rennecke  <joern.rennecke@embecosm.com>  (tiny change)

	Generalize AC_CHECK_DECL for C++: allow optional arguments.
	* general.m4 (_AC_CHECK_DECL_BODY): Process trailing function
	argument types as arguments to use for C++.
	(_AC_CHECK_DECLS): Filter out trailing function argument types
	when generating the HAVE_DECL_* macro.

2010-05-25  Stefano Lattarini  <stefano.lattarini@gmail.com>
	    Eric Blake  <eblake@redhat.com>

	Don't expose AC_{COMPILE,LINK}_IFELSE internals in documentation.
	* doc/autoconf.texi (Runtime) <AC_LINK_IFELSE>: Suggest to use
	`conftest$EXEEXT' rather than `conftest$ac_exeext' to acces the
	just-linked program file.
	(Runtime) <AC_COMPILE_IFELSE>: Suggest to use `conftest.$OBJEXT'
	rather than `conftest.$ac_object' to access the just-compiled
	object file.  Also, refer to the object file as "just-compiled"
	rather than "just-linked".

2010-05-20  Eric Blake  <eblake@redhat.com>

	Mention another line-counting alternative.
	* doc/autoconf.texi (Limitations of Usual Tools) <grep>: Mention
	how to use sed to count lines.
	Suggested by Paolo Bonzini.

2010-05-12  Eric Blake  <eblake@redhat.com>

	Document the grep workaround.
	* doc/autoconf.texi (Limitations of Usual Tools) <grep>: Document
	the bug.

2010-05-12  Mark Hessling  <mark@rexx.org>  (tiny change)

	Work around QNX4 grep bug.
	* lib/autoconf/status.m4 (_AC_OUTPUT_FILES_PREPARE): Count ^
	rather than $ to avoid QNX4 grep bug.
	* THANKS: Update.

2010-05-11  David Reiss  <dreiss@facebook.com>  (tiny change)

	Improve Erlang documentation.
	* doc/autoconf.texi (Erlang Libraries): Document actual default
	values.
	* THANKS: Update.

2010-05-11  Eric Blake  <eblake@redhat.com>

	Fix typo in previous patch.
	* doc/autoconf.texi (File Descriptors): Add end '.
	Reported by Ralf Wildenhues.

	Mention how to silence program probes.
	* doc/autoconf.texi (File Descriptors): Document how to silence a
	program probe.

2010-04-26  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Error and warning message formatting cleanups.
	* doc/autoconf.texi (Autoconf Language, Generic Structures):
	Do not capitalize the first word in error messages, do not end
	them with a period.
	* lib/autoconf/general.m4 (_AC_INIT_PARSE_ARGS, AC_MSG_FAILURE):
	Likewise.
	* lib/autoconf/status.m4 (_AC_OUTPUT_FILE): Likewise.
	* lib/autotest/general.m4 (AT_INIT, at_fn_group_prepare):
	Likewise.
	* m4/m4.m4 (AC_PROG_GNU_M4): Likewise.
	* tests/base.at (AC_TRY_COMMAND): Likewise.
	* tests/torture.at (datarootdir workaround): Adjust expected
	message.

	Fix placing of ellipses in English text.
	* lib/autoconf/general.m4 (_AC_INIT_HELP): Be sure to add a
	space before `...' in natural language text.
	* lib/autoconf/headers.m4 (_AC_CHECK_HEADER_MONGREL_BODY):
	Likewise.
	* lib/autoconf/libs.m4 (_AC_PATH_X_XMKMF): Likewise.
	* lib/autoconf/programs.m4 (AC_PROG_MAKE_SET): Likewise.
	* tests/suite.at: Likewise.
	* tests/torture.at (@%:@define header templates): Likewise.

	Ensure autotest tests have an atconfig file, for testsuite -v.
	* tests/autotest.at (AT_CHECK_AT_PREP): Create a default
	atconfig file in the directory of the testsuite.
	(AT_CHECK_AT_TITLE): Also check that `./micro-suite -v' output
	does not contain empty $at_srcdir expansion.
	(srcdir propagation): Remove the atconfig file generated by
	AT_CHECK_AT_PREP.  Check each suite invocation for $at_srcdir
	expansion.

	Fix autotest testsuite -v output to print test group title.
	* lib/autotest/general.m4 (AT_CLEANUP): Actually print test
	title in verbose output.  Fixes AUTOCONF-2.57-101-gc102ed8
	regression.
	* tests/autotest.at (AT_CHECK_AT_TITLE): Amend macro to check
	for test title in -v output.

2010-04-26  Eric Blake  <eblake@redhat.com>

	Clarify octal escapes with tr.
	* doc/autoconf.texi (Limitations of Usual Tools): Carriage return
	is portable in octal, but not newline.

2010-04-22  Joel James Adamson  <joel@chondestes.bio.unc.edu>  (tiny change)

	Add a paragraph to FAQ on Debugging configure scripts.
	* doc/autoconf.texi (Debugging): Mention inspecting config.log.
	* THANKS: Update.

2010-04-21  Mike Frysinger  <vapier@gentoo.org>  (tiny change)

	Fix typo in doc example.
	* doc/autoconf.texi (Subdirectories): Fix typo.

2010-04-05  Eric Blake  <eblake@redhat.com>

	Fix m4_cr_all for EBCDIC.
	* lib/m4sugar/m4sugar.m4 (m4_cr_all): Swap * and $, so that we
	don't end up with $* in EBCDIC.
	* NEWS: Document the fix.
	* THANKS: Update.
	Reported by Steve Goetze.

2010-03-28  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Do not use @acronym in the manual.
	* doc/autoconf.texi: Remove all usage of @acronym.
	Suggested by Karl Berry.

	Do not use @sc in the manual.
	* doc/autoconf.texi: Remove all usage of @sc in the manual.
	Suggested by Karl Berry.

2010-03-12  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix wrong comment in testsuite.
	* tests/m4sugar.at (m4@&t@_warn): Remove copy&pasted comment.

	Formatting cleanups in macro comments.
	* lib/autoconf/c.m4, lib/autoconf/erlang.m4,
	lib/autoconf/fortran.m4, lib/autoconf/functions.m4,
	lib/autoconf/general.m4, lib/autoconf/lang.m4,
	lib/autoconf/programs.m4, lib/autoconf/specific.m4,
	lib/autoconf/status.m4, lib/autoconf/types.m4,
	lib/autotest/general.m4, lib/autotest/specific.m4,
	lib/m4sugar/m4sh.m4, lib/m4sugar/m4sugar.m4,
	tests/autotest.at, tests/local.at, tests/m4sh.at,
	tests/semantics.at, tests/tools.at, tests/torture.at: Fix macro
	comment format.

2010-03-05  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	manual: index strings containing colon in non-info outputs.
	* doc/autoconf.texi (Quadrigraphs, Shell Substitutions): Produce
	index entries for concepts containing a colon in output formats
	other than info.

	Update copyright years for files generated by mktests.sh.
	* tests/mktests.sh: Update copyright years for generated files.

2010-03-04  Eric Blake  <eblake@redhat.com>

	Document AC_LANG_CONFTEST semantic change.
	* doc/autoconf.texi (Generating Sources) <AC_LANG_CONFTEST>:
	Enhance documentation, to show that semantic change in 2.63b was
	intentional.
	* THANKS: Update.
	Reported by Brian J. Murrell, analyzed by Ralf Wildenhues.

2010-03-04  Peter Johansson  <trojkan@gmail.com>  (tiny change)

	Autoconf Macro Archive URL has changed.
	* doc/autoconf.texi (Introduction, Coding Style, Defining
	Directories): The Autoconf Macro Archive is officially `GNU'.
	Update URL.

2010-03-02  Eric Blake  <eblake@redhat.com>

	Fix shell code in AS_TR_SH documentation.
	* doc/autoconf.texi (Common Shell Constructs) <AS_TR_SH>: Fix
	example to expand to valid shell code.
	Reported by Ralf Wildenhues.

	Improve documentation on AC_{COMPILE,LINK}_IFELSE.
	* doc/autoconf.texi (Running the Compiler): Mention that the
	object file is available after a successful compile.
	(Running the Linker): Likewise for the linker output.
	Suggested by Paolo Bonzini.

	Fix typo in docs.
	* doc/autoconf.texi (Conditional constructs) <m4_ifblank>: Fix
	typo.

2010-03-02  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix AS_ERROR for FreeBSD sh.
	* lib/m4sugar/m4sh.m4 (_AS_ERROR_PREPARE): Rewrite as_fn_error
	to take additional first argument STATUS instead of transporting
	$? across shell function entry, which does not work with FreeBSD
	sh.  Shift all other arguments by one, adjust.
	(AS_ERROR): Pass EXIT-STATUS, defaulting to $?, to as_fn_error.
	Report by Václav Haisman.

	Fix `autom4te cache creation' testsuite failure on FreeBSD.
	* tests/tools.at (autom4te cache creation): Normalize exit
	status of failed redirection to 1, may be 2 with FreeBSD sh.
	* THANKS: Update.
	Report by Václav Haisman.

	Fix Autotest tracing of shell pipelines for FreeBSD sh.
	* lib/autotest/general.m4 (_AT_DECIDE_TRACEABLE): Do not trace
	commands that contain [^|]|[^|], a likely shell pipeline.
	* tests/local.at (_AT_CHECK_ENV): Turn off tracing for egrep |
	grep pipeline.
	* doc/autoconf.texi (File Descriptors): Document limitation.
	* tests/autotest.at (Trace output): New test.

2010-03-01  Eric Blake  <eblake@redhat.com>

	Update file flow diagram to mention Automake.
	* doc/autoconf.texi (Making configure Scripts): Avoid confusion
	with listing Makefile.in twice on one line.  Add a diagram showing
	how automake fits into the picture.
	Reported by santilín.

2010-02-26  Eric Blake  <eblake@redhat.com>

	Optimize AC_REPLACE_FUNCS.
	* lib/autoconf/functions.m4 (_AC_REPLACE_FUNC): New helper macro.
	(AC_REPLACE_FUNCS): Use it to reduce forks when checking for
	replacements, by using literal rather than shell variable.

	Document how to safely override CFLAGS default.
	* doc/autoconf.texi (C Compiler) <AC_PROG_CC>: Document a way to
	change the default CFLAGS.
	(C++ Compiler) <AC_PROG_CXX>: Likewise, for CXXFLAGS.
	Reported by Monty Taylor; wording suggested by Paolo Bonzini.

	Document that Autoconf relies on IFS.
	* doc/autoconf.texi (Special Shell Variables) <IFS>: Add details
	about use of IFS within configure script.
	* THANKS: Update.
	Reported by Arkadiusz Miskiewicz.

	Recommend latest m4 release.
	* README: Bump recommendation to m4 1.4.14 (minimum remains
	1.4.6).
	* doc/autoconf.texi (Introduction): Likewise.
	* m4/m4.m4 (AC_PROG_GNU_M4): Likewise.

2010-02-23  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix testsuite failures due to setting of $U.
	* tests/local.at (_AT_CHECK_ENV): Ignore setting of $U.

2010-02-10  Eric Blake  <ebb9@byu.net>

	Avoid $U if it is not initialized.
	* lib/autoconf/general.m4 (_AC_LIBOBJS_NORMALIZE): Ensure $U is
	set if automake did not define it.
	* THANKS: Update.
	Reported by Heiko Schlichting, via Julien Élie.

2010-01-24  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix substitution of carriage return on Darwin.
	* lib/autoconf/status.m4 (_AC_OUTPUT_FILES_PREPARE): Set
	ac_cs_awk_cr to '\\r', so that sed portably expands this to '\r'
	rather than a literal carriage return, to fix substitution on
	Darwin.  Regression introduced in 2.63b.
	Report by Peter O'Gorman.

2010-01-21  Dmitry V. Levin <ldv@altlinux.org>

	Fix test failure when a shell uses $TMPDIR for here-documents.
	* tests/tools.at (autotools and whitespace in file names): Create
	$TMPDIR before potential use like in other whitespace tests.

2010-01-20  Paolo Bonzini  <bonzini@gnu.org>

	Add recommendation on (not) unsetting IFS.
	* doc/autoconf.texi (Special shell variables): Explain why it's
	better not to unset IFS.

2010-01-19  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	config.status: consistent exit status with nonexistent config file input.
	* lib/autoconf/status.m4 (_AC_OUTPUT_MAIN_LOOP): Ensure we
	exit with status 1 rather than with that of 'false', for
	reproducibility.
	(AC_OUTPUT): Ensure to exit 1 in case of config.status failure.
	* tests/torture.at (Missing templates): Also test code path
	for $srcdir != '.'.
	Report by Tim Rice.

2010-01-13  Eric Blake  <ebb9@byu.net>

	Fix previous example.
	* doc/autoconf.texi (Here-Documents): Touch up the example to
	match output to sample command line.

	Document here-doc pitfall.
	* doc/autoconf.texi (Here-Documents): Mention problem with <<-
	operator.
	Reported by Jim Meyering.

2010-01-12  Eric Blake  <ebb9@byu.net>

	Typo fix in earlier commit.
	* doc/autoconf.texi (Autoconf Language): Fix typo.

2010-01-12  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Allow AC_FUNC_MKTIME to work with C++.
	* lib/autoconf/functions.m4 (AC_FUNC_MKTIME): ANSIfy KnR function
	definitions.  Use `const char*' for character literals; cast them
	to `char*' for putenv.

2010-01-11  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Export AUTOM4TE in tests/atlocal.in, for aclocal.
	* tests/atlocal.in: Set and export $AUTOM4TE, for aclocal.
	Report by Tim Rice.

2010-01-08  Eric Blake  <ebb9@byu.net>

	Make autotest example act better with automake.
	* doc/autoconf.texi (Making testsuite Scripts): Rely on automake
	feature for recommended autotest snippet, following our own use.

	Clarify language on handling of opening parenthesis.
	* doc/autoconf.texi (Autoconf Language): Give an example of
	improper argument passing.
	* THANKS: Update.
	Reported by Juan Carlos Hurtado.

2010-01-06  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Don't fail autom4te preselection test due to different Automake.
	* tests/tools.at (autom4te preselections): If the cache test
	fails, extract the Automake version from the toplevel
	Makefile.in file of the source tree; skip, rather than fail
	the test group if the automake program has a different version.
	* THANKS: Update.
	Report by Dieter Jurzitza, fix suggested by Eric Blake.

2010-01-06  Peter Breitenlohner  <peb@mppmu.mpg.de>
	    Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix AC_CONFIG_LINKS to generated files when srcdir is absolute.
	* lib/autoconf/status.m4 (_AC_OUTPUT_LINK): Check $ac_source,
	not $srcdir, for being relative or absolute.
	* tests/torture.at (AC_CONFIG_LINKS): New test.
	(AC_CONFIG_LINKS and identical files): Extend test, avoid some
	forks.
	Report, patch and testcase example by Peter Breitenlohner.

2010-01-05  Eric Blake  <ebb9@byu.net>

	Improve release automation.
	* maint.mk (gnulib_dir, gnulib-version, bootstrap-tools)
	(announcement): Copy from latest gnulib maint.mk.
	* cfg.mk (announce_gen, gpg_key_ID): Delete.
	(bootstrap-tools): Override the default.

	Update upstream files.
	* GNUmakefile: Update via 'make fetch'.
	* build-aux/announce-gen: Likewise.
	* build-aux/config.guess: Likewise.
	* build-aux/config.sub: Likewise.
	* build-aux/gendocs.sh: Likewise.
	* build-aux/gnupload: Likewise.
	* build-aux/move-if-change: Likewise.
	* build-aux/update-copyright: Likewise.
	* build-aux/vc-list-files: Likewise.
	* doc/standards.texi: Likewise.
	* cfg.mk (update-copyright-env): Enforce wrap column.

	Update copyright year.
	All files changed to add 2010, via 'make update-copyright'.

2009-12-31  Bruno Haible  <bruno@clisp.org>

	Improve documentation on Solaris tr bugs.
	* doc/autoconf.texi (Limitations of Usual Tools) <tr>: Refine
	description of NUL handling by Solaris tr.

2009-12-31  Eric Blake  <ebb9@byu.net>

	Another tr tweak.
	* doc/autoconf.texi (Limitations of Usual Tools) <tr>: Clarify
	previous commit.
	Reported by Ralf Wildenhues.

2009-12-29  Eric Blake  <ebb9@byu.net>

	Improve documentation on tr portability.
	* doc/autoconf.texi (Limitations of Usual Tools) <tr>: Refine
	description of NUL handling.  Document set size issue.
	Reported by Bruno Haible.

	Fix comment in AC_CHECK_DECLS.
	* lib/autoconf/general.m4 (AC_CHECK_DECL): Document the includes
	argument to the shell function.

2009-12-15  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Add testsuite exposure for shtool usage.
	* tests/foreign.at (shtool): New test.
	Report by Dmitry Grebeniuk.

2009-12-12  Eric Blake  <ebb9@byu.net>

	Improve wording about m4 quote characters.
	* doc/autoconf.texi (Autoconf Language): Autoconf quote characters
	come from m4sugar, not raw m4.
	(Active Characters): Mention that it is m4sugar which changes
	quotes from `' to [].
	* THANKS: Update.
	Suggested by Josef Vukovic.

2009-12-12  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Revert "Improve AC_CONFIG_AUX_DIRS a bit." to fix shtool usage.
	* lib/autoconf/general.m4 (AC_CONFIG_AUX_DIRS): Revert test for
	shtool as install script.  Regression introduced in 2.64.
	* NEWS, THANKS: Update.
	Report by Dmitry Grebeniuk.
	This reverts commit 93d9386de9c1320afed43f1337ac5ddb2d2dcbb4.

2009-12-09  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix NEWS description for AC_FUNC_MMAP entry.
	* NEWS: Update.

	Fix 2.65 AC_TYPE_INT*_T macro body text regression.
	* lib/autoconf/types.m4 (_AC_TYPE_INT_BODY): Move helper enum
	definition to prologue section, to avoid syntax error.
	* NEWS, THANKS: Update.
	Report by Pierre Ynard.

2009-12-09  Paolo Bonzini  <bonzini@gnu.org>

	Fix `recursion' test failure.
	* tests/m4sugar.at (recursion): Use empty diversion, not 0.

2009-12-05  Stefano Lattarini  <stefano.lattarini@gmail.com>
	    Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Document Solaris/Heirloom sh set -e issue with command substitutions.
	* doc/autoconf.texi (Limitations of Builtins): Fix typos `set -d'
	in previous example.  Document failure to honor && lists with set -e
	and a command substitution in the failing command.
	Report and initial patch by Stefano Lattarini against Automake.

2009-12-04  Eric Blake  <ebb9@byu.net>

	Warn if using unnamed diversion.
	* lib/m4sugar/m4sugar.m4 (_m4_divert, m4_divert_push): Add
	optional parameter, which controls warning.
	(m4_divert_pop, m4_cleardivert, m4_divert_require)
	(_m4_require_call): Adjust callers.
	* lib/m4sugar/m4sh.m4 (AS_REQUIRE): Likewise.
	* tests/m4sh.at (AT_DATA_LINENO): Avoid triggering the warning.
	* tests/m4sugar.at (AT_CHECK_M4SUGAR_TEXT, m4@&t@_append)
	(m4@&t@_text_wrap, recursion): Likewise.
	(m4@&t@_warn, m4@&t@_divert_stack): Adjust expected output.
	* tests/tools.at (autom4te and whitespace in file names)
	(autoconf: the empty token): Avoid triggering the warning.
	(autoconf: AC_PRESERVE_HELP_ORDER): New test.
	* tests/mktests.sh (ac_exclude_list): Retire prior test.
	* NEWS: Document the warning.
	* doc/autoconf.texi (Redefined M4 Macros) <m4_divert>,
	<m4_undivert>: Make even more explicit that using these directly
	is discouraged.
	(Diversion support): Further warn against improper diversion
	changes.
	<m4_divert_text>: Give an example of proper use.
	Reported by Mike Frysinger.

2009-11-30  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	manual: AC_SEARCH_LIBS also prepends to LIBS.
	* doc/autoconf.texi (Libraries): Document that AC_SEARCH_LIBS
	prepends to LIBS, just like AC_CHECK_LIB.

2009-11-27  Paolo Bonzini  <bonzini@gnu.org>

	Bump m4.m4 serial number.
	* m4/m4: Bump serial number to 10.

2009-11-27  Harald van Dijk  <truedfx@gentoo.org>

	Fix m4 detection test on dash.
	* m4/m4 (AC_PROG_GNU_M4): Use AS_ECHO.

2009-11-24  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix AC_FUNC_MMAP regression with C++ compiler in 2.65.
	* lib/autoconf/functions.m4 (AC_FUNC_MMAP): Use const char*
	for the constant string.  Cast void* to char* for assignment.
	* NEWS, THANKS: Update.
	Report by Michal Čihař.

	Add pgfortran to list of Fortran 95+ compilers.
	* lib/autoconf/fortran.m4 (_AC_F95_FC): Add pgfortran before
	pgf95.
	Based on report by Jeff Squyres.

2009-11-22  Bruno Haible  <bruno@clisp.org>

	Fix failure of test 35 when the user has a .autom4te.cfg file.
	* tests/tools.at (autom4te cache creation): Skip the test if the
	user has a .autom4te.cfg file.

2009-11-21  Eric Blake  <ebb9@byu.net>

	Release Version 2.65.
	* NEWS: Mention the release.

	Prepare for release.
	* build-aux/announce-gen: Sync from upstream.
	* build-aux/config.guess: Likewise.
	* build-aux/config.sub: Likewise.
	* cfg.mk (gnu_rel_host, url_dir_list): Move...
	* maint.mk: ...here, copying ideas from gnulib.
	(major): Rename...
	(stable): ...to this, copying gnulib.
	* HACKING (release): Document changes in process.

	Avoid spurious newline in traced macros.
	* bin/autoreconf.in (tracing): Drop newline before parsing traced
	arguments; regression from 2009-11-14.

2009-11-20  Eric Blake  <ebb9@byu.net>

	Allow absolute names in AT_TESTED.
	* lib/autotest/general.m4 (AT_INIT) <PREPARE_TESTS>: Check for
	absolute names before path walk.
	* THANKS: Update.
	Suggested by Allan Clark.

2009-11-14  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix AC_CONFIG_SUBDIRS tracing in autoreconf.
	* bin/autoreconf.in (autoreconf_current_directory): Collapse
	newlines in the autoconf trace output, similar to how automake
	invokes autoconf, so that newlines do not matter in the argument
	to AC_CONFIG_SUBDIRS.
	* tests/torture.at (Deep Package): Expose this issue in the
	test.
	* THANKS: Update.
	Report by Nathan Schulte.

2009-11-09  Eric Blake  <ebb9@byu.net>

	Fix AC_FUNC_MMAP for cygwin.
	* lib/autoconf/functions.m4 (AC_FUNC_MMAP): Make the test more
	portable: Actually check for <sys/param.h>, and only use MAP_FIXED
	on an address previously returned from mmap.
	* THANKS: Update.
	Reported by Corinna Vinschen.

2009-11-04  Eric Blake  <ebb9@byu.net>

	Redocument AS_DIRNAME, even with its flaws.
	* doc/autoconf.texi (Common Shell Constructs) <AS_DIRNAME>:
	Restore documentation, since dirname mentions it.
	Reported by Peter Johansson.

	Update upstream files.
	* build-aux/announce-gen: Synchronize from upstream.
	* build-aux/config.guess: Likewise.
	* build-aux/config.sub: Likewise.
	* build-aux/gendocs.sh: Likewise.
	* build-aux/git-version-gen: Likewise.
	* build-aux/texinfo.tex: Likewise.
	* build-aux/update-copyright: Likewise.
	* doc/standards.texi: Likewise.
	* lib/Autom4te/Channels.pm: Likewise.
	* lib/Autom4te/Configure_ac.pm: Likewise.
	* lib/Autom4te/FileUtils.pm: Likewise.
	* lib/Autom4te/Struct.pm: Likewise.
	* lib/Autom4te/XFile.pm: Likewise.

2009-11-04  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Coverage for autom4te cache creation issues.
	* tests/tools.at (autom4te cache creation): New test.

2009-11-03  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix testsuite failures with SHELL=zsh.
	* tests/statesave.m4 (AC_STATE_SAVE): Ignore argv and ARGC when
	comparing configure variables.

2009-11-03  Eric Blake  <ebb9@byu.net>
	and Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Update NEWS for recent fixes.
	* NEWS: Add some entries.

2009-10-31  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Micro-optimization of config.status substitution.
	* lib/autoconf/status.m4 (_AC_OUTPUT_FILES_PREPARE): No need to
	concatenate an empty second string, when we have exactly 148
	characters to substitute.
	* tests/torture.at (Substitute a 2000-byte string): Add test
	exposure for runs of backslashes near the 148 character limit.

	Fix testsuite failure on AIX 4.3.3.
	* lib/autoconf/general.m4 (_AC_RUN_LOG_LIMIT): Remove conftest.err
	also if it is empty.

	Fix testsuite failure on IRIX and AIX.
	* tests/torture.at (Substitute and define special characters):
	Double the backslash before the double-quote in
	AC_DEFINE_UNQUOTED, as documented for here-documents.

2009-10-31  Eric Blake  <ebb9@byu.net>

	Fix cross-manual link to gcc.
	* doc/autoconf.texi (Portable C and C++): Provide uref rather than
	xref when building for html.
	Reported via Karl Berry.

	Update authors.
	* AUTHORS: Document recent copyright assignments.

2009-10-31  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix AC_OPENMP configure message for non-C compilers.
	* lib/autoconf/lang.m4 (AC_LANG_DEFINE): Accept as additional
	fourth arg the compiler variable name, defined in _AC_CC($1).
	(_AC_CC): New language dispatch macro.
	* lib/autoconf/erlang.m4 (AC_LANG(Erlang)): Adjust.
	* lib/autoconf/fortran.m4 (AC_LANG(Fortran 77), AC_LANG(Fortran)):
	Likewise.
	* lib/autoconf/c.m4 (AC_LANG(C), AC_LANG(C++))
	(AC_LANG(Objective C), AC_LANG(Objective C++)): Likewise.
	(AC_OPENMP): Use _AC_CC instead of $CC.

	Do not fail OpenMP tests on systems without aclocal.
	* tests/c.at (AC_OPENMP and C, AC_OPENMP and C++): Override
	`ACLOCAL=true' for autoreconf, the tests don't need aclocal.
	* tests/fortran.at (AC_OPENMP and Fortran 77)
	(AC_OPENMP and Fortran): Likewise.

2009-10-31  Bruno Haible  <bruno@clisp.org>
	    Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Improve cache variable documentation.
	* doc/autoconf.texi (AC_PROG_AWK, AC_PROG_GREP, AC_PROG_EGREP,
	AC_PROG_FGREP, AC_PROG_INSTALL, AC_PROG_MKDIR_P, AC_PROG_LEX,
	AC_PROG_YACC, AC_CHECK_PROG, AC_CHECK_PROGS, AC_PATH_PROG,
	AC_PATH_PROGS): Don't suggest to use the cache variable, only to
	override it, or preferably, a non-cache variable associated with
	the test.
	(AC_PROG_SED): Likewise. Fix name of cache variable.
	(AC_FUNC_GETMNTENT): Fix name cache variable.
	(AC_FUNC_LSTAT): Fix typo.

2009-10-31  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix AC_OPENMP for Fortran (F77 and FC).
	* lib/autoconf/fortran.m4 (AC_LANG_FUNC_LINK_TRY(Fortran): New.
	* tests/c.at (AC_C_RESTRICT and C++, AC_OPENMP and C)
	(AC_OPENMP and C++): New tests.
	* tests/fortran.at (AC_OPENMP and Fortran 77)
	(AC_OPENMP and Fortran): New tests.
	* THANKS: Update.
	Report by Bart Oldeman.

	Perl coverage convenience targets.
	* Makefile.am (PERL_COVERAGE_DB, PERL_COVERAGE_FLAGS)
	(PERL_COVER): New variables.
	(check-coverage, check-coverage-run, check-coverage-report)
	(clean-coverage): New phony targets.
	(clean-local): Depend on clean-coverage.

2009-10-28  Eric Blake  <ebb9@byu.net>

	Fix corner cases in AS_LITERAL_IF and AS_TR_SH.
	* lib/m4sugar/m4sh.m4 (AS_LITERAL_IF): Fix bug with unbalanced
	parens.  Move guts...
	(_AS_LITERAL_IF): into new helper.
	(AS_TR_SH, AS_TR_CPP): Fix bugs with expansion of wrong macro.
	Move guts...
	(_AS_TR_SH, _AS_TR_SH_LITERAL, _AS_TR_SH_INDIR, _AS_TR_CPP)
	(_AS_TR_CPP_LITERAL, _AS_TR_CPP_INDIR): ...into new helpers.
	(AS_VAR_PUSHDEF): Hoist m4_require, by moving guts...
	(_AS_VAR_PUSHDEF): ...into new helper.
	* tests/m4sh.at (AS@&t@_LITERAL_IF): Enhance test.

	Minor optimizations to m4sh.
	* lib/m4sugar/m4sh.m4 (AS_VAR_IF, AS_IDENTIFIER_IF)
	(AS_LITERAL_IF): Parse fewer bytes during expansion, by visiting
	if-true and if-false arguments only once.

	Optimize m4_escape for common case.
	* lib/m4sugar/m4sugar.m4 (m4_escape): Don't use regex if string is
	already sane, by copying from AS_LITERAL_IF.  Move guts...
	(_m4_escape): ...into new helper.

	Fix m4_text_wrap handling of quoted whitespace.
	* lib/m4sugar/m4sugar.m4 (m4_escape): New macro.
	(m4_text_wrap): Use it to avoid issues with embedded [ and ].
	* tests/m4sugar.at (m4@&t@_text_wrap): Test it.
	* NEWS: Document this.
	* doc/autoconf.texi (Text processing Macros) <m4_escape>:
	Likewise.
	Reported by Mike Frysinger.

2009-10-27  Eric Blake  <ebb9@byu.net>

	Mention another feature of AC_RUN_IFELSE.
	* doc/autoconf.texi (Runtime) <AC_RUN_IFELSE>: Mention that
	compiled test program still exists during if-true branch.
	* THANKS: Update.
	Reported by Stefano Lattarini, suggestion by Ralf Wildenhues.

2009-10-26  Paolo Bonzini  <bonzini@gnu.org>

	Pass Autom4te path down to programs that autoreconf invokes.
	* bin/autoreconf.in (autom4te): New variable.  Export its value
	as $ENV{'AUTOM4TE'}.  Suggested by Peter Johansson.
	* THANKS: Update.

2009-10-20  Eric Blake  <ebb9@byu.net>

	Fix AC_TYPE_UINT64_T on Tru64 with gcc 3.4.4.
	* lib/autoconf/types.m4 (_AC_TYPE_UNSIGNED_INT_BODY)
	(_AC_TYPE_INT_BODY): Avoid undefined behavior of attempting shift
	wider than type.
	* NEWS: Document this.
	Reported by Rainer Orth.

2009-10-17  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix a couple of index entries in the manual.
	* doc/autoconf.texi (Polymorphic Variables): Fix index entries
	for AS_VAR_APPEND, AS_VAR_ARITH.

2009-10-15  Eric Blake  <ebb9@byu.net>

	Fix typos in INSTALL.
	* doc/install.texi (Basic Installation, Installation Names): Fix
	typos in last patch.
	Reported by Ralf Wildenhues.

	Improve INSTALL wording.
	* doc/install.texi (Basic Installation): Clarify installcheck
	behavior.
	(Installation Names): Mention that --prefix only overrides
	directory locations not specified on the command line.  Prefer
	/alternate/directory over /path/to.  Remove a sentence targeted to
	the developer, not the user.
	* THANKS: Update.
	Suggested by Alfred M. Szmidt.

2009-10-15  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Fix typos in documentation.
	* doc/autoconf.texi (Cache Variable Index): Fix typo.
	(Libraries) <AC_SEARCH_LIBS>: Mention 'none required' result.

2009-10-09  Bruno Haible  <bruno@clisp.org>
	    Ralf Wildenhues <Ralf.Wildenhues@gmx.de>

	Recommend `sh -n' debugging, and public result variables for macros.
	* doc/autoconf.texi (Debugging): Recommend to use "bash -n
	configure".  Recommend the use of result variables as an
	alternative to run-if-true/run-if-false parameters.

2009-10-05  Bruno Haible  <bruno@clisp.org>

	* doc/autoconf.texi (Particular Functions): Swap sections about
	AC_FUNC_MBRTOWC and AC_FUNC_MEMCMP.

2009-10-01  Paolo Bonzini  <bonzini@gnu.org>

	Unconditionally check for junk ./--version after mkdir search loop.
	* lib/autoconf/programs.m4 (AC_PROG_MKDIR_P): Always check for
	presence of ./--version.  Reported by Eric Blake.

2009-09-22  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Clarify documentation about Solaris sed quantifier restriction.
	* doc/autoconf.texi (Limitations of Usual Tools) <sed>: '*' does
	not work after subexpressions, \{M,N\} only after one-character
	expressions.  From GCC PR 38923.

2009-09-21  Eric Blake  <ebb9@byu.net>

	Fit configure output in 80 columns.
	* lib/autoconf/functions.m4
	(AC_FUNC_LSTAT_FOLLOWS_SLASHED_SYMLINK): Shorten message.

2009-09-18  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Use consistent notation for cache variables.
	* doc/autoconf.texi (Generic Programs): Remove `$' before
	variable name.

	Documentation of specific and general cache variables.
	* doc/autoconf.texi (Default Includes, Alternative Programs)
	(Particular Programs, Generic Programs, Files, Libraries)
	(Function Portability, Particular Functions, Generic Functions)
	(Particular Headers, Generic Headers, Declarations)
	(Generic Declarations, Particular Structures, Particular Types)
	(Specific Compiler Characteristics)
	(Generic Compiler Characteristics, C Compiler, System Services):
	Document lots of cache variables.
	* NEWS: Update.
	Suggested by Bruno Haible.

	New cache variable index in the manual.
	* doc/autoconf.texi: Define new index `CA' for cache variables.
	(caindex): New macro.
	(Cache Variable Index): New appendix node.
	(Top, Indices): Adjust menus.
	(Cache Variable Names, Site Defaults): Adjust text.
	* doc/Makefile.am (CLEANFILES): Add files generated for CA index.

	New FAQ node: Debugging.
	* doc/autoconf.texi (Debugging): New node.
	(Top, FAQ): Adjust menus.
	Report by Bruno Haible.

	Document AM_MAKEFLAGS workaround to the macro override problem.
	* doc/autoconf.texi (Macros and Submakes): Automake makefiles
	provide AM_MAKEFLAGS to help with overriding macros in submake
	invocations.
	Prompted by bug report from Bruno Haible.

2009-09-15  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Implement and document Objective C++ support.
	* lib/autoconf/c.m4 (AC_LANG(Objective C++), AC_LANG_OBJCXX)
	(AC_LANG_PREPROC(Objective C++), AC_PROG_OBJCXXCPP)
	(AC_LANG_COMPILER(Objective C++), AC_PROG_OBJCXX)
	(_AC_PROG_OBJCXX_G): New macros.
	(_AC_ARG_VAR_CPPFLAGS, _AC_ARG_VAR_LDFLAGS)
	(_AC_ARG_VAR_LIBS): Adjusted.
	* doc/autoconf.texi (Objective C++ Compiler): New node.
	(Preset Output Variables): Document OBJCXXFLAGS.
	(Language Choice): Document `Objective C++' language.
	* NEWS: Updated.
	* tests/local.at (AT_CHECK_ENV): Ignore AC_SUBSTed Objective C++
	related variables.

2009-09-15  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Work around DJGPP shell function return bug with command substitutions.
	DJGPP bash 2.04 has a bug in that `return $ac_retval' done in a
	shell function which also contains a command substitution causes
	the shell to barf.  For more details and a fix see:
	<http://www.delorie.com/djgpp/mail-archives/browse.cgi?p=djgpp-workers/2009/09/09/03:35:08>
	Possible workaround include putting the `return' in a subshell
	or calling another function to set the status.
	* lib/autoconf/general.m4 (_AC_PREPROC_IFELSE_BODY)
	(_AC_COMPILE_IFELSE_BODY, _AC_LINK_IFELSE_BODY)
	(_AC_RUN_IFELSE_BODY, _AC_COMPUTE_INT_BODY): Use AS_SET_STATUS
	instead of `return'.
	* doc/autoconf.texi (Common Shell Constructs, Shell Functions):
	Document the issue.
	* THANKS: Update.
	Report by Rugxulo and Reuben Thomas.

	DJGPP fix: Do not redirect standard input in configure scripts.
	* lib/autoconf/general.m4 (_AC_INIT_DEFAULTS): If $DJGPP is
	nonempty, do not dup fd 0 to AS_ORIGINAL_STDIN_FD, do not close
	fd 0.

2009-09-14  Eric Blake  <ebb9@byu.net>

	Quote result of m4_toupper and m4_tolower.
	* lib/m4sugar/m4sugar.m4 (m4_tolower, m4_toupper): Quote result.
	* lib/autotest/general.m4 (AT_KEYWORDS): Adjust caller.
	* tests/m4sugar.at (m4@&t@_toupper and m4@&t@_tolower): New test.
	* NEWS: Document this.
	* THANKS: Update.
	Reported by Sam Steingold.

2009-09-14  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	DJGPP fix: remove both conftest and conftest.exe.
	The DJGPP compiler may create both `a.out' and `a.exe' without -o,
	and both `conftest' and `conftest.exe' with `-o conftest', but not
	with `-o conftest.exe'.
	* lib/autoconf/lang.m4 (_AC_COMPILER_EXEEXT_O): Also remove
	`conftest' without $ac_exeext suffix.

	DJGPP fix: do not try to source /dev/null as cache or site file.
	* lib/autoconf/general.m4 (AC_SITE_LOAD, AC_CACHE_LOAD): Do not
	load the cache or site file if it is `/dev/null', as DJGPP treats
	it as a regular file, but the shell then warns about it later.
	Fixes several test suite failures on DJGPP.

	testsuite: pass $configure_options to configure invocations.
	* tests/local.at (AT_CHECK_CONFIGURE): Add $configure_options
	to configure command line.
	* tests/autotest.at, tests/base.at, tests/c.at, tests/torture.at:
	Likewise for each configure invocation.
	* README-hacking: Document configure_options.

	testsuite: improve Erlang tests portability, overridability.
	* tests/autotest.at (Erlang Eunit unit tests): Use "no" as
	value-if-not-found for Erlang tools.
	* tests/erlang.at: Likewise.  Also, use AS_EXIT instead of plain
	exit.

2009-09-13  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* bin/autoupdate.in: Fix typos in comments.

	Improve autotest testsuite summary message.
	* lib/autotest/general.m4 (AT_INIT): Hint at the toplevel log
	only if not $at_debug_p.  Always hint at the per-test output.

	Four new autoupdate tests, expected failures.
	* tests/tools.at (autoupdating macros recursively)
	(autoupdating with m4@&t@_pushdef, autoupdating with AC_REQUIRE)
	(autoupdating with complex quoting): New tests.

	Fix description of AC_CHECK_LIB regarding other deplibs.
	* doc/autoconf.texi (Libraries): Library linking may not fail
	even without missing additional libs.

2009-09-12  Eric Blake  <ebb9@byu.net>

	Track recent copyright assignments.
	* AUTHORS: Update.

	Improve documentation on quoting.
	* doc/autoconf.texi (Autoconf Language): Clarify quoting example.
	* THANKS: Update.
	Reported by santilín.

2009-09-11  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	New config.status option --config.
	* lib/autoconf/status.m4 (_AC_OUTPUT_CONFIG_STATUS): Implement
	--config.
	* doc/autoconf.texi (config.status Invocation): Document it.
	* NEWS: Update.
	* tests/torture.at (configure invocation): Test it.
	Suggested several times, by several people, in the past.

2009-09-10  Eric Blake  <ebb9@byu.net>

	Document that AS_INIT is automatically used.
	* doc/autoconf.texi (Initialization Macros) <AS_INIT>: Add words
	to clarify that only bare-bones scripts need a direct AS_INIT.
	Suggested by Reuben Thomas.

	Clarify portability pitfall of test.
	* doc/autoconf.texi (Limitations of Builtins) <test>: Give more
	reasons why -a and -o are not portable.
	Reported by Reuben Thomas.

2009-09-10  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Document sed limitation with escaped metacharacters.
	* doc/autoconf.texi (Limitations of Usual Tools) <sed>: Use `%'
	rather than `/' as delimiter in an example `s' command.
	Document inconsistent treatment of escaped metacharacters.
	* THANKS: Update.
	Report by Dave Korn, with additional input from Paolo Bonzini
	and Eric Blake.

	Document temporary directory `$tmp' for use in config.status.
	* doc/autoconf.texi (Configuration Actions): Document `$tmp'.
	* NEWS: Update.

2009-09-09  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Update License to GPLv3+ including new Autoconf Exception.
	* NEWS, README: Update licensing information.
	* COPYING.EXCEPTION: New file.
	* Makefile.am (EXTRA_DIST): Distribute it.
	* cfg.mk (autom4te-update): Remove copyright change warning.
	* lib/autoconf/autoconf.m4, lib/autoconf/autoheader.m4,
	lib/autoconf/autoscan.m4, lib/autoconf/autotest.m4,
	lib/autoconf/autoupdate.m4, lib/autoconf/c.m4,
	lib/autoconf/erlang.m4, lib/autoconf/fortran.m4,
	lib/autoconf/functions.m4, lib/autoconf/general.m4,
	lib/autoconf/headers.m4, lib/autoconf/lang.m4,
	lib/autoconf/libs.m4, lib/autoconf/oldnames.m4,
	lib/autoconf/programs.m4, lib/autoconf/specific.m4,
	lib/autoconf/status.m4, lib/autoconf/types.m4,
	lib/autotest/autotest.m4, lib/autotest/general.m4,
	lib/autotest/specific.m4, lib/m4sugar/foreach.m4,
	lib/m4sugar/m4sh.m4, lib/m4sugar/m4sugar.m4: Update exception
	statement, bump to GPLv3.
	* bin/autoconf.as, bin/autoheader.in, bin/autom4te.in,
	bin/autoreconf.in, bin/autoscan.in, bin/autoupdate.in,
	bin/ifnames.in: Bump to GPLv3+, adjust --version output
	to reflect the GPLv3+ and the Autoconf Exception.
	* lib/Autom4te/C4che.pm, lib/Autom4te/ChannelDefs.pm,
	lib/Autom4te/General.pm, lib/Autom4te/Request.pm,
	lib/autom4te.in, lib/autoscan/autoscan.pre,
	lib/emacs/autoconf-mode.el, lib/emacs/autotest-mode.el,
	lib/freeze.mk, tests/atlocal.in, tests/autoscan.at,
	tests/autotest.at, tests/base.at, tests/c.at,
	tests/compile.at, tests/erlang.at, tests/foreign.at,
	tests/fortran.at, tests/local.at, tests/m4sh.at,
	tests/m4sugar.at, tests/mktests.sh, tests/semantics.at,
	tests/statesave.m4, tests/suite.at, tests/tools.at,
	tests/torture.at, tests/wrapper.as: Bump to GPLv3+.

	Allow to work on systems without Fcntl::flock implementation.
	* configure.ac (PERL_FLOCK): New substitution variable with test
	whether Fcntl::flock is implemented by the system.
	* bin/Makefile.am (edit): Substitute @PERL_FLOCK@.
	* bin/autom4te.in: Call XFile::lock only if flock is
	implemented.

2009-09-04  Reuben Thomas  <rrt@sc3d.org>  (tiny change)

	Mention the Autoconf archive.
	* doc/autoconf.texi (Coding Style): Add a link.

2009-08-30  Bruno Haible  <bruno@clisp.org>

	Document another Solaris tr pitfall.
	* doc/autoconf.texi (Limitations of Usual Tools) <tr>: Mention
	that Solaris /usr/bin/tr does not only have problems with
	replacing NUL bytes but discards all NUL bytes from the input.

2009-09-04  Eric Blake  <ebb9@byu.net>

	Improve wording about what goes before AC_INIT.
	* doc/autoconf.texi (Initializing configure): Update wording.
	(Versioning) <AC_PREREQ>: Remove misleading text, to match
	autoscan's behavior.
	* THANKS: Update.
	Reported by NightStrike, with input from Ralf Wildenhues.

2009-09-04  Thomas Jahns  <jahns@dkrz.de>  (tiny change)

	Fix illegal tab character in Fortran source.
	* lib/autoconf/fortran.m4 (AC_FC_SRCEXT): Change TAB back to
	multiple spaces; regression introduced 2008-10-23.
	* NEWS: Mention this.
	* THANKS: Update.

2009-08-22  Romain Lenglet  <romain.lenglet@laposte.net>

	Fix AT_CHECK_EUNIT for versions of Erlang/OTP without init:stop/1.
	* lib/autotest/specific.m4 (AT_CHECK_EUNIT): Support older
	versions of Erlang/OTP with an erlang:stop() function that doesn't
	take arguments.

2009-08-22  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Drop unneeded line in Eunit test.
	* tests/autotest.at (Erlang Eunit unit tests): Do not copy
	install-sh.

	Fix build dependencies for Erlang macro files.
	* lib/freeze.mk (autotest_m4f_dependencies): Add
	$(src_libdir)/autotest/specific.m4.
	* tests/Makefile.am (AUTOCONF_FILES): Add erlang.m4.

2009-09-19  Paolo Bonzini  <bonzini@gnu.org>

	Use a separate program to test whether the compiler works.
	* lib/autoconf/erlang.m4 (_AC_LANG_NULL_PROGRAM(Erlang)): New.
	* lib/autoconf/lang.m4 (AC_LANG_DEFINE): Copy _AC_LANG_NULL_PROGRAM.
	(_AC_LANG_NULL_PROGRAM(), _AC_LANG_NULL_PROGRAM): New.
	(_AC_COMPILER_EXEEXT_DEFAULT): Print here "whether the xyz compiler
	works", before exiting.
	(_AC_COMPILER_EXEEXT_WORKS): Merge into _AC_COMPILER_EXEEXT_CROSS,
	remove the "whether the xyz compiler works" message, use
	conftest$ac_cv_exeext instead of $ac_file.
	(_AC_COMPILER_EXEEXT): Try _AC_COMPILER_EXEEXT_DEFAULT using
	the null program, and clean conftest.out only after
	_AC_COMPILER_EXEEXT_CROSS.
	(AC_NO_EXECUTABLES): Use _AC_LANG_NULL_PROGRAM.
	(_AC_COMPILER_OBJEXT): Use _AC_LANG_NULL_PROGRAM.

2009-08-18  Bruno Haible  <bruno@clisp.org>

	Document Solaris tr range and NUL limitations.
	* doc/autoconf.texi (Limitations of Usual Tools): Mention that
	Solaris /usr/bin/tr does not support ranges, nor the '\0' octal
	escape.

2009-08-14  Eric Blake  <ebb9@byu.net>

	Simplify version control metadata.
	* .cvsignore: Delete.
	* bin/.cvsignore: Likewise.
	* config/.cvsignore: Likewise.
	* doc/.cvsignore: Likewise.
	* lib/.cvsignore: Likewise.
	* lib/autoconf/.cvsignore: Likewise.
	* lib/Autom4te/.cvsignore: Likewise.
	* lib/autoscan/.cvsignore: Likewise.
	* lib/autotest/.cvsignore: Likewise.
	* lib/emacs/.cvsignore: Likewise.
	* lib/m4sugar/.cvsignore: Likewise.
	* man/.cvsignore: Likewise.
	* tests/.cvsignore: Likewise.
	* bin/.gitignore: Likewise.
	* build-aux/.gitignore: Likewise.
	* config/.gitignore: Likewise.
	* doc/.gitignore: Likewise.
	* lib/.gitignore: Likewise.
	* lib/autoconf/.gitignore: Likewise.
	* lib/Autom4te/.gitignore: Likewise.
	* lib/autoscan/.gitignore: Likewise.
	* lib/autotest/.gitignore: Likewise.
	* lib/emacs/.gitignore: Likewise.
	* lib/m4sugar/.gitignore: Likewise.
	* man/.gitignore: Likewise.
	* tests/.gitignore: Likewise.
	* .gitignore: Consolidate all rules into one file.

	Normalize remaining copyright lines.
	* BUGS: Reformat copyright line, using UPDATE_COPYRIGHT_FORCE.
	* NEWS: Likewise.
	* README-hacking: Likewise.
	* TODO: Likewise.
	* lib/Autom4te/ChannelDefs.pm: Likewise.
	* lib/autoconf/fortran.m4: Likewise.
	* lib/autoconf/general.m4: Likewise.
	* lib/autoconf/lang.m4: Likewise.
	* lib/autotest/general.m4: Likewise.
	* maint.mk: Likewise.
	* tests/compile.at: Likewise.

	Improve copyright updating.
	* build-aux/update-copyright: Resynchronize from upstream.
	* maint.mk (update-copyright): Simplify based on gnulib.
	(update-copyright-env): New variable.
	* cfg.mk (update-copyright-exclude-regexp): Delete.
	(update-copyright-env): New override.
	* .x-update-copyright: New file.
	* lib/Autom4te/Makefile.am: Add copyright.
	* lib/Autom4te/Channels.pm: Revert copyright update to upstream
	file.
	* lib/Autom4te/Configure_ac.pm: Likewise.
	* lib/Autom4te/FileUtils.pm: Likewise.
	* lib/Autom4te/Struct.pm: Likewise.
	* lib/Autom4te/XFile.pm: Likewise.

	Update copyright.
	* AUTHORS: Include 2009 in copyright.
	* lib/Autom4te/C4che.pm: Likewise.
	* lib/Autom4te/Channels.pm: Likewise.
	* lib/Autom4te/Configure_ac.pm: Likewise.
	* lib/Autom4te/FileUtils.pm: Likewise.
	* lib/Autom4te/General.pm: Likewise.
	* lib/Autom4te/Request.pm: Likewise.
	* lib/Autom4te/Struct.pm: Likewise.
	* lib/autoconf/Makefile.am: Likewise.
	* lib/autoconf/autoconf.m4: Likewise.
	* lib/autoconf/autoscan.m4: Likewise.
	* lib/autoconf/autoupdate.m4: Likewise.
	* lib/autoconf/functions.m4: Likewise.
	* lib/autoconf/libs.m4: Likewise.
	* lib/autoconf/oldnames.m4: Likewise.
	* lib/autoconf/types.m4: Likewise.
	* lib/autoscan/Makefile.am: Likewise.
	* lib/autoscan/autoscan.pre: Likewise.
	* lib/autotest/Makefile.am: Likewise.
	* lib/autotest/autotest.m4: Likewise.
	* lib/emacs/autoconf-mode.el: Likewise.
	* lib/emacs/autotest-mode.el: Likewise.
	* lib/freeze.mk: Likewise.
	* lib/m4sugar/foreach.m4: Likewise.
	* man/Makefile.am: Likewise.
	* tests/atlocal.in: Likewise.
	* tests/autoscan.at: Likewise.
	* tests/foreign.at: Likewise.
	* tests/fortran.at: Likewise.
	* tests/mktests.sh: Likewise.
	* tests/semantics.at: Likewise.
	* tests/suite.at: Likewise.
	* tests/wrapper.as: Likewise.

	Prepare to bulk update copyright years.
	* build-aux/update-copyright: New file.
	* cfg.mk (gnulib-update): Sync it from gnulib.
	(update-copyright-exclude-regexp): New variable.
	(web-manual): Move...
	* maint.mk (web-manual): ...here, to match gnulib.
	(update-copyright): New target, copied from gnulib's
	maint.mk (it would be nice to sync this file...).
	(build_aux): New macro.
	(VC_LIST, emit_upload_commands): Use it.
	* build-aux/texinfo.tex: Resynchronize from upstream.
	* lib/autoconf/general.m4 (_AC_COPYRIGHT_YEARS): Reformat to meet
	expected pattern.
	* lib/autotest/general.m4 (_AT_COPYRIGHT_YEARS): Likewise.

2009-08-12  Paolo Bonzini  <bonzini@gnu.org>

	Fix testsuite log capturing for tests 183 and 186.
	* tests/autotest.at (AT_CHECK_AT_PREP): Prepend AT_dir to
	testsuite log file for AT_CAPTURE_FILE.

2009-08-10  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Ensure we do not regress with AC_CHECK_MEMBERS.
	* tests/semantics.at (AC_CHECK_MEMBERS): Expose the recent
	AC_CHECK_MEMBERS fix.
	(AC_CHECK_MEMBER): New test group.

2009-08-10  Jeff Squyres  <jsquyres@cisco.com>  (tiny change)

	Fix typo in AC_REQUIRE description.
	* doc/autoconf.texi (Prerequisite macros): Fix typo.

2009-08-10  Paolo Bonzini  <bonzini@gnu.org>

	Fix description of the macro generated by AC_CHECK_MEMBERS.
	* lib/autoconf/types.m4 (_AC_CHECK_MEMBERS): Fix regex
	replacement.  Reported by Bruno Haible.

2009-08-07  Romain Lenglet  <romain.lenglet@laposte.net>

	* lib/autoconf/erlang.m4 (AC_LANG(Erlang)): Make AC_RUN_IFELSE
	fail if the test module doesn't compile.

2009-08-02  Paolo Bonzini  <bonzini@gnu.org>

	Use exit code to detect no occurrences with grep.
	* tests/autotest.at (Erlang Eunit unit tests): Fix grep invocation.

2009-08-01  Romain Lenglet  <romain.lenglet@laposte.net>
	    Paolo Bonzini  <bonzini@gnu.org>

	* lib/autotest/specific.m4 (AT_CHECK_EUNIT): New file.
	* lib/autotest/Makefile.am (dist_autotestlib_DATA): Add specific.m4.
	* lib/autoconf/autotest.m4 (AC_CONFIG_TESTDIR): Add definitions of
	variables used by AT_CHECK_EUNIT macro: ERL, ERLC, ERLCFLAGS.
	* tests/autotest.at (Erlang Eunit unit tests): Add test for macro
	AT_CHECK_EUNIT.
	* doc/autoconf.texi (Writing Testsuites): Document macro
	AT_CHECK_EUNIT.
	* NEWS: Mention macro AT_CHECK_EUNIT.

2009-07-30  Paolo Bonzini  <bonzini@gnu.org>
	    Joel E. Denny  <jdenny@clemson.edu>

	Clarify comparison of echo, printf, and AS_ECHO*.
	* doc/autoconf.texi (Limitations of Builtins): In echo's entry,
	give a reason why printf is better than echo.  In printf's
	entry, cross-reference echo's entry.

2009-07-30  Paolo Bonzini  <bonzini@gnu.org>

	Add back AH_CHECK_HEADERS.
	* lib/autoconf/general.m4 (AH_CHECK_HEADERS): New.
	* NEWS: Create new section.

2009-07-29  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	testsuite: avoid bogus hostname match from inner test logs.
	* tests/autotest.at (Hard fail): Check more restrictively for
	passed tests, so that hostnames recorded in the log file do not
	wrongly match.
	Report by Ludovic Courtès.

2009-07-26  Eric Blake  <ebb9@byu.net>

	Release Version 2.64.
	* NEWS: Mention the release.
	* README: This release is stable.
	* HACKING (release): Use dist-xz, not dist-lzma.

	Document some optional features in INSTALL.
	* doc/install.texi (Basic Installation): Mention that INSTALL is
	generic, and that not all packages implement all features.
	Mention 'make distcheck' for maintainers, and 'make installcheck'
	for users.  Mention the GNU Coding Standards.
	(Installation Names): Mention DESTDIR vs. 'make prefix= install'
	as ways to alter the configuration, with caveats of each.  Move
	--program-prefix discussion...
	(Optional Features): ...here.  Mention --enable-silent-rules and
	use of make V=0.

	Basic improvements to INSTALL.
	* doc/install.texi (Basic Installation): Use better markup.
	(Multiple Architectures): Introduce the term VPATH.
	(Installation Names): Mention that --prefix must be absolute.
	* doc/autoconf.texi (Preset Output Variables)
	(Installation Directory Variables): Consistently refer to GNU
	Coding Standards.

	Update some upstream files.
	* build-aux/config.guess: Resynchronize from upstream.
	* build-aux/config.sub: Likewise.
	* build-aux/texinfo.tex: Likewise.
	* build-aux/vc-list-files: Likewise.
	* doc/standards.texi: Likewise.

2009-07-25  Eric Blake  <ebb9@byu.net>

	Recognize new m4sugar keywords.
	* lib/emacs/autoconf-mode.el (autoconf-current-defun): Recognize
	m4_define_default, m4_defun_init, m4_defun_once.
	(autoconf-font-lock-keywords):  Likewise.

	Require m4 1.4.6, and fix testsuite to support this version.
	* m4/m4.m4 (AC_PROG_GNU_M4): Reject m4 1.4.5, now that we use
	regexp it can't handle.
	* NEWS: Mention minimum version bump.
	* README: Likewise.
	* README-hacking: Likewise.
	* doc/autoconf.texi (Introduction, Why GNU M4): Likewise.
	* tests/tools.at (autom4te --trace and whitespace): Update test so
	still work with older m4 line numbers.
	* tests/m4sugar.at (m4@&t@_require: nested): Likewise.
	Reported by Ralf Wildenhues.

2009-07-25  Bruno Haible  <bruno@clisp.org>

	Clarify autom4te debugging tips.
	* doc/autoconf.texi (Debugging via autom4te): Fix example from
	previous commit, and add clarification.

2009-07-25  Eric Blake  <ebb9@byu.net>

	Document some autom4te debugging tips.
	* doc/autoconf.texi (Debugging via autom4te): New node.
	Suggested by Bruno Haible.

	Fix font-lock.
	* configure.ac (ac_cv_unsupported_fs_chars): Make editing easier.

	Let autoheader see through m4 macros in AC_DEFINE.
	* lib/autoconf/general.m4 (AC_DEFINE_TRACE): Expand macro before
	tracing its name.
	* lib/autoconf/autoheader.m4 (AH_VERBATIM, AH_TEMPLATE): Likewise,
	for using the macro in a template file.
	* tests/tools.at (autoheader and macros): New test.
	* NEWS: Mention this.
	Reported by Bruno Haible.

	Improve NEWS wording.
	* NEWS: Use more accurate statement.
	Suggestedy by Ralf Wildenhues.

2009-07-24  Eric Blake  <ebb9@byu.net>

	Fix AS_EXIT for FreeBSD sh.
	* lib/m4sugar/m4sh.m4 (AS_EXIT): Always supply an argument to the
	shell function, since $? is not reliable on function entry.
	(_AS_EXIT_PREPARE): Simplify to assume argument.
	Reported by Ralf Wildenhues.

2009-07-23  Eric Blake  <ebb9@byu.net>

	Run more tests under Solaris.
	* tests/local.at (AT_CHECK_AUTOCONF): Don't skip entire test
	group when passing over syntax checks.

2009-07-23  Romain Lenglet  <romain.lenglet@laposte.net>

	Clean up temporary files generated by Erlang macros.
	* lib/autoconf/erlang.m4 (AC_ERLANG_CHECK_LIB)
	(AC_ERLANG_SUBST_ROOT_DIR, AC_ERLANG_SUBST_LIB_DIR)
	(AC_ERLANG_SUBST_ERTS_VER): Delete conftest.out; renamed
	erlang_cv_* cache variables into ac_cv_erlang_*.
	* lib/autoconf/general.m4 (AC_RUN_IFELSE): Delete conftest.beam
	files generated by Erlang compiler.
	* tests/local.at (AT_CHECK_ENV): Ignore variables defined by
	Erlang macros.
	* tests/erlang.at (AT_SETUP_ERLANG): Delete; replace all uses by
	AT_CHECK_MACRO.
	* tests/Makefile.am (AUTOCONF_FILES): Revert previous addition of
	generated Erlang tests; they are all hand-tested.

	Add autotests for Erlang macros.
	* tests/erlang.at: Added tests for all macros in erlang.m4.
	* tests/Makefile.am (TESTSUITE_HAND_AT, AUTOCONF_FILES): Added
	erlang.at.
	* tests/suite.at: Likewise.
	* tests/compile.at (AC_LANG, AC_LANG_PUSH & AC_LANG_POP): Added
	test for extension of Erlang files.
	(Multiple languages): Use correct m4 quoting.
	* NEWS: Mention this.

2009-07-22  Eric Blake  <ebb9@byu.net>

	Fix test of autom4te from stdin.
	* tests/tools.at (autom4te cache locking): Make stdin request
	explicit, so that --force is properly used.

2009-07-16  Eric Blake  <ebb9@byu.net>

	Don't hide leading space in autom4te --trace output.
	* bin/autom4te.in (handle_traces): Don't flatten leading and
	trailing space, since tracing spacing bugs can be useful.
	* tests/tools.at (autom4te --trace and whitespace): New test.

2009-07-13  Eric Blake  <ebb9@byu.net>

	Document that $srcdir can be used during configure.
	* doc/autoconf.texi (Preset Output Variables): Add a paragraph.
	* THANKS: Update.
	Reported by Monty Taylor.

2009-07-13  Eric Blake  <ebb9@byu.net>

	Disable asynchronous job notification for parallel tests.
	* lib/autotest/general.m4 (AT_INIT) <Driver loop>: Turn off notify
	mode, since zsh leaves it on after 'emulate sh'.
	* doc/autoconf.texi (Limitations of Builtins) <set>: Document that
	job control options are not portable.

	Guarantee that exit status trumps output matching.
	* doc/autoconf.texi (Writing Testsuites) <AT_CHECK>: Document this
	better.
	* tests/autotest.at (Skip, parallel skip): Enhance tests.

	Fix nits in recent patches.
	* configure.ac (ac_cv_dir_trailing_space): Avoid $status, for
	zsh.
	* doc/autoconf.texi (Writing Testsuites) <AT_FAIL_IF, AT_SKIP_IF>:
	Tweak wording.
	(Introduction): Recommend m4 1.4.13.
	* README: Likewise.
	* m4/m4.m4 (AC_PROG_GNU_M4): Likewise.  Use long option --gnu
	rather than -g.

2009-07-13  Paolo Bonzini  <bonzini@gnu.org>

	Introduce AT_SKIP_IF and AT_FAIL_IF
	* NEWS: Mention AT_SKIP_IF and AT_FAIL_IF.
	* doc/autoconf.texi (Autotest): Document them.
	* lib/autotest/general.m4 (_AT_LINE_ESCAPED, AT_SKIP_IF,
	AT_FAIL_IF, _AT_CHECK_EXIT): New.
	(AT_CHECK): Use _AT_LINE_ESCAPED.
	* tests/autotest.at: Add tests for AT_SKIP_IF and AT_FAIL_IF.
	Use AT_SKIP_IF.
	* tests/local.at: Use AT_SKIP_IF.

2009-07-13  Paolo Bonzini  <bonzini@gnu.org>

	Use m4 -g when available.
	* m4/m4.m4: Unset POSIXLY_CORRECT during first test.  Test for -g.
	Warn user if he has POSIXLY_CORRECT set but -g is not supported.
	* bin/Makefile.am: Substitute @M4_GNU@ into generated files.
	* bin/autom4te.in: Pass @M4_GNU@ to m4.

2009-07-13  Eric Blake  <ebb9@byu.net>

	Fix previous patch.
	* lib/autotest/general.m4 (at_fn_check_prepare_notrace): Use
	proper m4 quoting.
	(_AT_DECIDE_TRACEABLE): Likewise.

2009-07-13  Paolo Bonzini  <bonzini@gnu.org>

	* lib/autotest/general.m4 (at_fn_check_prepare_notrace): Use
	$at_trace_echo.  Add new REASON argument.
	(at_fn_check_prepare_trace): Do not call at_fn_check_prepare_notrace.
	Use $at_check_filter_trace.
	(at_fn_check_prepare_dynamic): Use at_fn_check_prepare_notrace.
	(at_traceon): Initialize to ':'.
	(at_traceoff): Remove, use 'set +x' instead throughout.
	(at_check_filter_trace, at_trace_echo): New shell variables.
	Initialize them if tracing is requested.
	(_AT_DECIDE_TRACEABLE): Adjust call to at_fn_check_prepare_notrace.

2009-07-12  Paolo Bonzini  <bonzini@gnu.org>

	Move atlocal feature tests to configure
	* configure.ac: Test for unsupported characters in files and
	directories here...
	* tests/atlocal.in: ... and not here.

2009-07-09  Eric Blake  <ebb9@byu.net>

	Fix test typo.
	* tests/m4sh.at (AS@&t@_INIT_GENERATED): Close fd, rather than
	creating file named -.

	Fix testsuite under dash.
	* tests/m4sh.at (LINENO stack, AS@&t@_BASENAME, AS@&t@_DIRNAME)
	(AS@&t@_ECHO and AS@&t@_ECHO_N, AS@&t@_EXIT, AS@&t@_MKDIR_P)
	(AS@&t@_VERSION_COMPARE, as_me, Negated classes in globbing)
	(Functions Support, Functions and return Support)
	(Nested AS@&t@_REQUIRE_SHELL_FN, Nested AS@&t@_REQUIRE)
	(AS@&t@_REQUIRE_SHELL_FN and m4@&t@_require, AS@&t@_HELP_STRING)
	(AS@&t@_IF and AS@&t@_CASE, AS@&t@_FOR, AS@&t@_LITERAL_IF)
	(AS@&t@_VAR basics, AS@&t@_VAR_APPEND, AS@&t@_VAR_ARITH)
	(AS@&t@_INIT cleanup, AS@&t@_INIT_GENERATED, AS@&t@_MESSAGE_FD)
	(_AS@&t@_CLEAN_DIR, ECHO_C): Allow testing different CONFIG_SHELL
	options during the testsuite run.
	Reported by Ralf Wildenhues.

2009-07-09  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Ignore messages on stderr when testing for the zsh issue.
	* tests/autotest.at (AT_SKIP_PARALLEL_TESTS): Ignore stderr.

2009-07-07  Eric Blake  <ebb9@byu.net>

	Skip parallel tests when zsh 'set -m' fails.
	* tests/autotest.at (AT_SKIP_PARALLEL_TESTS): Skip test if set -m
	is not supported.
	Reported by Ralf Wildenhues.

	Make parallel testsuite more portable.
	* lib/autotest/general.m4 (AT_INIT) <AT_JOB_FIFO_FD>: Avoid <>;
	instead open write descriptor in each group and read descriptor in
	main driver.
	* tests/autotest.at (AT_SKIP_PARALLEL_TESTS): Relax condition.

2009-07-03  Eric Blake  <ebb9@byu.net>

	Avoid syntax error in ash.
	* lib/autotest/general.m4 (AT_INIT) <driver loop>: Avoid syntax
	errors on shells that don't recognize <>.
	* tests/autotest.at (AT_SKIP_PARALLEL_TESTS): Also skip parallel
	tests for this reason.   Skip based on the shell to be tested,
	not the shell driving the testsuite.
	(parallel syntax error): Rearrange similar to previous patch.
	(parallel test execution): Defer skip until after serial tests.

2009-07-02  Eric Blake  <ebb9@byu.net>

	Skip test on shells that can't catch syntax failure.
	* tests/autotest.at (Syntax error): Skip test if shell aborts on
	syntax error (AIX ksh88) or doesn't detect it (zsh).
	* doc/autoconf.texi (Limitations of Builtins) <.>: Mention these
	limitations.
	Reported by Ralf Wildenhues.

2009-06-30  Jan Madzik  <jmadzik@gmail.com>  (tiny change)
	    Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Avoid AIX 6.1 ksh88 ECHO_C command substitution bug.
	* lib/m4sugar/m4sh.m4 (_AS_ECHO_N_PREPARE): Ensure more than
	one character is output with `\c'; reset echo output state
	if buggy ksh was detected, and set ECHO_T instead of ECHO_C.
	* doc/autoconf.texi (Limitations of Builtins): Document it.
	* tests/m4sh.at (ECHO_C): New test.
	* THANKS: Update.

2009-06-27  William Pursell  <bill.pursell@gmail.com>  (tiny change)

	Fix grammaro in documenation.
	* doc/autoconf.texi (Guidelines): Fix grammaro.

2009-06-17  Eric Blake  <ebb9@byu.net>

	Fix AC_CHECK_HEADER infloop for gcc.
	* lib/autoconf/headers.m4 (_AC_CHECK_HEADER_NEW)
	(_AC_CHECK_HEADER_OLD): Give up on AU_DEFUN, and manually warn
	about obsoletion, to avoid infinite loop in gcc.
	Reported by Ralf Wildenhues.

2009-06-15  Eric Blake  <ebb9@byu.net>

	Add m4_copy_force, m4_rename_force.
	* lib/m4sugar/m4sugar.m4 (m4_copy_force, m4_rename_force): New
	macros.
	* tests/m4sugar.at (m4@&t@_defn): Test them.
	* doc/autoconf.texi (Redefined M4 Macros) <m4_copy>: Document
	them.
	* NEWS: Likewise.
	Suggested by Ralf Wildenhues.

	Reinstate _AC_CHECK_HEADER_OLD for gcc.
	* lib/autoconf/headers.m4 (_AC_CHECK_HEADER_NEW)
	(_AC_CHECK_HEADER_OLD): Provide autoupdate versions, since gcc and
	others used these undocumented macros.
	Reported by Ralf Wildenhues.

2009-06-12  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix concurrent autom4te.cache directory creation race.
	* bin/autom4te.in: Do not error out if another `autom4te'
	instance created the cache directory before we could.

2009-06-11  Steven G. Johnson  <stevenj@alum.mit.edu>
	and Eric Blake  <ebb9@byu.net>

	Create a file in test program when detecting cross-compilation.
	* lib/autoconf/lang.m4 (_AC_LANG_IO_PROGRAM): New macro, returns
	program that creates a file.
	(_AC_COMPILER_EXEEXT,_AC_COMPILER_EXEEXT_WORKS): Call new macro
	and document why it's needed to robustly detect cross-compiling.
	(AC_LANG_DEFINE): Copy implementation across similar languages.
	* lib/autoconf/c.m4 (_AC_LANG_IO_PROGRAM(C)): Implement new macro.
	* lib/autoconf/fortran.m4 (_AC_LANG_IO_PROGRAM(Fortran 77)):
	Likewise.
	* lib/autoconf/erlang.m4 (_AC_LANG_IO_PROGRAM(Erlang)): Likewise.

2009-06-11  Eric Blake  <ebb9@byu.net>

	Simplify AC_LANG(Fortran).
	* lib/autoconf/fortran.m4 (AC_LANG(Fortran)): Borrow from Fortran
	77, which requires reordering portions of the file.
	(AC_LANG_PROGRAM(Fortran), AC_LANG_CALL(Fortran)): Now defined
	automatically.

	Clarify m4_copy semantics.
	* doc/autoconf.texi (Redefined M4 Macros) <m4_copy>: Update
	documentation.
	* tests/m4sugar.at (m4@&t@_defn): Enhance test.

2009-06-06  Eric Blake  <ebb9@byu.net>

	Improve documentation on trap pitfalls.
	* doc/autoconf.texi (Limitations of Builtins) <trap>: Mention new
	Posix 2008 requirement on trap, and dash bug in implementing it.
	Mention various shell bugs with traps defined inside subshells.
	Mention older bash limitation with single-command exit trap.
	<set>: Mention another 'set -e' limitation.
	Reported by Jens Schmidt.

2009-06-06  Jim Meyering  <meyering@redhat.com>

	Improve testsuite --help
	* lib/autotest/general.m4: Correct the example in ./testsuite --help.
	Improve wording.

2009-06-06  Eric Blake  <ebb9@byu.net>

	Document fallback behavior of AC_PROG_LEX.
	* doc/autoconf.texi (Particular Programs) <AC_PROG_LEX>: Mention
	why fallback is :, and that a --version check must be used to
	determine whether flex was found.
	Reported by Patrick Welche.

2009-05-28  Jim Meyering  <meyering@redhat.com>

	Fix syntax errors in autoconf.texi.
	* doc/autoconf.texi (Erlang Libraries): @-escape curly braces
	in example code.

2009-05-28  Romain Lenglet  <romain.lenglet@laposte.net>

	New AC_ERLANG_SUBST_ERTS_VER macro.
	* lib/autoconf/erlang.m4: Add macro AC_ERLANG_SUBST_ERTS_VER.
	* doc/autoconf.texi (Erlang Libraries): Document
	AC_ERLANG_SUBST_ERTS_VER.
	* NEWS: Likewise.
	* AUTHORS: Update Romain Lenglet's email address.
	* THANKS: Update.
	Suggested by Ruslan Babayev.

2009-05-26  Eric Blake  <ebb9@byu.net>

	Sanitize more problematic environment variables.
	* doc/autoconf.texi (Environment Variable Index): Add more
	entries, particularly for precious variables and known culprit
	variables.  Needed to avoid overfull vbox.
	(Special Shell Variables) <CLICOLOR_FORCE, GREP_OPTIONS>: Add
	variables known to cause misbehavior.
	* lib/m4sugar/m4sh.m4 (_AS_DETECT_BETTER_SHELL): Unset variables
	known to cause problems.
	* THANKS: Update.
	Based on reports from Ilya Bobir and Joey Mingrone.

2009-05-21  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Document VPATH = $(variable) issue in VPATH chapter.
	* doc/autoconf.texi (Variables listed in VPATH): New node.
	(Top, VPATH and Make): Adjust menus.
	(Build Directories): Refer to it.
	Prompted by report from Bruno Haible.

2009-05-19  Eric Blake  <ebb9@byu.net>

	Update uses of all-permissive license.
	* ChangeLog: Relicense under GPL.
	* ChangeLog.0: Likewise.
	* ChangeLog.1: Likewise.
	* ChangeLog.2: Likewise.
	* THANKS: Likewise.
	* m4/m4.m4: Use latest wording of FSF all-permissive license.
	* m4/make-case.m4: Likewise.
	* doc/install.texi: Likewise.
	* tests/statesave.m4: Relicense to match rest of testsuite; this
	file does not need all-permissive license since it is not designed
	for reuse by other packages.
	* BUGS: Relicense under all-permissive license.
	* HACKING: Likewise.
	* NEWS: Likewise.
	* README: Likewise.
	* README-alpha: Likewise.
	* README-hacking: Likewise.
	* TODO: Likewise.

	Update some upstream files.
	* build-aux/config.guess: Resynchronize from upstream.
	* build-aux/gnupload: Likewise.
	* build-aux/vc-list-files: Likewise.
	* build-aux/texinfo.tex: Likewise.
	* doc/gendocs_template: Likewise.

	Don't mention undocumented interface in NEWS.
	* NEWS: Correct earlier entry about AS_FOR.

2009-05-17  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	New manual section `Parallel Make'.
	* doc/autoconf.texi (Parallel Make): New node, document NetBSD
	`make -jN' quirks.
	(Top, Portable Make): Adjust menus.

2009-05-14  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	testsuite: skip `Multiple languages' test without C++ compiler.
	* tests/compile.at (Multiple languages): Skip test on systems
	without a C++ compiler.
	Report by Jim Meyering.

2009-05-13  Eric Blake  <ebb9@byu.net>

	Document zsh bug with empty commands.
	* doc/autoconf.texi (Special Shell Variables) <?>: Add mention of
	more problems with $?.

2009-05-11  Patrick Welche  <prlw1@cam.ac.uk>  (tiny change)

	Also try X11R7 when looking for X11 files, for NetBSD.
	* lib/autoconf/libs.m4 (_AC_PATH_X_DIRECT): Also try directories
	with X11R7 in the name.

2009-05-01  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Limit stderr logging for C compiler version.
	* lib/autoconf/general.m4 (_AC_RUN_LOG_LIMIT, _AC_DO_LIMIT): New
	internal macros, equivalent to _AC_RUN_LOG and _AC_DO, but with
	an optional additional argument to limit the number of lines of
	stderr output logged, defaulting to 10.
	* lib/autoconf/c.m4 (AC_PROG_CC, AC_PROG_CXX, AC_PROG_OBJC): Use
	_AC_DO_LIMIT for capturing compiler version output.  Also test
	-qversion, for the IBM xlc compiler.
	* lib/autoconf/fortran.m4 (_AC_PROG_FC): Likewise.
	* THANKS: Update.
	Report by Christian Rössel and John R. Cary against Libtool.

2009-04-24  Eric Blake  <ebb9@byu.net>

	Fix quoting of m4 macros in AT_CHECK.
	* lib/autotest/general.m4 (AT_CHECK): Expand prior to adding
	escapes, to avoid shell syntax errors caused by late macro
	expansion.
	* NEWS: Document this change.
	* tests/autotest.at (Metacharacters in command from M4 expansion):
	New test.

	manual: Use consistent spelling of here-document.
	* doc/autoconf.texi (Defining Symbols, Programming in M4sh)
	(Common Shell Constructs, Macro Names, Writing Testsuites): Fix
	spelling.
	Reported by Ralf Wildenhues.

	Make AT_CHECK_UNQUOTED more like AC_DEFINE_UNQUOTED.
	* lib/autotest/general.m4 (AT_CHECK_NOESCAPE): Keep older,
	undocumented semantics, where unbalanced " cannot be used in the
	stdout/stderr argument.
	(AT_CHECK_UNQUOTED): Treat " in stdout/stderr as a literal, since
	the text is used in double-quoted context.
	* tests/autotest.at (unquoted output): New test.
	* doc/autoconf.texi (Writing Testsuites) <AT_CHECK>: Mention which
	shell expansions are handled.

	Rename AT_CHECK_NOESCAPE to AT_CHECK_UNQUOTED.
	* lib/autotest/general.m4 (AT_CHECK_NOESCAPE): Deprecate, in favor
	of new spelling...
	(AT_CHECK_UNQUOTED): ...for consistency with AC_DEFINE_UNQUOTED.
	* doc/autoconf.texi (Writing Testsuites) <AT_CHECK>: Document the
	rename.
	* NEWS: Likewise.
	* tests/autotest.at (Binary output, Cleanup): Adjust tests.
	* tests/torture.at (AC_CONFIG_FILES, HEADERS, LINKS and COMMANDS):
	Likewise.
	Reported by Ralf Wildenhues.

2009-04-22  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	New test to ensure autom4te cache file locking works.
	* tests/tools.at (autom4te cache locking): New test.
	Report by Eric Blake.

2009-04-22  Paolo Bonzini  <bonzini@gnu.org>

	manual: another grammar improvement.
	* doc/autoconf.texi (Fortran Compiler): Avoid dependency on
	pronunciation of `FCFLAGS_f90'.

2009-04-23  Eric Blake  <ebb9@byu.net>

	Change FOO placeholder to use @var{text} instead.
	* doc/autoconf.texi (Configuration Actions): Rename AC_CONFIG_FOOS
	to AC_CONFIG_@var{ITEMS}.
	* doc/autoconf.texi (config.status Invocation): Likewise.
	(AC_FOO_IFELSE vs AC_TRY_FOO): Rename node...
	(AC_ACT_IFELSE vs AC_TRY_ACT): ...to this.

2009-04-22  Eric Blake  <ebb9@byu.net>

	Add m4_argn.
	* lib/m4sugar/m4sugar.m4 (m4_argn): New macro.
	* NEWS: Document it.
	* doc/autoconf.texi (Looping constructs) <m4_argn>: Likewise.
	<m4_car, m4_cdr>: Improve documentation.
	* tests/m4sugar.at (m4 lists): New test.

2009-04-22  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Improve description of AC_PROG_CC_C89 and AC_PROG_CC_C99.
	* doc/autoconf.texi (C Compiler): Document that AC_PROG_CC_C89
	and AC_PROG_CC_C99 prefer extended over strict conformance modes.
	Report by Vincent Lefèvre.

2009-04-21  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Revert bogus change in last commit.
	* doc/autoconf.texi (Initialization Macros): Revert change.
	Spotted by Eric Blake.

	manual: fix trivial grammar errors.
	* doc/autoconf.texi (Fortran Compiler, Initialization Macros)
	(Limitations of Usual Tools, Pretty Help Strings)
	(config.status Invocation): Fix `a' vs. `an' errors.
	Report by Eric Blake.

2009-04-21  Eric Blake  <ebb9@byu.net>

	Shuffle maintainer-specific rules.
	* Makefile.am (maintainer-check-tests): Delete.
	(autom4te-update): Move...
	* cfg.mk (autom4te-update): ...here.
	(fetch): Depend on autom4te-update.  Split...
	(gnulib-update): ...into new rule.  Import move-if-change from
	gnulib.
	* maint.mk (maintainer-distcheck): Absorb former maintainer-check
	rule.
	* build-aux/move-if-change: New file, undistributed.
	* .gitattributes: Handle new upstream file.
	* .gitignore: Ignore maintainer cruft.
	* HACKING: Update maintainer instructions.
	* build-aux/config.guess: Update from upstream.
	* build-aux/config.sub: Likewise.
	* build-aux/gendocs.sh: Likewise.
	* build-aux/texinfo.tex: Likewise.
	* doc/gendocs_template: Likewise.
	* doc/standards.texi: Likewise.

2009-04-19  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Sync autom4te perl modules from Automake.
	* lib/Autom4te/Channels.pm: Sync from Automake.
	* lib/Autom4te/FileUtils.pm: Likewise.
	* lib/Autom4te/XFile.pm: Likewise.

	Adjust channel definitions for new Automake `ordered' flag.
	* lib/Autom4te/ChannelDefs.pm (Autom4te::ChannelDefs): Set
	`ordered' flag to zero for channels `fatal', `automake', and
	`verb'.  This has currently no effect on actual semantics but
	avoids a consistency check needed for Automake's usage of the
	Channels.pm code.

	manual: clarify m4_if synopsis.
	* doc/autoconf.texi (Redefined M4 Macros): Rewrite synopsis of
	m4_if in the presence of more than three arguments.

	Improve and clarify `config.status' usage documentation.
	* doc/autoconf.texi (config.status Invocation): Fix markup in
	synopsis.  Use `tag' instead of `file' notation for the
	non-option arguments, to be consistent with the documentation
	of the AC_CONFIG_* macros.
	* lib/autoconf/status.m4 (_AC_OUTPUT_CONFIG_STATUS): Likewise,
	use `tag' notation for non-option arguments.
	Report by John Calcote.

2009-04-15  Eric Blake  <ebb9@byu.net>

	Test that autotest handles binary output.
	* tests/autotest.at (Binary output): New test.
	Suggested by Ralf Wildenhues.

	Add stdout-nolog and ignore-nolog to AT_CHECK.
	* lib/autotest/general.m4 (AT_DIFF_STDERR(stderr-nolog))
	(AT_DIFF_STDERR(ignore-nolog), AT_DIFF_STDOUT(stdout-nolog))
	(AT_DIFF_STDOUT(ignore-nolog)): New macros.
	* tests/autotest.at (Logging): New test.
	* doc/autoconf.texi (Writing Testsuites) <AT_CHECK>: Document the
	new logging actions.
	* NEWS: Likewise.
	Reported by Ralf Wildenhues.

	Teach AT_CHECK about hard failures.
	* lib/autotest/general.m4 (AT_INIT) <at_fn_check_skip>
	<at_fn_check_status, at_fn_group_postprocess>: Handle hard
	failures.
	* doc/autoconf.texi (Writing Testsuites) <AT_CHECK>: Document
	AT_CHECK_NOESCAPE and exit status 99.
	* NEWS: Likewise.
	* tests/autotest.at (Hard fail, Cleanup): New tests.

2009-04-14  Eric Blake  <ebb9@byu.net>

	Fix yesterday's regression in AS_IF.
	* lib/m4sugar/m4sh.m4 (_AS_IF_ELSE): Don't corrupt $? in else
	branch; it is up to the user to avoid syntax errors.
	* tests/m4sh.at (AS@&t@_IF and AS@&t@_CASE): Adjust test.

2009-04-14  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Add traces for AM_SILENT_RULES.
	* lib/autom4te.in (Automake-preselections): Trace
	AM_SILENT_RULES.

2009-04-13  Eric Blake  <ebb9@byu.net>

	Improve documentation related to expanded-before-required.
	* doc/autoconf.texi (Expanded Before Required): Add a case study.
	(Running the Compiler) <AC_COMPILE_IFELSE>: Remind users that
	running a compile test will AC_REQUIRE the compiler check.
	(Macro Definitions) <AC_DEFUN>: Contrast AC_DEFUN and m4_define.
	(C Compiler) <AC_PROG_CC>: Mention the fact that only first
	invocation of this macro checks for $EXEEXT, and that many other
	macros use it via AC_REQUIRE.
	Reported by Andreas Schwab.

	Mention latest rules about make and set -e.
	* doc/autoconf.texi (Failure in Make Rules): Posix is now clear
	that make must use set -e.
	(Limitations of Builtins) <set>: Clarify more about set -e
	behavior.

	Improve documentation about if exit status.
	* doc/autoconf.texi (Limitations of Builtins) <if>: Mention that
	exit status bugs don't affect modern targets.
	Reported by Andreas Schwab.

	Add cross-reference to new macros.
	* doc/autoconf.texi (Text processing Macros) <m4_normalize>
	<m4_strip>: Reference the new m4_ifblank.
	Suggested by Mike Frysinger.

	Make AS_IF, AS_CASE, and AS_FOR more robust to blank arguments.
	* lib/m4sugar/m4sh.m4 (_AS_CASE, _AS_CASE_DEFAULT, AS_FOR, _AS_IF)
	(_AS_IF_ELSE, AS_IF): Avoid syntax error on blank argument,
	including a macro with an empty expansion.
	* NEWS: Mention this.
	* tests/m4sh.at (AS@&t@_IF and AS@&t@_CASE, AS@&t@_FOR): Update
	tests.
	Reported by Mike Frysinger.

	Add m4_blank and friends.
	* lib/m4sugar/m4sugar.m4 (m4_blank, m4_nblank, m4_default_nblank)
	(m4_default_nblank_quoted): New macros.
	* NEWS: Document them.
	* doc/autoconf.texi (Conditional constructs): Likewise.
	* tests/m4sugar.at (m4sugar shorthand conditionals): New test.
	Suggested by Mike Frysinger.

2009-04-13  Eric Blake  <ebb9@byu.net>

	Finish upgrade to GFDL 1.3.
	* doc/autoconf.texi (copying): Use correct license; comment change
	was missed on 2008-11-04.

2009-04-10  Eric Blake  <ebb9@byu.net>

	Test parallel handling of syntax error.
	* tests/autotest.at (parallel syntax error): New test.
	Suggested by Ralf Wildenhues.

2009-04-10  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Document awk and config.status line length limitations.
	* doc/autoconf.texi (Configuration Actions): The input to
	config.status should have reasonable line length.
	(Limitations of Usual Tools): Document IRIX, HP-UX awk input
	line length limit.
	Report by Bruno Haible.

	Skip `Multiple languages' test if CC is a C++ compiler.
	* tests/compile.at (Multiple languages): Before starting the
	test proper, build and run a configure script that tests the
	C compiler only, and skips the test if this is found to be a
	C++ compiler.
	Report by Eric Blake.

	Note that AC_DEFUN is needed for aclocal.
	* doc/autoconf.texi (Coding Style): Public third-party macros
	should be AC_DEFUN'ed.
	Report by John Calcote.

2009-04-10  Eric Blake  <ebb9@byu.net>

	Add undocumented _AS_CLEAN_DIR.
	* lib/m4sugar/m4sh.m4 (_AS_CLEAN_DIR): New macro; fixes m4 quoting
	in previous patch.
	* lib/autotest/general.m4 (AT_INIT) <at_fn_group_prepare>: Use new
	macro.
	* tests/m4sh.at (_AS@&t@_CLEAN_DIR): New test.
	Reported by Ralf Wildenhues.

2009-04-09  Eric Blake  <ebb9@byu.net>

	Avoid problems caused by deleting in-use directory.
	* lib/autotest/general.m4 (AT_INIT) <at_fn_group_prepare>: Only
	remove the contents of $at_group_dir, not the directory itself.

	Fix regression in empty test.
	* lib/autotest/general.m4 (AT_SETUP): Prep AT_ingroup for fallback
	use in empty test.  Fixes regression introduced 2009-04-06.
	(_AT_CHECK): Undo fallback when a test is not empty.
	(AT_CLEANUP): Expand AT_ingroup before deleting.

2009-04-09  Paolo Bonzini  <bonzini@gnu.org>

	Make a less conservative cross-compilation guess for AC_FUNC_UTIME_NULL.
	* lib/autoconf/functions.m4 (AC_FUNC_UTIME_NULL): Assume
	not crosscompiling to an obsolete system.

2009-04-08  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Automake relies on the undocumented `_AC_COMPILER_EXEEXT' macro.
	* lib/autoconf/lang.m4 (_AC_COMPILER_EXEEXT): Document that
	Automake relies on this macro.

2009-04-06  Eric Blake  <ebb9@byu.net>

	Reduce testsuite size.
	* tests/statesave.m4: New file.
	* tests/Makefile.am (EXTRA_DIST): Distribute it.
	* tests/local.at (AT_CONFIGURE_AC): Reuse file, rather than
	repeating inline definition of AC_STATE_SAVE.
	(AT_CHECK_ENV): Factor code...
	(_AT_CHECK_ENV): ...into shell function.
	* tests/m4sh.at (AT_DATA_LINENO): Avoid churn in testsuite.

	Handle shell comments in AT_CHECK.
	* lib/autotest/general.m4 (_AT_DECIDE_TRACEABLE): Handle # in
	test correctly.  Latent bug in handling shell comment was first
	fixed 2008-11-20, but regressed two patches later.
	* tests/autotest.at (Shell comment in command): New test.
	* NEWS: Document the fix.

	Hard fail any test with syntax errors.
	* lib/autotest/general.m4 (AT_INIT) <at_fn_group_postprocess>:
	Guarantee test failure on syntax error, rather than inheriting
	status from previous test.
	* tests/autotest.at (Syntax error): New test.

2009-03-31  Eric Blake  <ebb9@byu.net>

	Beta Release Version 2.63b.
	* NEWS: Mention the release.
	* README: Clarify that this is a beta release.
	* build-aux/texinfo.tex: Synchronize from upstream.
	* .x-sc_trailing_blank: Exempt more upstream files.

2009-03-30  Eric Blake  <ebb9@byu.net>

	Fix testsuite failures under zsh.
	* tests/local.at (AT_CHECK_ENV): Exempt $argv and $ARGC, which are
	set by zsh -c 'emulate sh'.
	Reported by Ralf Wildenhues.

	For now, skip parallel tests under less-tested shells.
	* tests/autotest.at (AT_CHECK_AT): Add pre-test argument.
	(Tested programs, Startup error messages, AT_CHECK_AT_TITLE)
	(Fallacy, Skip, errexit, Long test source lines)
	(Debugging a successful test, Debugging script and environment)
	(Debugging a failed test, Using atlocal)
	(Choosing where testsuite is run): Adjust callers.
	(AT_SKIP_PARALLEL_TESTS): New macro, to skip parallel tests except
	under zsh, bash, or when TEST_PARALLEL_AUTOTEST is defined.  Makes
	it easier to avoid testsuite hangs for users with dash or other
	less-tested shell.
	(parallel test execution, parallel truth, parallel fallacy)
	(parallel skip, parallel errexit)
	(parallel autotest and signal handling): Use it.
	* BUGS: Mention this.

2009-03-24  Andris Pavenis  <andris.pavenis@iki.fi>  (tiny change)

	Fix awk substitution of carriage returns on DJGPP.
	* lib/autoconf/status.m4 (_AC_OUTPUT_FILES_PREPARE): Fix typo in
	generation of ac_cs_awk_cr.
	* THANKS: Update.

2009-03-24  Aaron W. LaFramboise  <aaronenvelope277@aaronwl.com>  (tiny change)

	Work around cygwin bash igncr mode.
	* lib/autoconf/status.m4 (_AC_OUTPUT_FILES_PREPARE): Fall back to
	bash carriage returns if ac_cr lost \r from ``.
	* THANKS: Update.
	Suggested by Eric Blake.

2009-03-24  Eric Blake  <ebb9@byu.net>

	Fix underquoted example in manual.
	* doc/autoconf.texi (Common Shell Constructs) <AS_TR_CPP>:
	Properly m4-quote #.
	* THANKS: Update spelling.
	Reported by Matěj Týč.

2009-03-18  Eric Blake  <ebb9@byu.net>

	Manual: mention more expr pitfalls.
	* doc/autoconf.texi (Limitations of Usual Tools) <expr (:)>:
	Mention HP-UX limitation, and $ ambiguity.
	* THANKS: Update.
	Reported by Jens Schmidt, in http://bugs.debian.org/466990.

2009-03-17  Jim Meyering  <meyering@redhat.com>

	Manual: fix a typo.
	* lib/m4sugar/m4sh.m4: s/are/is/ => "there is no indirection"

2009-03-17  Eric Blake  <ebb9@byu.net>

	Use test consistently in examples.
	* doc/autoconf.texi (Subdirectories, Caching Results)
	(Common Shell Constructs, Prerequisite Macros, Coding Style)
	(Changed Results, Particular Programs, Defining Symbols):
	Protect against arbitrary user strings.
	(Multiple Cases): Mention why $fstype does not need protection.
	Reported by Reuben Thomas.

	Improve confusing section names.
	* doc/autoconf.texi (Specifying Names): Rename node...
	(Specifying Target Triplets): ...to this.
	(Generic Programs): Adjust references.
	* doc/install.texi (System Type): Touch up formatting.
	* THANKS: Update.
	Reported by Tim Freeman, in http://bugs.debian.org/312873.

	Remove historical inaccuracy.
	* doc/autoconf.texi (Portable Shell): Don't perpetuate myth about
	#!/bin/sh needing a space.
	Reported by Reuben Thomas.

	Recommend AS_HELP_STRING more prominently.
	* doc/autoconf.texi (External Software): Reduce mention of
	hand-written help strings.
	Reported by Reuben Thomas.

2009-03-16  Eric Blake  <ebb9@byu.net>

	Fix 'make pdf'.
	* doc/autoconf.texi (Balancing Parentheses): Fix usage of
	@itemize.
	Reported by Ralf Wildenhues, fix suggested by Karl Berry.

2009-03-14  Eric Blake  <ebb9@byu.net>

	Resync upstream files.
	* GNUmakefile: Run 'make fetch'.
	* build-aux/announce-gen: Likewise.
	* build-aux/config.guess: Likewise.
	* build-aux/config.sub: Likewise.
	* build-aux/gnupload: Likewise.
	* build-aux/texinfo.tex: Likewise.
	* build-aux/vc-list-files: Likewise.
	* doc/gnu-oids.texi: Likewise.
	* doc/standards.texi: Likewise.

2009-03-09  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	New test for SunStudio `restrict' handling.
	* tests/c.at (AC_C_RESTRICT and C++): New test.
	Prompted by bug report from Rolf Vandevaart.

2009-03-08  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Manual: testsuite depends on package.m4.
	* doc/autoconf.texi (Making testsuite Scripts): In the example
	makefile snippet, $(TESTSUITE) depends on $(srcdir)/package.m4.

2009-03-02  Allan Caffee  <allan.caffee@gmail.com>  (tiny change)

	Fix a typo in comment for AS_LITERAL_IF.
	* lib/m4sugar/m4sh.m4 (AS_LITERAL_IF): Update a comment that fell
	out of date when this function was moved/renamed in 59ecd766.
	* THANKS: Update.

2009-03-02  Eric Blake  <ebb9@byu.net>

	Improve wording for AS_ESCAPE.
	* doc/autoconf.texi (Common Shell Constructs) <AS_ESCAPE>: Touch
	up documentation.
	* lib/m4sugar/m4sh.m4 (_AS_ESCAPE): Fix comment typos.
	Reported by Ralf Wildenhues.

2009-02-24  Eric Blake  <ebb9@byu.net>

	Use pkgdatadir consistently.
	* bin/Makefile.am (edit): Substitute pkgdatadir, not datadir.
	* lib/Makefile.am (edit): Likewise.
	* lib/autom4te.in (Autoconf-without-aclocal-m4, Autotest, M4sh)
	(M4sugar): Use @pkgdatadir@, not @datadir@.
	* bin/autoheader.in ($datadir): Likewise.
	* bin/autom4te.in ($datadir): Likewise.
	* bin/autoreconf.in ($datadir): Likewise.
	* bin/autoscan.in ($datadir): Likewise.
	* bin/autoupdate.in ($datadir): Likewise.
	* bin/ifnames.in ($datadir): Likewise.
	* doc/autoconf.texi (Installation Directory Variables): Update
	example to be consistent; focus on $(bindir) as an autoconf
	variable, and mention that $(pkgdatadir) comes from automake.
	Reported by Reuben Thomas.

2009-02-19  Eric Blake  <ebb9@byu.net>

	Use m4_translit more efficiently in AS_ESCAPE.
	* lib/m4sugar/m4sh.m4 (_AS_ESCAPE): Alter API to take first byte
	of set separately from rest.
	(AS_ESCAPE, _AS_QUOTE_MODERN, AS_TR_SH, AS_VAR_GET): Adjust
	callers.
	* lib/autoconf/autoheader.m4 (AH_VERBATIM): Avoid duplicate
	characters in translit request.
	* doc/autoconf.texi (Common Shell Constructs) <AS_ESCAPE>:
	Document the macro.
	* NEWS: Likewise.

	Mention recently documented macros.
	* NEWS: Update list of new documentation.

2009-02-14  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Add index for config.site.
	* doc/autoconf.texi (Site Defaults): Add index for config.site.
	* THANKS: Update.
	Report by Stephen P. Schaefer.

2009-02-12  Eric Blake  <ebb9@byu.net>

	Fix m4_set speed regression introduced 2008-12-18.
	* lib/m4sugar/m4sugar.m4 (_m4_stack_reverse): Alter API to avoid
	creating larger argument on each iteration.
	(m4_stack_foreach_sep, m4_stack_foreach_sep_lifo)
	(_m4_set_contents_2): Adjust all four-argument callers.

2009-02-05  Eric Blake  <ebb9@byu.net>

	Mention new AC_DEFUN_ONCE clients.
	* NEWS: Mention recent semantic changes.
	Reported by Ralf Wildenhues.

2009-02-03  Eric Blake  <ebb9@byu.net>

	Use AC_DEFUN_ONCE for some one-shot AC_PROG macros.
	* lib/autoconf/programs.m4 (AC_PROG_MKDIR_P): Switch to
	AC_DEFUN_ONCE, since this is a one-shot macro.
	(AC_PROG_INSTALL): Likewise.

2009-02-03  Eric Blake  <ebb9@byu.net>

	Mention that packagers should not pre-set CFLAGS.
	* doc/autoconf.texi (Preset Output Variables) <CFLAGS>: Copy
	advice given by automake on handling variables reserved by GNU
	Coding Standards.
	Reported by Karl Berry.

	Document lib64 in config.site.
	* doc/autoconf.texi (Site Defaults): Fix typo in FHS sample file.
	Mention use of lib64.
	* THANKS: Update.
	Reported by Tom Browder, with help from Peter Breitenlohner.

2009-01-28  Eric Blake  <ebb9@byu.net>

	Use AC_DEFUN_ONCE for uncontroversial one-shot macros.
	* lib/autoconf/headers.m4 (AC_HEADER_ASSERT): Switch to
	AC_DEFUN_ONCE, since this is a one-shot macro.
	* lib/autoconf/specific.m4 (AC_USE_SYSTEM_EXTENSIONS): Likewise.
	* lib/autoconf/general.m4 (AC_CANONICAL_BUILD)
	(AC_CANONICAL_HOST, AC_CANONICAL_TARGET): Likewise.

2009-01-28  Eric Blake  <ebb9@byu.net>

	Reduce blank lines in AC_DEFUN_ONCE macros.
	* lib/m4sugar/m4sugar.m4 (m4_defun_once): Avoid redundant blank
	line when a defun_once macro is required.
	(_m4_defun_once): New helper macro, for less memory use.
	* tests/m4sugar.at (m4@&t@_require: nested): Adjust test.

	Silence another false positive expand-before-require.
	* lib/m4sugar/m4sugar.m4 (_m4_defun_pro_outer)
	(_m4_defun_epi_outer, _m4_require_call, m4_provide): Track name
	that caused a diversion change, not just diversion number.
	(m4_require): Factor...
	(_m4_require_check): ...into new macro, which also checks whether
	diversion that performed the expansion has been collected.
	* tests/m4sugar.at (m4@&t@_require: nested): Enhance test.
	Reported by Ralf Wildenhues.

2009-01-28  Eric Blake  <ebb9@byu.net>

	Fix AC_C_RESTRICT for Sun Studio 12 C++.
	* lib/autoconf/c.m4 (AC_C_RESTRICT): Newer Sun Studio C provides
	__restrict__ rather than _Restrict, which still trips up Sun
	Studio 12 C++.
	* THANKS: Update.
	Reported by Rolf Vandevaart.

2009-01-28  Eric Blake  <ebb9@byu.net>

	Fix years in copyright notices.
	* lib/m4sugar/m4sugar.m4 (m4_copyright_condense): New macro,
	undocumented for now.
	* lib/m4sugar/Makefile.am (version.m4): Add m4_PACKAGE_YEAR,
	m4_PACKAGE_URL.
	(RELEASE_YEAR): New macro, copied from bin/Makefile.am.
	* lib/autoconf/general.m4 (_AC_COPYRIGHT_YEARS): New macro.
	(AC_COPYRIGHT): Add undocumented third parameter.
	(_AC_INIT_COPYRIGHT): Avoid need to bump copyright years.
	* lib/autoconf/status.m4 (_AC_OUTPUT_CONFIG_STATUS): Likewise.
	* lib/autotest/general.m4 (AT_INIT): Likewise.
	* lib/autoconf/autotest.m4 (AC_CONFIG_TESTDIR): Likewise.
	(AT_COPYRIGHT): Add undocumented third parameter.
	* tests/local.at (AT_COPYRIGHT): Don't add an extra copyright
	parameter; the generic copyright given by autotest is sufficient
	since we are the package that owns autotest.

2009-01-27  Eric Blake  <ebb9@byu.net>

	Use URLs in --help output, part 3: testsuite.
	* doc/autoconf.texi (Writing Testsuites): Mention autotest
	namespace.
	(Writing Testsuites) <AT_INIT>: Mention mandatory macros.
	(Making testsuite Scripts): Document AT_PACKAGE_URL.
	* tests/Makefile.am (package.m4): Follow our own advice.
	* lib/autotest/general.m4 (AT_INIT): Give the user a hint about
	package.m4.  Enhance --help output.
	(_AT_COPYRIGHT_YEARS): New macro, to make copyright bump easier.

	Use URLs in --help output, part 2: configure.
	* lib/autoconf/general.m4 (_AC_INIT_COPYRIGHT): Bump copyright
	date.
	(_AC_INIT_PACKAGE): Support optional URL parameter, mapped to
	AC_PACKAGE_URL.
	(_AC_INIT_DEFAULTS, _AC_INIT_PREPARE): Substitute it.
	(_AC_INIT_HELP): Use it in './configure --help' output.
	* lib/autoconf/status.m4 (_AC_OUTPUT_CONFIG_STATUS): Likewise, for
	'./config.status --help'.  Bump copyright date.
	* doc/autoconf.texi (Initializing configure) <AC_INIT>: Document
	new parameter.
	* NEWS: Likewise.
	* tests/tools.at (autoheader): Adjust test.
	* tests/torture.at (@%:@define header templates)
	(Torturing config.status): Likewise.

	Use URLs in --help output, part 1: autoconf executables.
	* bin/autoconf.as (usage): Make output consistent with recent
	change in gnulib version-etc module.
	* bin/autoheader.in ($help): Likewise.
	* bin/autom4te.in ($help): Likewise.
	* bin/autoreconf.in ($help): Likewise.
	* bin/autoscan.in ($help): Likewise.
	* bin/autoupdate.in ($help): Likewise.
	* bin/ifnames.in ($help): Likewise.

2009-01-27  Peter Breitenlohner  <peb@mppmu.mpg.de>  (tiny change)

	Quote traced macros passed from autom4te to M4.
	* bin/autom4te (handle_m4): Apply shell_quote to macro names.
	* tests/tools.at (autom4te --trace and unusual macro names): New
	test.
	* THANKS: Update.

2009-01-26  Eric Blake  <ebb9@byu.net>

	Improve AC_DEFUN_ONCE semantics.
	* lib/m4sugar/m4sugar.m4 (m4_defun_once): Rewrite to be no-op,
	rather than warning, on second use, and make sure first use never
	occurs out of order.
	* tests/m4sugar.at (m4@&t@_require: one-shot initialization):
	Enhance test.
	* tests/base.at (AC_REQUIRE & AC_DEFUN_ONCE: [Require, expand],
	(AC_REQUIRE & AC_DEFUN_ONCE: [Expand, require]): Adjust tests.
	* NEWS: Document this.
	* doc/autoconf.texi (Macro Definitions) <AC_DEFUN>: Mention
	AC_DEFUN_ONCE.
	(Prerequisite Macros) <AC_REQUIRE>: Likewise.
	(Expanded Before Required): Likewise.
	(One-Shot Macros) <AC_DEFUN_ONCE>: Document new semantics.
	Reported by Bruno Haible, with suggestion by Paolo Bonzini.

2009-01-24  Eric Blake  <ebb9@byu.net>

	Fix typos in recent patches.
	* lib/m4sugar/m4sugar.m4: Improve m4_defun comments.
	* doc/autoconf.texi (Expanded Before Required): Fix typos.
	Reported by Ralf Wildenhues.

	Revert change to AC_DIR_HEADER.
	* lib/autoconf/headers.m4 (AC_DIR_HEADER): Explicitly expanding
	AC_HEADER_DIRENT no longer triggers a warning, and helps the user
	who decides they don't need the obsolete AC_FUNC_CLOSEDIR_VOID.
	Reported by Paolo Bonzini.

2009-01-22  Eric Blake  <ebb9@byu.net>

	Silence a false positive expand-before-require case.
	* lib/m4sugar/m4sugar.m4 (m4_provide): Track the diversion in
	which a macro was provided.
	(m4_require): Compare diversion numbers, rather than m4_require
	nesting, when determining direct requires.
	* tests/m4sugar.at (m4@&t@_require: nested): Test it.
	Reported by Ralf Wildenhues, affecting Libtool.

2009-01-21  Eric Blake  <ebb9@byu.net>

	Fix out-of-order expansion with expand-before-require.
	* lib/m4sugar/m4sugar.m4 (m4_require): Redundantly expand a
	required macro when issuing expand-before-require warning.
	* doc/autoconf.texi (Prerequisite Macros): Adjust documentation.
	(Expanded Before Required): New node.
	* tests/m4sugar.at (m4@&t@_require: nested): Adjust test.
	* NEWS: Mention this fix.
	Suggested by Bruno Haible.

	Warn if macro is provided before indirectly required.
	* lib/m4sugar/m4sugar.m4 (m4_provide): Track the set of all macros
	provided since last outermost defun.
	(_m4_defun_pro_outer): Empty the set.
	(_m4_require_call): Distinguish between direct and indirect
	requires, and remove required macros from the set.
	(m4_require): Check the set, in order to warn.
	* tests/m4sugar.at (m4@&t@_require: nested): Remove xfail, and add
	test case for direct requires.

2009-01-20  Eric Blake  <ebb9@byu.net>

	Clean up some bugs caught by preliminary dependency validation.
	* lib/autoconf/headers.m4 (AC_DIR_HEADER): Don't invoke
	AC_HEADER_DIRENT, since AC_FUNC_CLOSEDIR_VOID requires it.
	* lib/m4sugar/m4sh.m4 (_AS_DETECT_BETTER_SHELL)
	(_AS_SHELL_SANITIZE): Fix quoting bugs.

2009-01-19  Eric Blake  <ebb9@byu.net>

	Improve AC_REQUIRE documentation.
	* doc/autoconf.texi (Macro Definitions) <AC_DEFUN>: Add @defmac,
	and mention interaction with AC_REQUIRE.
	(Prerequisite Macros) <AC_REQUIRE>: Give more detail on user
	ordering constraint bug, and how to fix it.
	* tests/m4sugar.at (m4@&t@_require: nested): New test.

	Speed up m4_require.
	* lib/m4sugar/m4sugar.m4 (_m4_divert_dump): Change semantics to
	always be defined, as either empty or a number.
	(_m4_defun_pro_outer, _m4_defun_epi_outer): Treat _m4_divert_dump
	as a stack, rather than a one-shot macro.
	(_m4_require_call): Expect third argument to be pre-expanded.
	(m4_divert_require, m4_require): Adjust clients accordingly.
	* lib/m4sugar/m4sh.m4 (AS_REQUIRE): Likewise.

2009-01-17  Eric Blake  <ebb9@byu.net>

	Avoid underfull hbox.
	* doc/autoconf.texi (Installation Directory Variables): Reword to
	fit on line.

2009-01-14  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Ignore `set -e'-related failure of NetBSD sh.
	* tests/m4sh.at (AS@&t@_EXIT): Skip test if (NetBSD) shell
	fails to finish EXIT trap after set -e.

2009-01-06  Eric Blake  <ebb9@byu.net>

	Maintainer cleanups.
	* cfg.mk (web-manual): Use new feature of gendocs.
	(fetch): Fetch gendocs.
	* Makefile.am (EXTRA_DIST): Distribute new file.
	* doc/Makefile.am (EXTRA_DIST): Likewise.
	* .gitattributes: Ignore whitespace in upstream files.
	* HACKING (Other web updates): Update Free Software Directory
	instructions.
	(Upload): No longer mention xdelta.
	* maint.mk (xd-delta): Likewise.
	* build-aux/gendocs.sh: New upstream file.
	* doc/gendocs_template: Likewise.
	* build-aux/announce-gen: Resync from upstream.
	* build-aux/config.guess: Likewise.
	* build-aux/config.sub: Likewise.
	* build-aux/gnupload: Likewise.
	* build-aux/texinfo.tex: Likewise.

2008-12-30  Eric Blake  <ebb9@byu.net>

	Make it easier to track diversion bugs.
	* lib/m4sugar/m4sugar.m4 (_m4_divert_raw, _m4_undivert): New
	internal macros, which are easier to trace than m4_builtin.
	(m4_cleardivert, m4_divert, m4_divert_push, m4_divert_pop)
	(m4_undivert): Use them.
	(_m4_require_call): Likewise.  Use fewer macros.
	* lib/autotest/general.m4 (_AT_DECIDE_TRACEABLE): Fix typo.

2008-12-26  Bruno Haible  <bruno@clisp.org>

	Improve multiarch detection.
	* lib/autoconf/c.m4 (AC_C_BIGENDIAN): Make detection of options
	indicating a universal build more reliable.

2008-12-28  William Pursell  <bill.pursell@gmail.com>  (tiny change)

	Use AS_CASE in documented example.
	* doc/autoconf.texi (Using the System Type): Use AS_CASE in
	example instead of raw case.

2008-12-23  Eric Blake  <ebb9@byu.net>

	Make m4_dumpdef more useful with M4 1.6.
	* lib/m4sugar/m4sugar.m4 (_m4_dumpdef): New macro.
	(m4_init): Install it for new enough m4.
	* tests/m4sugar.at (m4@&t@_dumpdef): Enhance test.
	* doc/autoconf.texi (Redefined M4 Macros) <m4_dumpdef>: Mention
	lack of sorting.

2008-12-24  Bruno Haible  <bruno@clisp.org>

	Improve INSTALL for HP-UX.
	* doc/install.texi (Particular Systems): For HP-UX, also recommend
	-D_XOPEN_SOURCE=500. Needed for the declaration of mbstate_t on
	HP-UX 11.11.

2008-12-22  Bruno Haible  <bruno@clisp.org>

	Improve INSTALL for Haiku.
	* doc/install.texi (Particular Systems): Add a recommendation
	which prefix to use on Haiku.

2008-12-19  Eric Blake  <ebb9@byu.net>

	Fix typo in previous commit.
	* doc/autoconf.texi (Set manipulation Macros) <m4_set_map_sep>:
	Fix typo.

	Document some recently added macros.
	* lib/m4sugar/m4sugar.m4 (m4_map_args_w): Add optional sep
	parameter.
	* doc/autoconf.texi (Looping constructs) <m4_map_args_sep>
	<m4_map_args_w, m4_stack_foreach, m4_stack_foreach_sep>: Document
	new macros.
	(Set manipulation Macros) <m4_set_map_sep>: Likewise.
	* tests/m4sugar.at (m4@&t@_stack, M4 loops): Enhance tests.
	* NEWS: Document new macros.

2008-12-18  Eric Blake  <ebb9@byu.net>

	Fix separator in m4_stack_foreach_sep.
	* lib/m4sugar/m4sugar.m4 (_m4_stack_reverse): Separate separator
	from prefix.
	* tests/m4sugar.at (m4@&t@_stack): Enhance test.

2008-12-18  Eric Blake  <ebb9@byu.net>

	Mention limitation of M4 1.4.x on builtin tokens.
	* doc/autoconf.texi (Redefined M4 Macros) <m4_dumpdef>: Document
	ramification of M4 1.4.x's inability to pass builtin tokens
	through text macros.
	(Evaluation Macros) <m4_curry>: Likewise.
	* tests/m4sugar.at (m4@&t@_defn): Enhance test.
	* NEWS: Mention subtle change in m4_dumpdef semantics.

	Document m4_version_prereq.
	* doc/autoconf.texi (Number processing Macros)
	<m4_version_prereq>: Add documentation.
	* NEWS: Mention it.
	Reported by Bruno Haible.

2008-12-10  Jim Meyering  <meyering@redhat.com>

	AC_HEADER_ASSERT: don't say assertions are disabled when they're not
	* lib/autoconf/headers.m4 (AC_HEADER_ASSERT): Do not make configure
	report "checking whether to enable assertions... no", when they are
	in fact enabled.  This is solely a bug in the output of configure.
	In spite of saying "no", NDEBUG was not defined in that case.
	Also, as noted by Eric Blake, leave assertions enabled upon
	--enable-assert=INVALID.

2008-12-09  Eric Blake  <ebb9@byu.net>

	Fix m4_location inside m4_wrap with m4 1.4.5.
	* lib/m4sugar/m4sugar.m4 (m4_undefine): Redefine m4_location
	inside wrapped text if older m4 is detected.
	Reported by William Pursell.

2008-12-08  William Pursell  <bill.pursell@gmail.com>  (tiny change)
	and Eric Blake  <ebb9@byu.net>

	Fix AC_HEADER_ASSERT w.r.t. --enable-assert.
	* lib/autoconf/headers.m4 (AC_HEADER_ASSERT): Honor --enable-assert,
	rather than treating it as a synonym for --disable-assert.
	* NEWS: Document the fix.

2008-12-06  William Pursell  <bill.pursell@gmail.com>  (tiny change)

	Fix AC_HEADER_ASSERT to honor --enable-assert, rather than
	treat --enable-assert and --disable-assert equivalently.
	* lib/autoconf/headers.m4 (AC_HEADER_ASSERT): Check value of $enableval.

2008-12-05  William Pursell  <bill.pursell@gmail.com>  (tiny change)

	Fix some typos and grammatical errors in documentation.
	* doc/autoconf.texi: Clean up some bad use of English.

2008-12-03  Eric Blake  <ebb9@byu.net>

	Improve AC_STATE_SAVE.
	* tests/local.at (AC_STATE_SAVE): Avoid ls -1, and use one less
	process by hoisting the uniqueness check into sed.
	* doc/autoconf.texi (Limitations of Usual Tools) <ls>: Mention
	MacOS bug.

2008-12-02  Eric Blake  <ebb9@byu.net>

	Avoid MacOS readdir bug in testsuite.
	* tests/local.at (AC_STATE_SAVE): Avoid spurious failures due to
	duplicated ls entries.
	* THANKS: Update.
	Reported by Bruce Dugan and others.

2008-11-29  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autotest/general.m4 (AT_JOB_FIFO_FD): Hide zsh 4.3.4
	error messages about `set -m'.

2008-11-27  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix a couple of test failures with dash.
	* tests/autotest.at (AT_CHECK_AT_TITLE_CHAR): Normalize
	exit status of `cd'.
	* tests/m4sh.at (AS_MESSAGE_LOG_FD): Remove script before
	regeneration, to avoid timing effects.

2008-11-25  Eric Blake  <ebb9@byu.net>

	Add m4_cleardivert.
	* lib/m4sugar/m4sugar.m4 (m4_cleardivert): New macro.
	* lib/autotest/general.m4 (AT_INIT): Use it.
	* lib/autoconf/general.m4 (_AC_INIT_NOTICE): Likewise.
	* tests/m4sugar.at (m4@&t@_divert_stack): Test it.
	* doc/autoconf.texi (Diversion support) <m4_cleardivert>: Document
	it.
	* NEWS: Likewise.
	Suggested by Paolo Bonzini.

	Add safety check for m4_expand vs. diversions.
	* lib/m4sugar/m4sugar.m4 (m4_expand): Make more robust against
	diverted text.
	* doc/autoconf.texi (Evaluation Macros) <m4_expand>: Document new
	safety check.

2008-11-24  Eric Blake  <ebb9@byu.net>

	Fix typo in AS_MESSAGE_LOG_FD patch.
	* lib/m4sugar/m4sh.m4 (AS_ERROR): Check correct condition.

2008-11-23  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	More reliable signal handling in Autotest.
	* lib/autotest/general.m4 (Driver loop): Rewrite signal handler.
	Start parallel jobs in their own process group, enabling job
	control in the shell if possible, for better signal handling.
	Deal with INT, TERM, and HUP in the testsuite driver.  In the
	parallel driver, propagate TSTP to jobs either as TSTP or as
	STOP (to avoid fork bombs with ksh).
	Inside the job processes, add PIPE handler to write back the
	job token, so the master process does not hang.
	Disable the parallel driver if job control is not provided or if
	trap does not understand signal names.
	* tests/autotest.at (parallel autotest and signals): New test,
	exercises INT, TERM, and PIPE, serial and parallel, with and
	without `make' in the loop.
	Kudos to Richard Stevens for writing APUE.

2008-11-22  Eric Blake  <ebb9@byu.net>

	Fix testsuite failure on Solaris.
	* tests/torture.at (AT_CHECK_CONFIG_CREATION_NOWRITE): Normalize
	failure status to 1.

2008-11-21  Eric Blake  <ebb9@byu.net>

	Clean up AS_MESSAGE_LOG_FD usage.
	* lib/m4sugar/m4sh.m4 (AS_MESSAGE_FD, AS_MESSAGE_LOG_FD)
	(AS_ORIGINAL_STDIN_FD): Provide default M4sh values.
	(_AS_ECHO_LOG, AS_MESSAGE, _AS_ERROR_PREPARE, AS_ERROR): Simplify
	usage.
	(AS_INIT_GENERATED): Don't shuffle an unchanged AS_MESSAGE_FD.
	* tests/m4sh.at (AS@&t@_INIT_GENERATED): Update test.
	(AS@&t@_MESSAGE_FD): New test.
	* doc/autoconf.texi (Initialization Macros) <AS_INIT_GENERATED>:
	Give more details about fd manipulation.
	(File Descriptor Macros): Describe M4sh defaults for the fds.

2008-11-21  Eric Blake  <ebb9@byu.net>

	Use shell function for AS_ERROR.
	* lib/m4sugar/m4sh.m4 (_AS_ERROR_PREPARE): New macro, defining a
	new shell function.
	(AS_ERROR): Use it.
	(_AS_LINENO_PREPARE): Break circular dependency.
	(AS_PREPARE, _AS_PREPARE): Initialize for child scripts.

2008-11-21  Eric Blake  <ebb9@byu.net>

	Fix typos in recent testsuite improvements.
	* lib/autotest/general.m4 (AT_INIT) <at_fn_check_prepare_dynamic>:
	Fix typo.
	* NEWS: Clarify the potential impact to users.
	* tests/autotest.at (AT_DATA_AUTOTEST): New macro, patterned after
	AT_DATA_M4SUGAR.
	(AT_CHECK_AT_PREP, AT_CHECK_AT_TITLE): Use it.
	(unusual file names): Test that the recent echo fix does not
	regress.  Fix quoting bug that made the test a no-op.
	Reported by Paolo Bonzini and Ralf Wildenhues.

2008-11-21  Eric Blake  <ebb9@byu.net>

	Use modern m4sh constructs in autoconf.
	* bin/autoconf.as (exit_missing_arg, getopt): Use AS_ERROR, rather
	than AS_EXIT.

	Change the semantics of AS_EXIT without argument.
	* lib/m4sugar/m4sh.m4 (_AS_EXIT_PREPARE): When defaulting, use $?
	even if it is 0.
	(AS_ERROR): Guarantee non-zero status.
	* bin/autoconf.as (exit_missing_arg, getopt): Revert prior change;
	we want non-zero status.
	* tests/m4sh.at (AS@&t@_EXIT): Update test accordingly.
	* doc/autoconf.texi (Common Shell Constructs) <AS_EXIT>: Update
	the documentation.
	<AS_SET_STATUS>: Don't overly restrict implementation.
	(Printing Messages) <AC_MSG_ERROR>: Describe better default.
	Suggestions by Paolo Bonzini and Ralf Wildenhues.

2008-11-21  Eric Blake  <ebb9@byu.net>

	Add @anchors within Builtins and Usual Tools lists.
	* doc/autoconf.texi (Limitations of Builtins)
	(Limitatations of Usual Tools): Add anchors for tools called out
	by name.  Adjust callers to narrow in on tool of interest.

	Move case statement style discussion to m4 quoting section.
	* doc/autoconf.texi (Limitations of Builtins): Move comparison of
	quoting styles...
	(Balancing Parentheses): ...to this new node.
	Suggested by Ralf Wildenhues.

2008-11-20  Eric Blake  <ebb9@byu.net>

	Factor more common code out of AT_CHECK into shell function.
	* lib/autotest/general.m4 (_AT_CHECK): Avoid echo bug if AT_LINE
	starts with -.  Move preparations...
	(AT_INIT) <at_fn_check_prepare_trace>
	<at_fn_check_prepare_notrace, at_fn_check_prepare_dynamic>:
	...into these new shell functions.
	<at_fn_check_newline>: Inline into only caller.
	(_AT_DECIDE_TRACEABLE): Use them to condense testsuite size.

2008-11-20  Eric Blake  <ebb9@byu.net>

	Handle version numbers as decimal, even if they start with 0.
	* lib/m4sugar/m4sugar.m4 (_m4_version_unletter): Avoid
	interpreting leading zeros as octal.

2008-11-20  Eric Blake  <ebb9@byu.net>

	Speed up AT_CHECK.
	* lib/autotest/general.m4 (AT_CHECK, AT_CHECK_UNQUOTED): Expand
	third and fourth arguments once.
	(_AT_CHECK): Don't re-expand expected output.  Rearrange code for
	fewer scans of arguments.
	(AT_CHECK): Update caller.
	(AT_INIT) <at_fn_filter_trace>: Drop parameter.
	* tests/m4sugar.at (m4@&t@_split): Protect test with
	quadrigraphs.

	Fix XFAIL related to AT_CHECK.
	* lib/autotest/general.m4 (AT_CHECK, AT_CHECK_UNQUOTED): Expand
	first argument once.
	(_AT_CHECK): Don't re-expand commands.
	* tests/autotest.at (Multiline command from M4 expansion): Remove
	XFAIL.
	* tests/tools.at (autoupdating AU_ALIAS): Quote unbalanced paren.
	* NEWS: Document the fallout.

2008-11-20  Eric Blake  <ebb9@byu.net>

	Reduce forks in AC_DEFINE.
	* lib/autoconf/general.m4 (_AC_DEFINE_Q_PRINT): New macro.
	(_AC_DEFINE_Q): Use it to avoid forks for all AC_DEFINE and most
	AC_DEFINE_UNQUOTED.
	* lib/autoconf/fortran.m4 (_AC_FC_WRAPPERS): Properly quote #.
	* tests/torture.at (Substitute and define special characters):
	(Define to a 2000-byte string): Enhance tests to cover
	AC_DEFINE_UNQUOTED.
	(@%:@define header templates): Enhance test to cover #.

2008-11-20  Eric Blake  <ebb9@byu.net>

	Improve m4_expand robustness, part 2.
	* lib/m4sugar/m4sugar.m4 (m4_expand): Support unterminated
	comments, by wrapping old implementation...
	(_m4_expand): ...as this, and renaming old core...
	(_m4_expand_): ...to this.
	(m4_text_box): Use lighter-weight _m4_expand.
	* lib/m4sugar/m4sh.m4 (_AS_DETECT_EXPAND)
	(_AS_DETECT_BETTER_SHELL, AS_FUNCTION_DESCRIBE): Likewise.
	* lib/autotest/general.m4 (AT_KEYWORDS): Likewise.
	* tests/m4sugar.at (m4@&t@_expand): Enhance test.
	* tests/autotest.at (AT_CHECK_AT_TITLE_CHAR): Likewise.
	* doc/autoconf.texi (Evaluation Macros) <m4_expand>: Mention new
	functionality.

	Improve m4_expand robustness, part 1.
	* lib/m4sugar/m4sugar.m4 (_m4_expand): Tolerate unquoted
	unbalanced `)'.
	* tests/m4sugar.at (m4@&t@_expand): New test.

2008-11-20  Eric Blake  <ebb9@byu.net>

	Add m4_chomp, m4_esyscmd_s.
	* lib/m4sugar/m4sugar.m4 (m4_esyscmd_e, m4_chomp, m4_chomp_all):
	New macros.
	* doc/autoconf.texi (Redefined M4 Macros) <m4_esyscmd_s>: Document
	them.
	(Text processing Macros) <m4_chomp>: Likewise.
	* NEWS: Likewise.
	* tests/m4sugar.at (m4@&t@_esyscmd_s): New test.

	Remove _m4_index.
	* lib/m4sugar/m4sugar.m4 (_m4_index): Delete; it is more efficient
	to make callers guarantee a match.
	(m4_init): Adjust caller.
	* lib/autoconf/status.m4 (_AC_CONFIG_COMPUTE_DEST): Likewise.
	* lib/autoconf/general.m4 (_AC_DEFINE_Q): Likewise.

	Describe different hacks for balancing ')' in case statements.
	* doc/autoconf.texi (Limitations of Builtins) <case>: Add an
	exposition on various quoting styles.

2008-11-20  Eric Blake  <ebb9@byu.net>

	Speed up _AS_QUOTE.
	* lib/m4sugar/m4sh.m4 (_AS_QUOTE_IFELSE): Inline into...
	(_AS_QUOTE): ...here, delete unused second parameter, and factor
	choice into...
	(_AS_QUOTE_MODERN, _AS_QUOTE_OLD): ...new helpers.

2008-11-20  Alfred G. de Wijn  <dwijn@iluvatar.eu.org>  (tiny change)

	For consistency, make temporary variable match language name.
	* lib/autoconf/fortran.m4 (_AC_PROG_FC_G, _AC_PROG_FC_V_OUTPUT):
	Match the save/test variables' names to the FFLAGS/FCFLAGS being
	saved.
	* THANKS: Update.

2008-11-19  Eric Blake  <ebb9@byu.net>

	Improve testsuite generation.
	* tests/local.at (AT_DATA_M4SUGAR, AT_DATA_M4SH)
	(AT_DATA_AUTOCONF): Escape all quadrigraphs, not just @&t@.  Use
	fewer macros.

2008-11-18  Eric Blake  <ebb9@byu.net>

	Use fn for shell functions, func for autoconf CHECK_FUNCS.
	* lib/autoconf/functions.m4 (AC_CHECK_FUNC): Abbreviate shell
	function names.
	* lib/autoconf/general.m4 (_AC_PREPROC_IFELSE)
	(_AC_COMPILE_IFELSE, _AC_LINK_IFELSE, _AC_RUN_IFELSE)
	(AC_CHECK_DECL, AC_COMPUTE_INT): Likewise.
	* lib/autoconf/headers.m4 (_AC_CHECK_HEADER_MONGREL)
	(_AC_CHECK_HEADER_COMPILE, _AC_CHECK_HEADER_PREPROC): Likewise.
	* lib/autoconf/types.m4 (_AC_CHECK_TYPE_NEW, _AC_TYPE_INT)
	(_AC_TYPE_UNSIGNED_INT, AC_CHECK_MEMBER): Likewise.
	* lib/autotest/general.m4 (AT_INIT): Likewise.
	* lib/m4sugar/m4sh.m4 (_AS_SHELL_FN_WORK, _AS_EXIT_PREPARE)
	(AS_EXIT, AS_SET_STATUS, _AS_UNSET_PREPARE, _AS_MKDIR_P)
	(_AS_MKDIR_P_PREPARE, _AS_VAR_APPEND_PREPARE, AS_VAR_APPEND)
	(_AS_VAR_ARITH_PREPARE, AS_VAR_ARITH): Likewise.
	* doc/autoconf.texi (Shell Functions): Likewise.

2008-11-18  Eric Blake  <ebb9@byu.net>

	Alter default value of AS_EXIT.
	* lib/m4sugar/m4sh.m4 (_AS_EXIT_PREPARE): Let as_func_exit
	parameter be optional.
	(AS_EXIT): Use it to make better default.
	(_AS_DETECT_BETTER_SHELL): Use new default.
	* bin/autoconf.as (exit_missing_arg, getopt): Likewise.
	* lib/autoconf/status.m4 (AC_OUTPUT): Likewise.
	* tests/m4sh.at (AS@&t@_EXIT): Update test.
	* doc/autoconf.texi (Common Shell Constructs) <AS_EXIT>: Mention
	new default behavior.
	(Limitations of Builtins) <trap>: Adjust to use new default.
	* NEWS: Mention the semantic change.
	Suggested by Ralf Wildenhues.

	Update example to match actual Tru64 behavior.
	* doc/autoconf.texi (Limitations of Builtins) <trap>: Correct
	the example.
	Reported by Ralf Wildenhues.

	Add AS_SET_STATUS, make AS_EXIT more efficient.
	* lib/m4sugar/m4sh.m4 (_AS_EXIT_PREPARE, AS_SET_STATUS): New
	macros.
	(AS_EXIT): Rewrite to avoid forks.
	(_AS_SHELL_SANITIZE): Avoid AS_EXIT prior to shell functions.
	(AS_PREPARE, _AS_PREPARE): Add new preparation.
	* doc/autoconf.texi (Common Shell Constructs) <AS_SET_STATUS>:
	Document.
	* NEWS: Mention new macro.
	* tests/m4sh.at (AS@&t@_EXIT): New test.
	(BASENAME_TEST): Sort.

	Document Tru64 bug with 'set -e'.
	* doc/autoconf.texi (Limitations of Builtins) <trap>: Mention a
	bug in mixing 'set -e' with 'trap .. 0'.
	Reported by Ralf Wildenhues.

	Document a Solaris /bin/sh bug with 'set -e'.
	* doc/autoconf.texi (Shell Functions): Mention the bug.

2008-11-17  Eric Blake  <ebb9@byu.net>

	Detect empty list in AS_FOR.
	* lib/m4sugar/m4sh.m4 (AS_FOR): Handle iteration over $@
	properly.
	* tests/m4sh.at (AS@&t@_FOR): Enhance test to catch it.
	Reported by Paolo Bonzini.

2008-11-16  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Use a different workaround for an automake quirk.
	* tests/Makefile.am (AUTOMAKE_OPTIONS): Remove.
	(distclean_generic): New helper variable, to fool automake.
	($(distclean_generic)): Depend on clean-local, to prevent
	the race in the two rules with accessing and removing
	$(TESTSUITE).
	Report by Eric Blake.

	* lib/m4sugar/m4sh.m4 (_AS_VAR_ARITH_PREPARE): Simplify, avoid
	unbalanced parentheses from last change.
	Spotted by Eric Blake, fix suggested by Paolo Bonzini.

	Fix exit status of expr version of as_func_arith.
	* lib/m4sugar/m4sh.m4 (_AS_VAR_ARITH_PREPARE): Count an exit
	status of 1 of expr also as success, to avoid failure if the
	computation result is zero.  Fixes test failures with IRIX sh,
	where the expr variant of as_func_arith is used.

	Do not use read-only variable $status.
	* tests/compile.at (AC_RUN_IFELSE): Use $estatus instead of
	$status, for zsh.

2008-11-15  Eric Blake  <ebb9@byu.net>

	Use the new AS_FOR function.
	* lib/autoconf/functions.m4 (AC_CHECK_FUNCS): Use new
	abstraction for cleaner code.
	* lib/autoconf/headers.m4 (AC_CHECK_HEADERS): Likewise.

	Add AS_FOR, undocumented for now.
	* lib/m4sugar/m4sh.m4 (AS_FOR): New macro.
	* tests/m4sh.at (AS@&t@_FOR): New test.
	Suggested by Paolo Bonzini.

2008-11-13  Eric Blake  <ebb9@byu.net>

	Optimize single-argument loop.
	* lib/autoconf/functions.m4 (AC_CHECK_FUNCS): Avoid forks when
	loop only has one argument.
	* lib/autoconf/headers.m4 (AC_CHECK_HEADERS): Likewise.

2008-11-13  Eric Blake  <ebb9@byu.net>

	Fix AS_ESCAPE usage bugs.
	* lib/m4sugar/m4sh.m4 (_AS_VAR_APPEND_PREPARE)
	(_AS_VAR_ARITH_PREPARE): Expand macros prior to adding shell
	escapes.
	(AS_TR_SH, AS_VAR_GET): Use _AS_ESCAPE for speed.
	* doc/autoconf.texi (Polymorphic Variables) <AS_VAR_SET>: Document
	caveat due to conditional AS_ESCAPE.
	* tests/m4sh.at (AS@&t@_VAR basics): Enhance test.

2008-11-12  Eric Blake  <ebb9@byu.net>

	Whitespace reduction in configure.
	* lib/autoconf/autoheader.m4 (AH_VERBATIM): Avoid empty lines.
	* lib/autoconf/general.m4 (_AC_INIT_PREPARE, AC_CHECK_FILES):
	Likewise.
	(_AC_DEFINE_Q): Restore empty line, since some clients in the wild
	depend on it.

2008-11-12  Eric Blake  <ebb9@byu.net>

	Make M4sh, not autoconf, guarantee sane $SHELL.
	* lib/autoconf/general.m4 (_AC_INIT_DEFAULTS): Move setting of
	SHELL...
	* lib/m4sugar/m4sh.m4 (_AS_DETECT_BETTER_SHELL): ...to here.
	* doc/autoconf.texi (Initialization Macros): Document the effect
	on SHELL.
	* tests/m4sh.at (AS@&t@_INIT_GENERATED): New test.
	Reported by Ralf Wildenhues.

2008-11-12  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Wrap keywords in `testsuite --list' output.
	* lib/autotest/general.m4 (AT_INIT): Rewrite --list awk script,
	avoid lint warnings from gawk, wrap keyword lists to stay below
	80 characters per line if possible.
	* tests/autotest.at (Keyword wrapping): New test.

	* tests/local.at (AT_COPYRIGHT): Bump copyright years.

	* doc/autoconf.texi (Conditional constructs, Macro Names): Fix
	typos.

2008-11-10  Eric Blake  <ebb9@byu.net>

	Work around <=m4-1.4.9 bug in m4_format.
	* lib/m4sugar/m4sugar.m4 (_m4_index): New internal macro.
	(m4_init): Only use it in older m4.
	* lib/autoconf/general.m4 (_AC_DEFINE_Q): Use it to avoid
	m4_format bug in older m4.
	* lib/autoconf/status.m4 (_AC_CONFIG_COMPUTE_DEST): Likewise.
	Reported by Bob Proulx.

2008-11-10  Eric Blake  <ebb9@byu.net>

	Match upstream standards.texi.
	* doc/standards.texi: Resync from upstream.
	* doc/fdl-1.3.texi: Rename...
	* doc/fdl.texi: ...to this.
	* doc/Makefile.am (autoconf_TEXINFOS, standards_TEXINFOS): Update
	users.
	* doc/autoconf.texi (GNU Free Documentation License): Likewise.
	* cfg.mk (fetch): Likewise.

	Yet more FDL 1.3 fallout.
	* NEWS: Mention manual license change.

2008-11-10  Eric Blake  <ebb9@byu.net>

	Avoid some regex uses.
	* lib/autoconf/general.m4 (_AC_DEFINE_Q): Use m4_format rather
	than m4_bpatsubst to grab string prefix.
	* lib/autoconf/status.m4 (_AC_CONFIG_REGISTER)
	(_AC_CONFIG_REGISTER_DEST, AC_CONFIG_SUBDIRS): Likewise.
	(_AC_FILE_DEPENDENCY_TRACE_COLON): Use m4_translit instead of
	m4_bpatsubst to change bytes.
	(_AC_CONFIG_DEPENDENCY_DEFAULT): Use m4_index rather than
	m4_bmatch to find byte.
	(_AC_CONFIG_COMPUTE_DEST): New helper macro.

	Use more efficient macros in AC_CONFIG_SUBDIRS.
	* lib/autoconf/status.m4 (_AC_CONFIG_FOOS, AC_CONFIG_SUBDIRS): Use
	m4_map_args_w.
	(_AC_OUTPUT_FILE): Use m4_map_args_sep and m4_map_args.
	(_AC_OUTPUT_FILE_ADJUST_DIR): New helper macro.

	Use more efficient macros in AC_CHECK_FILES and AC_CHECK_DECLS.
	* lib/autoconf/general.m4 (AC_CHECK_FILES): Use m4_map_args_w,
	and avoid typo.
	(AC_CHECK_DECLS, AC_CHECK_DECLS_ONCE): Use m4_map_args_sep.
	(_AC_CHECK_FILES, _AC_CHECK_DECLS, _AC_CHECK_DECL_ONCE): New
	helper macros.
	(AC_LIBSOURCES): Use m4_map_args.

	Use more efficient macros in AC_CHECK_TYPES.
	* lib/autoconf/types.m4 (AC_CHECK_TYPES, AC_CHECK_MEMBERS): Use
	m4_map_args_sep.
	(_AC_CHECK_TYPES, _AC_CHECK_MEMBERS): New helper macros.

	Use more efficient macros in AC_CHECK_HEADERS.
	* lib/autoconf/headers.m4 (AH_CHECK_HEADERS)
	(AH_CHECK_HEADERS_DIRENT): Rename...
	(_AH_CHECK_HEADER, _AH_CHECK_HEADER_DIRENT): ...and take only one
	argument, rather than a list.
	(AC_CHECK_HEADERS, AC_CHECK_HEADERS_ONCE):
	Adjust callers to use m4_map_args_w.
	(AC_HEADER_DIRENT): Adjust caller to use m4_map_args.
	(_AC_CHECK_HEADER_ONCE): New helper macro.

	Use more efficient macros in AC_CHECK_FUNCS.
	* lib/autoconf/functions.m4 (_AH_CHECK_FUNCS): Rename...
	(_AH_CHECK_FUNC): ...and take only one argument, rather than a
	list.
	(AC_CHECK_FUNCS, AC_CHECK_FUNCS_ONCE): Adjust callers to use
	m4_map_args_w.
	(_AC_CHECK_FUNC_ONCE): New helper macro.
	(AC_REPLACE_FUNCS): Use m4_map_args_w.

	Use more efficient macro in AT_INIT.
	* lib/autotest/general.m4 (AT_INIT): Use m4_map_args.

2008-11-10  Eric Blake  <ebb9@byu.net>

	More FDL 1.3 fallout.
	* cfg.mk (fetch): Add gnu-oids.texi, drop fdl.texi.
	* doc/Makefile.am (standards_TEXINFOS): Reflect upstream
	dependency changes.
	* doc/fdl.texi: Delete.
	* doc/gnu-oids.texi: New upstream file.
	* doc/standards.texi: Resync from upstream.
	* doc/make-stds.texi: Likewise.
	* build-aux/announce-gen: Likewise.
	* build-aux/texinfo.tex: Likewise.

2008-11-10  Clinton Roy  <clinton.roy@gmail.com>  (tiny change)

	Pass autoreconf -I to aclocal -I
	* bin/autoreconf.in (parse_args): Pass --include to aclocal.
	* doc/autoconf.texi (autoreconf Invocation): Updates for above.
	* NEWS: Document it.
	* THANKS: Update.

2008-11-10  Eric Blake  <ebb9@byu.net>

	Try 'print -r --' as a non-forking variant of 'printf %s\\n'.
	* lib/m4sugar/m4sh.m4 (_AS_ECHO_PREPARE): Cater to Solaris ksh.
	* doc/autoconf.texi (Limitations of Builtins) <printf>: Document
	the print workaround.
	Idea by Paolo Bonzini.

2008-11-10  Eric Blake  <ebb9@byu.net>

	Provide a section on all tools allowed in GNU Coding Standards.
	* doc/autoconf.texi (Limitations of Builtins) <read>: Sort.
	<wait>: Add section.
	(Limitations of Usual Tools) <awk>: Make table entry consistent.
	<chgrp, mkfifo, rmdir, sleep, sort, tar> Add sections.

2008-11-09  Paolo Bonzini  <bonzini@gnu.org>

	Balance parentheses in _AC_CACHE_DUMP.
	* lib/autoconf/general.m4 (_AC_CACHE_DUMP): Balance parentheses
	without introducing \).

2008-11-07  Eric Blake  <ebb9@byu.net>

	Further doc updates for AC_CHECK_HEADER change.
	* doc/autoconf.texi (Generic Headers) <AC_CHECK_HEADER>: Mention
	new default, and make it more obvious that using [-] is generally
	broken.

2008-11-07  Eric Blake  <ebb9@byu.net>

	* ChangeLog: Enforce UTF-8 encoding.

2008-11-06  Eric Blake  <ebb9@byu.net>

	Skip preprocessor check in AC_CHECK_HEADERS_ONCE.
	* lib/autoconf/headers.m4 (_AC_HEADERS_EXPANSION): Provide fourth
	argument to speed up check.

2008-11-06  Eric Blake  <ebb9@byu.net>

	Speed up AC_CHECK_TYPE.
	* lib/autoconf/types.m4 (AC_CHECK_TYPE): Factor out $@, and avoid
	regex when enough arguments are present.

2008-11-06  Paolo Bonzini  <bonzini@gnu.org>

	Remove three forks per _AC_RUN_LOG_STDERR in the common case.
	* lib/autoconf/general.m4 (_AC_RUN_LOG_STDERR): Avoid grep/rm/cat
	sequence when the program's stderr was empty, while providing a
	conftest.err file even in that case.
	(_AC_CACHE_DUMP): Fix mismatched parenthesis.

2008-11-06  Paolo Bonzini  <bonzini@gnu.org>

	Change `present but cannot be compiled' behavior to use compiler result.
	* NEWS: Document it.
	* doc/autoconf.texi (Present But Cannot Be Compiled): Document it.
	* lib/autoconf/headers.m4 (_AC_CHECK_HEADER_MONGREL): Implement it
	and adjust warning.
	* tests/semantics.at (AC_CHECK_HEADERS): Test new semantics.

2008-11-05  Eric Blake  <ebb9@byu.net>

	Add m4_map_args_w.
	* lib/m4sugar/m4sugar.m4 (m4_map_args_w): New macro, undocumented
	for now.
	(_m4_split): Allow user control over separator.
	(m4_split): Adjust caller.
	(m4_foreach_w, m4_append_uniq_w, _m4_text_wrap): Rewrite to use
	m4_map_args_w.
	* tests/m4sugar.at (m4@&t@_append): Augment test keywords.
	(M4 loops): Test new interface.

	Use m4_set_map_sep in more places.
	* lib/m4sugar/m4sugar.m4 (m4_set_difference, m4_set_intersection)
	(m4_set_union): Use m4_set_map_sep rather than m4_set_foreach.
	* doc/autoconf.texi (Set manipulation Macros) <m4_set_map>:
	Enhance documentation.
	<m4_set_foreach>: Mention faster alternative.
	(Looping constructs) <m4_foreach>: Likewise.

	Unify m4_set_foreach and m4_set_map.
	* lib/m4sugar/m4sugar.m4 (m4_set_map_sep): New macro, undocumented
	for now.
	(m4_set_contents, m4_set_foreach, m4_set_list, m4_set_listc)
	(m4_set_map): Adjust callers.

	Use _m4_foreach in more places.
	* lib/m4sugar/foreach.m4 (m4_dquote_elt, m4_join, m4_joinall)
	(_m4_minmax, m4_set_add_all): Use _m4_foreach instead of
	m4_foreach.
	* lib/m4sugar/m4sugar.m4 (_m4_joinall): Use m4_map_args_sep
	instead of m4_foreach or m4_map_args.

	Unify _m4_foreach and _m4_map.
	* lib/m4sugar/m4sugar.m4 (_m4_map): Delete, merged with...
	(_m4_foreach): ...this.
	(m4_foreach, m4_map, m4_mapall, m4_map_sep, _m4_mapall_sep)
	(m4_map_args, m4_map_args_sep): Adjust callers.
	* lib/m4sugar/foreach.m4 (_m4_map): Rename...
	(_m4_foreach): ...to this, overwriting old definition.

2008-11-04  Eric Blake  <ebb9@byu.net>

	Add m4_map_args_sep, undocumented for now.
	* lib/m4sugar/m4sugar.m4 (m4_map_args_sep): New macro.
	(_m4_map): Change API to cover more of m4_map*.
	* lib/m4sugar/foreach.m4 (_m4_map): Adjust to new API.
	(m4_map_args): Delete.
	* tests/m4sugar.at (m4@&t@_map_args and m4@&t@_curry): Enhance
	test.

	Improve m4_for performance.
	* lib/m4sugar/m4sugar.m4 (_m4_for): Alter API to make it easier to
	avoid m4_define by some clients.
	(m4_for): Adjust caller.
	* lib/m4sugar/foreach.m4 (_m4_foreach, m4_case, m4_bmatch)
	(_m4_cond, _m4_bpatsubsts, _m4_shiftn, m4_do, m4_reverse)
	(_m4_map, m4_map_args, m4_map_args_pair, _m4_list_pad)
	(_m4_list_cmp): Likewise.

2008-11-04  Eric Blake  <ebb9@byu.net>

	Adjust expected output.
	* tests/torture.at (Missing templates): Reflect added quoting.
	Detected by Bob Proulx's buildbot.

	Reject arguments with leading =.
	* lib/autoconf/general.m4 (_AC_INIT_PARSE_ARGS): Detect case of
	missing variable name, with fewer forks.  Quote invalid arguments
	in message, in case they include spaces.
	* lib/autoconf/status.m4 (_AC_OUTPUT_CONFIG_STATUS)
	(_AC_OUTPUT_MAIN_LOOP): Quote invalid arguments.
	* lib/autotest/general.m4 (AT_INIT): Likewise.
	* tests/base.at (configure arguments): Test this.
	Reported by Jeff Squyres.

2008-11-04  Eric Blake  <ebb9@byu.net>

	Upgrade to FDL 1.3.
	* cfg.mk (fetch): Add fdl-1.3.texi.
	* .gitattributes: Likewise.
	* doc/autoconf.texi (GNU Free Documentation License): Point to new
	upstream version.
	* doc/Makefile.am (autoconf_TEXINFOS): Likewise.
	(standards_TEXINFOS): Mention current dependence on older license.
	* doc/fdl-1.3.texi: New upstream file.
	* GNUmakefile: Resync from upstream.
	* build-aux/announce-gen: Likewise.
	* build-aux/texinfo.tex: Likewise.

2008-11-03  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Point at AM_SUBST_NOTMAKE.
	* doc/autoconf.texi (Setting Output Variables): Add cross
	reference to new Automake macro AM_SUBST_NOTMAKE.

2008-11-03  Paolo Bonzini  <bonzini@gnu.org>

	Eliminate a fork per invocation of AC_LANG_CONFTEST.
	* lib/autoconf/c.m4 (AC_LANG_CONFTEST(C)): Define instead of
	AC_LANG_SOURCE(C).
	* lib/autoconf/general.m4 (_AC_INIT_PREPARE): Add a comment at the
	top of confdefs.h, which also works around cpp deficiencies.
	* lib/autoconf/lang.m4 (AC_LANG_DEFINE): Define AC_LANG_CONFTEST(xyz)
	(AC_LANG_CONFTEST): Dispatch based on _AC_LANG.
	(AC_LANG_CONFTEST()): New.

2008-11-03  Paolo Bonzini  <bonzini@gnu.org>

	Reorganize definition of languages.
	* lib/autoconf/c.m4 (AC_LANG(C), AC_LANG(C++), AC_LANG(Objective C),
	_AC_LANG_ABBREV(C), _AC_LANG_ABBREV(C++), _AC_LANG_ABBREV(Objective C),
	_AC_LANG_PREFIX(C), _AC_LANG_PREFIX(C++), _AC_LANG_PREFIX(Objective C)):
	Replace definitions with usage of AC_LANG_DEFINE.
	(Sections 2b, 2c): Delete.
	(Sections 1b, 1c): Move after section 2a.
	* lib/autoconf/erlang.m4 (AC_LANG(Erlang), _AC_LANG_ABBREV(Erlang),
	_AC_LANG_PREFIX(Erlang), AC_LANG_SOURCE(Erlang)): Replace definitions
	with usage of AC_LANG_DEFINE.
	(AC_LANG_ERLANG): Define using AU_DEFUN.
	* lib/autoconf/fortran.m4 (AC_LANG(Fortran), AC_LANG(Fortran 77),
	_AC_LANG_ABBREV(Fortran), _AC_LANG_ABBREV(Fortran 77),
	_AC_LANG_PREFIX(Fortran), _AC_LANG_PREFIX(Fortran 77),
	_AC_LANG_SOURCE(Fortran), AC_LANG_SOURCE(Fortran 77)): Replace
	definitions with usage of AC_LANG_DEFINE.
	* lib/autoconf/lang.m4 (AC_LANG_DEFINE, AC_LANG_SOURCE()): New.

2008-11-03  Paolo Bonzini  <bonzini@gnu.org>

	Use preprocessor in cpp tests.
	* tests/c.at (CPP tests): Use AC_CHECK_HEADERS(..., [-]).

2008-10-31  Paolo Bonzini  <bonzini@gnu.org>

	Rename _AC_CHECK_HEADER_OLD and _AC_CHECK_HEADER_NEW.
	* lib/autoconf/headers.m4 (AC_CHECK_HEADER): Adjust naming.
	(_AC_CHECK_HEADER_PREPROC_BODY): New name of _AC_CHECK_HEADER_OLD_BODY.
	(_AC_CHECK_HEADER_COMPILE_BODY): New name of _AC_CHECK_HEADER_NEW_BODY.
	(_AC_CHECK_HEADER_PREPROC): New name of _AC_CHECK_HEADER_OLD.
	(_AC_CHECK_HEADER_COMPILE): New name of _AC_CHECK_HEADER_NEW.
	* tests/semantics.at (AC_CHECK_HEADERS_OLD, AC_CHECK_HEADER_NEW):
	Give better name.

2008-10-31  Eric Blake  <ebb9@byu.net>

	Support multiple undiverts and dumpdefs at once.
	* lib/m4sugar/m4sugar.m4 (m4_dumpdefs, m4_undivert): Allow extra
	arguments.
	* doc/autoconf.texi (Redefined M4 Macros) <m4_dumpdef>,
	<m4_undivert>: Document argument list change.
	* tests/m4sugar.at (m4@&t@_divert_stack, m4@&t@_dumpdef): Test
	them.

	Simplify diversion stack handling.
	* lib/m4sugar/m4sugar.m4 (m4_divert_stack): Use fewer macros, and
	avoid extra newlines.
	(m4_divert_stack_push): Compute location here, rather than caller.
	(m4_divert_push): Update caller.
	(m4_divert): Likewise, and also adjust current diversion name.
	(m4_divert_pop): Simplify rule that diversion stack must never go
	empty.
	(_m4_require_call): Bypass diversion stack when collecting
	required macro text.
	(m4_init): Set current diversion without requiring m4_init.
	* lib/m4sugar/m4sh.m4 (AS_INIT): Avoid too many pops.
	* lib/autotest/general.m4 (AT_INIT): Likewise.
	* lib/autoconf/general.m4 (_AC_INIT_DEFAULTS): Schedule wrapped
	text to run prior to m4sugar cleanup.
	* doc/autoconf.texi (Text processing Macros) <m4_newline>: Mention
	optional argument.
	(Conditional constructs) <m4_ifvaln, m4_n>: Mention use of dnl.
	* NEWS: Undo blurb about m4_divert.
	* tests/m4sugar.at (m4@&t@_divert_stack): New test.

	Simplify expansion stack handling.
	* lib/m4sugar/m4sugar.m4 (m4_expansion_stack): Use fewer macros;
	always output 'top level'.
	(_m4_expansion_stack_entry): New macro, to format the string only
	when needed.
	(m4_expansion_stack_push): Only push a macro name.
	(m4_warn, _m4_defun_pro): Update callers.
	(m4_expansion_stack_pop, m4_expansion_stack_dump): Delete.
	(_m4_defun_epi, m4_fatal): Inline the calls.
	* tests/m4sugar.at (m4@&t@_expansion_stack): New test.

2008-10-30  Eric Blake  <ebb9@byu.net>

	Better documentation of AC_CHECK_HEADER's fourth argument.
	* doc/autoconf.texi (Generic Headers) <AC_CHECK_HEADER>: Mention
	how to suppress compiler or preprocessor header check.
	Reported by Jeff Squyres.

2008-10-30  Eric Blake  <ebb9@byu.net>

	Fix LINENO testsuite failure.
	* tests/m4sh.at (AT_DATA_LINENO): Use AS_LINENO_PREPARE, not
	undocumented _AS_PREPARE, and move unset earlier in script.

	Update LINENO documentation.
	* doc/autoconf.texi (Initialization Macros) <AS_INIT_GENERATED>:
	(Special Shell Variables) <LINENO>: Mention that LINENO support in
	child scripts may be broken.  Modernize example.

2008-10-30  Paolo Bonzini  <bonzini@gnu.org>

	Do not check for $LINENO in generated scripts.
	* lib/m4sugar/m4sh.m4 (_AS_PREPARE): Do not call _AS_LINENO_PREPARE,
	and explain why.

2008-10-30  Eric Blake  <ebb9@byu.net>

	Don't check for non-POSIX extensions in suggested tests.
	* lib/m4sugar/m4sh.m4 (_AS_VAR_APPEND_WORKS): Remove suggestion;
	we still use += if available, but should not reject shells (like
	dash) that don't provide it.
	(_AS_DETECT_SUGGESTED): Document a policy for m4sh.
	Reported by Paolo Bonzini.

2008-10-30  Paolo Bonzini  <bonzini@gnu.org>

	Pass CONFIG_SHELL down to generated scripts, and re-export SHELL.
	* lib/m4sugar/m4sh.m4 (_AS_DETECT_BETTER_SHELL): If proceeding
	with a given CONFIG_SHELL, move it to SHELL.
	(AS_INIT_GENERATED): Re-export SHELL.

2008-10-30  Eric Blake  <ebb9@byu.net>

	Work around Solaris /bin/sh case bug.
	* lib/m4sugar/m4sh.m4 (_AS_CASE, _AS_CASE_DEFAULT): Always provide
	a non-empty command list.
	(AS_CASE): Always guarantee that a case will match.
	* doc/autoconf.texi (Limitations of Builtins) <case>: Document the
	Solaris bug, and mention AS_CASE.

2008-10-30  Paolo Bonzini  <bonzini@gnu.org>

	Require _AS_CR_PREPARE where appropriate.
	* lib/m4sugar/m4sh.m4 (_AS_PREPARE): Call _AS_CR_PREPARE.
	(AS_PREPARE): Require _AS_CR_PREPARE.

	Avoid walking the entire PATH when looking for a better shell.
	* lib/m4sugar/m4sh.m4 (_AS_SHELL_SANITIZE): Test shell characteristics
	as the PATH is walked.

	Add third argument to _AS_PATH_WALK
	* lib/m4sugar/m4sh.m4 (_AS_SHELL_SANITIZE): Do not call _AS_CR_PREPARE.
	(_AS_PATH_WALK): Add third optional argument.

	Trim down the length of the shell function test.
	* lib/m4sugar/m4sh.m4 (_AS_SHELL_FN_WORK): Condense.

2008-10-29  Eric Blake  <ebb9@byu.net>

	Fix LINENO detection to work around bash and pdksh limitations.
	* lib/m4sugar/m4sh.m4 (_AS_LINENO_WORKS): Enhance the test, so
	that we can choose which of two tests to trust.
	(_AS_RUN): Set flag when alternate shell is running.
	(_AS_DETECT_EXPAND): New macro.
	(_AS_DETECT_BETTER_SHELL): Use it to massage LINENO tests.

2008-10-29  Eric Blake  <ebb9@byu.net>

	Mention proper fix for zsh users.
	* lib/m4sugar/m4sh.m4 (_AS_DETECT_BETTER_SHELL): Recommend zsh
	version known to work.
	Suggested by Paolo Bonzini.

	Document current beta-quality status.
	* configure.ac: Reflect fact that change to git-version-gen
	produces -, but not always a letter, on non-release builds.
	* BUGS: Mention known issues.
	* lib/m4sugar/m4sh.m4 (_AS_DETECT_BETTER_SHELL): Ask for help in
	debugging platforms with deficient shells.

2008-10-29  Eric Blake  <ebb9@byu.net>

	Alter signature of AS_INIT_GENERATED.
	* lib/m4sugar/m4sh.m4 (AS_INIT_GENERATED): Add parameters, and
	manage here-doc and chmod in place.  This also allows future
	changes for optimizing the child via diversion/m4_wrap magic.
	* lib/autoconf/status.m4 (_AC_OUTPUT_CONFIG_STATUS): Update
	caller.
	* doc/autoconf.texi (Initialization Macros) <AS_INIT_GENERATED>:
	Update the documentation.

2008-10-29  Eric Blake  <ebb9@byu.net>

	Use _m4_stack_reverse in m4_set.
	* lib/m4sugar/m4sugar.m4 (_m4_set_contents_1)
	(_m4_set_contents_2): Rewrite to share _m4_stack_reverse
	implementation.
	(m4_set_contents, m4_set_foreach, m4_set_list, m4_set_listc)
	(m4_set_map): Adjust callers to new API.

	Add m4_stack_foreach_sep.
	* lib/m4sugar/m4sugar.m4 (m4_stack_foreach_sep)
	(m4_stack_foreach_sep_lifo): New macros.
	(_m4_stack_reverse): Adjust prototype, to support it.
	(m4_copy): Use fewer macros.
	* tests/m4sugar.at (m4@&t@_stack_foreach): Rename...
	(m4@&t@_stack): ...and add m4_stack_foreach_sep tests.

2008-10-29  Bruno Haible  <bruno@clisp.org>

	Mention Sun WorkShop 6.2 OpenMP bug.
	* doc/autoconf.texi (AC_OPENMP): Document portability pitfall.

2008-10-29  Paolo Bonzini  <bonzini@gnu.org>

	Rewrite handling of diversion and expansion stack.
	* NEWS: Document stricter requirement on m4_init.
	* lib/m4sugar/m4sugar.m4 (m4_divert_stack): New, replacing
	_m4_divert_n_stack.
	(_m4_divert_stack_push): New.
	(m4_divert): Use _m4_divert_stack_push and replace m4_define with
	m4_popdef.
	(m4_divert_push): Use _m4_divert_stack_push.
	(m4_divert_pop): Use m4_divert_stack instead of _m4_divert_n_stack,
	pop _m4_divert_stack instead of m4_divert_stack.
	(m4_expansion_stack): New.  Update comment above it.
	(m4_expansion_stack_push, m4_expansion_stack_pop): Work on
	_m4_expansion_stack instead of m4_expansion_stack.
	(m4_expansion_stack_dump): Check presence of _m4_expansion_stack
	instead of m4_expansion_stack.  Use m4_expansion_stack's expansion
	instead of the definition, and compensate for the trailing newline
	in the expansion.
	(m4_warn, _m4_defun_pro, _m4_defun_epi): Check presence of
	_m4_expansion_stack instead of m4_expansion_stack.
	(m4_newline): Expand first argument after the newline.
	(m4_init): Use m4_divert_stack instead of _m4_divert_n_stack,
	* tests/m4sugar.at (m4_append, m4_text_wrap): Invoke m4_init.
	* tests/tools.at (whitespace in file names, the empty token): Likewise.

2008-10-28  Eric Blake  <ebb9@byu.net>

	Reduce forks while searching for better shell.
	* lib/m4sugar/m4sh.m4 (_AS_DETECT_REQUIRED)
	(_AS_DETECT_SUGGESTED): No need to provide extra subshell; _AS_RUN
	already does the job.
	(_AS_DETECT_BETTER_SHELL): Simplify AS_EXIT when not run in a trap
	0 context.

	Undo needless efforts to protect $2 in $2_t.
	* lib/autoconf/types.m4 (_AC_TYPE_INT_BODY)
	(_AC_TYPE_UNSIGNED_INT_BODY): Reduce extra quoting.

2008-10-28  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix parallel test execution output lossage.
	* lib/autotest/general.m4 (_AT_CHECK): Truncate files to hold
	standard output and standard error before the test, use append
	mode for writing.
	* THANKS: Update.
	Caught by Bob Proulx' build daemons, analysis and suggested fix
	by Stéphane Chazelas.

2008-10-28  Eric Blake  <ebb9@byu.net>

	Use m4_map_args in more places.
	* lib/m4sugar/m4sugar.m4 (m4_defn, m4_dumpdef, m4_popdef)
	(m4_undefine, m4_combine): Use m4_map_args, rather than
	m4_foreach.

2008-10-28  Eric Blake  <ebb9@byu.net>

	Override m4 1.4.x dumpdef, as it breaks autom4te.
	* lib/m4sugar/m4sugar.m4 (m4_dumpdef): New implementation.
	(m4_copy): Formatting touchup.
	* doc/autoconf.texi (Redefined M4 Macros) <m4_dumpdef>: Mention
	semantic differences as well as m4_dumpdefs.
	* NEWS: Likewise.
	* tests/m4sugar.at (m4@&t@_dumpdef): New test.

2008-10-28  Eric Blake  <ebb9@byu.net>

	Allow m4sugar to be used without autom4te, such as in bison.
	* lib/m4sugar/m4sugar.m4 (m4_text_wrap, m4_qlen): Document that
	alternate escape sequences can be used.
	(m4_text_box): Likewise.  Don't output quadrigraphs.
	(m4_qdelta): Delete unused macro.

2008-10-28  Paolo Bonzini  <bonzini@gnu.org>

	Add m4_stack_foreach and m4_stack_foreach_lifo.
	* lib/m4sugar/m4sugar.m4 (_m4_stack_reverse): New from _m4_copy.
	(m4_stack_foreach, m4_stack_foreach_lifo): New.
	(m4_copy): Use m4_stack_foreach and m4_curry.
	(_m4_dumpdefs_down, _m4_dumpdefs_up): Remove.
	(m4_dumpdefs): Rewrite using m4_stack_foreach_lifo.
	* tests/m4sugar.at (m4_stack_foreach): New test.

2008-10-28  Paolo Bonzini  <bonzini@gnu.org>

	use a shell function for AC_TYPE_INTx_T
	* lib/autoconf/types.m4 (_AC_TYPE_INT_BODY, _AC_TYPE_UNSIGNED_INT_BODY):
	New.
	(_AC_TYPE_INT, _AC_TYPE_UNSIGNED_INT): Define and use a shell function.

2008-10-28  Paolo Bonzini  <bonzini@gnu.org>

	* lib/autoconf/general.m4 (AC_CHECK_DECL): Fix AS_ESCAPE usage.
	* lib/autoconf/headers.m4 (_AC_CHECK_HEADER_MONGREL,
	_AC_CHECK_HEADER_NEW): Likewise.
	* lib/autoconf/types.m4 (_AC_CHECK_TYPE_NEW, AC_CHECK_MEMBER): Likewise.

2008-10-28  Paolo Bonzini  <bonzini@gnu.org>

	* lib/autoconf/types.m4 (_AC_CHECK_MEMBER_BODY): New.
	(AC_CHECK_MEMBER): Define and use a shell function.

2008-10-27  Eric Blake  <ebb9@byu.net>

	Prefer m4_fatal over AC_FATAL.
	* lib/autoconf/types.m4 (AC_CHECK_SIZEOF, AC_CHECK_ALIGNOF)
	(AC_CHECK_MEMBER): Use non-obsolete macro name.
	* lib/autoconf/fortran.m4 (_AC_LIST_MEMBER_IF): Likewise.
	* lib/autoconf/general.m4 (AC_REQUIRE_AUX_FILE, AC_SUBST):
	Likewise.
	* lib/autoconf/lang.m4 (_AC_LANG_DISPATCH): Likewise.
	* lib/autoconf/status.m4 (_AC_CONFIG_DEPENDENCY_DEFAULT)
	(_AC_CONFIG_UNIQUE, _AC_CONFIG_REGISTER_DEST): Likewise.

2008-10-27  Eric Blake  <ebb9@byu.net>

	Avoid raw carriage return in scripts.
	* lib/autoconf/status.m4 (_AC_OUTPUT_FILES_PREPARE): Generate CR
	via tr, rather than with literal byte.
	* THANKS: Update.
	Reported by Steven R. Loomis; patch suggested by Thomas Dickey.

2008-10-27  Eric Blake  <ebb9@byu.net>

	Use AS_VAR_ARITH.
	* lib/autotest/general.m4 (at_func_arith): Delete; replace all
	clients with AS_VAR_ARITH instead.
	* lib/autoconf/general.m4 (_AC_COMPUTE_INT_COMPILE): Use new
	macro.
	* lib/autoconf/programs.m4 (_AC_FEATURE_CHECK_LENGTH): Likewise.
	* tests/torture.at (Torturing config.status): Likewise.
	* tests/tools.at (autom4te --force): Likewise.

	Add AS_VAR_ARITH.
	* lib/m4sugar/m4sh.m4 (_AS_VAR_ARITH_PREPARE, _AS_VAR_ARITH_WORKS)
	(AS_VAR_ARITH): New macros.
	(_AS_PREPARE, AS_PREPARE): Emit preparation.
	* tests/m4sh.at (AS@&t@_VAR_ARITH): New test.
	* doc/autoconf.texi (Polymorphic Variables) <AS_VAR_ARITH>:
	Document new macro.
	(Limitations of Usual Tools) <expr>: Mention portability problem
	if first argument starts with -.
	(Shell Substitutions) <$((expression))>: Mention it.
	* NEWS: Likewise.

2008-10-27  Eric Blake  <ebb9@byu.net>

	Use read, rather than `cat`, for safe one-line files.
	* lib/autotest/general.m4 (AT_CLEANUP): Avoid a fork, since it is
	known that the file has only one line and no \.
	* lib/autoconf/general.m4 (_AC_COMPUTE_INT_RUN): Likewise.

2008-10-27  Paolo Bonzini  <bonzini@gnu.org>

	* lib/autoconf/general.m4 (_AC_COMPUTE_INT_COMPILE,
	_AC_COMPUTE_INT_RUN): Add IF-SUCCESS argument.
	(_AC_COMPUTE_INT_BODY): New.
	(AC_COMPUTE_INT): Define and use a shell function.

2008-10-27  Paolo Bonzini  <bonzini@gnu.org>

	* lib/autoconf/types.m4 (_AC_CHECK_TYPE_NEW_BODY): Extract
	test body here.  Move head comment of _AC_CHECK_TYPE_NEW here.
	(_AC_CHECK_TYPE_NEW): Define a shell function and call it.

2008-10-27  Paolo Bonzini  <bonzini@gnu.org>

	* lib/autoconf/general.m4 (_AC_CHECK_DECL_BODY): New.
	(AC_CHECK_DECL): Use a shell function.

2008-10-27  Paolo Bonzini  <bonzini@gnu.org>

	* lib/autoconf/headers.m4 (_AC_CHECK_HEADER_OLD,
	_AC_CHECK_HEADER_NEW): Use a shell function.

2008-10-25  Eric Blake  <ebb9@byu.net>

	Track recent copyright assignments.
	* AUTHORS: Update.

2008-10-25  Paolo Bonzini  <bonzini@gnu.org>
	and Eric Blake  <ebb9@byu.net>

	Use a shell function for _AC_CHECK_HEADER_MONGREL.
	* lib/autoconf/headers.m4 (_AC_CHECK_HEADER_MONGREL_BODY): New
	macro.
	(_AC_CHECK_HEADER_MONGREL): Use a shell function.

2008-10-25  Eric Blake  <ebb9@byu.net>

	Simplify _AS_PREPARE handling of functions.
	* lib/m4sugar/m4sh.m4 (AS_REQUIRE_SHELL_FN): Factor...
	(_AS_REQUIRE_SHELL_FN): ...into new helper macro.
	(_AS_PREPARE): Temporarily redefine AS_REQUIRE_SHELL_FN to make
	this task easier.
	(_AS_LINENO_PREPARE): Make more efficient.
	(_AS_MKDIR_P_PREPARE): Simplify use in _AS_PREPARE.
	(_AS_UNSET_PREPARE): Avoid blank newline.
	(AS_INIT): Emit as_func_unset alongside other functions.

2008-10-25  Eric Blake  <ebb9@byu.net>

	Document AS_EXIT.
	* doc/autoconf.texi (Common Shell Constructs) <AS_EXIT>: Document
	this macro.
	(Limitations of Builtins): Mention AS_EXIT.
	* NEWS: Mention it.

	Use AS_EXIT in autoconf.as.
	* bin/autoconf.as: Consistently use AS_EXIT.

2008-10-24  Eric Blake  <ebb9@byu.net>

	Fix m4 underquoting in AC_PROG_INSTALL.
	* lib/autoconf/programs.m4 (AC_PROG_INSTALL): Produce accurate
	character ranges.

	Speed up AC_CHECK_HEADER.
	* lib/autoconf/headers.m4 (AC_CHECK_HEADER): Factor out $@.

2008-10-24  Paolo Bonzini  <bonzini@gnu.org>
	and Eric Blake  <ebb9@byu.net>

	Use a shell function for AC_CHECK_FUNC.
	* lib/autoconf/functions.m4 (_AC_CHECK_FUNC_BODY): New macro.
	(AC_CHECK_FUNC): Use a shell function.
	* lib/autoconf/c.m4 (AC_LANG_SOURCE(C)): Reduce number of forks.

2008-10-24  Eric Blake  <ebb9@byu.net>

	Work around fact that gnulib-tool doesn't use m4_copy.
	* lib/autoconf/general.m4 (AC_LIBOBJ, AC_LIBSOURCES): Defun, not
	define, so that an initial location is present, to account for
	fact that gnulib-tool pushes another AC_DEFUN'd macro on top.

	Make m4_defun_init more robust.
	* lib/m4sugar/m4sugar.m4 (m4_defun_init): Handle indirect macro
	names, and correct number of arguments.
	(m4_copy): Also set up location of the copy.
	(m4_defun): When copied, use current macro name, not original.
	* tests/m4sugar.at (m4@&t@_require: one-shot initialization):
	Update test.

	Optimize clients of AS_REQUIRE.
	* lib/m4sugar/m4sugar.m4 (m4_defun): Add undocumented third
	argument.
	(m4_defun_init): New undocumented macro.
	* lib/m4sugar/m4sh.m4 (_AS_ECHO_LOG, AS_MESSAGE, AS_BASENAME)
	(_AS_DIRNAME_EXPR, AS_DIRNAME, AS_ECHO, AS_ECHO_N, AS_TEST_X)
	(AS_LN_S, AS_MKDIR_P, _AS_PATH_WALK, AS_VERSION_COMPARE)
	(AS_TR_SH, AS_TR_CPP, AS_VAR_APPEND, AS_VAR_PUSHDEF): Use it to
	simplify these macros once the one-shot initialization is
	complete.
	* tests/m4sugar.at (m4@&t@_require: one-shot initialization): New
	test.

	Improve m4_copy.
	* lib/m4sugar/m4sugar.m4 (m4_copy): Add second implementation for
	public use.
	(_m4_copy): New macro, which preserves pushdef stacks.
	(_m4_defun_pro_outer): Bypass it, for speed.
	(m4_init): Bypass new implementation, since it breaks on m4_defn.
	* bin/autoupdate.in (handle_autoconf_macros): Likewise.
	* lib/autoconf/general.m4 (AC_PREREQ): Undefine before redefining,
	now that m4_copy checks this.
	* doc/autoconf.texi (Redefined M4 Macros) <m4_copy>: Document
	this, as well as m4_rename.
	* lib/autoconf/autoconf.m4 (m4_copy): Temporarily redefine when
	renaming builtins, since it breaks on m4_ifdef.
	* NEWS: Likewise.
	* tests/m4sugar.at (m4@&t@_defn): Enhance test.

2008-10-24  Eric Blake  <ebb9@byu.net>

	AC_FUNC_GETGROUPS: Revert regression.
	* lib/autoconf/functions.m4 (AC_FUNC_GETGROUPS): Only set
	ac_cv_func_getgroups_works=no when it is not available.

2008-10-23  Eric Blake  <ebb9@byu.net>

	Whitespace cleanup.
	* lib/autoconf/fortran.m4: Consistently use tabs.

2008-10-23  Chikama Masaki  <masaki.chikama@gmail.com>  (tiny change)

	For gfortran on sh, ignore -little.
	* lib/autoconf/fortran.m4 (_AC_FC_LIBRARY_LDFLAGS): Add -little to
	list of ignored arguments.
	* THANKS: Update.

2008-10-23  Paolo Bonzini  <bonzinI@gnu.org>

	Eliminate empty lines after AC_*_IFELSE.
	* lib/autoconf/general.m4 (_AC_PREPROC_IFELSE, _AC_COMPILE_IFELSE,
	_AC_LINK_IFELSE, _AC_RUN_IFELSE): Add a dnl at end.

2008-10-23  Paolo Bonzini  <bonzinI@gnu.org>

	Avoid a fork in _AC_RUN_LOG and _AC_RUN_LOG_STDERR
	* lib/autoconf/general.m4 (_AC_RUN_LOG, _AC_RUN_LOG_STDERR):
	Return a boolean status code based on $ac_status.

2008-10-23  Paolo Bonzini  <bonzinI@gnu.org>

	Ensure actions can look at conftest* files.
	* lib/autoconf/general.m4 (_AC_PREPROC_IFELSE_BODY,
	_AC_COMPILE_IFELSE_BODY, _AC_LINK_IFELSE_BODY, _AC_RUN_IFELSE_BODY):
	Move rm commands, except IPA files and Apple debug symbols...
	(_AC_PREPROC_IFELSE, _AC_COMPILE_IFELSE, _AC_LINK_IFELSE,
	_AC_RUN_IFELSE): ...in here.
	* tests/compile.at: Add regression test.

2008-10-23  Eric Blake  <ebb9@byu.net>

	Remove excess dnl from m4sh.
	* lib/m4sugar/m4sh.m4 (_AS_DETECT_BETTER_SHELL, _AS_PREPARE)
	(_AS_SHELL_FN_WORK, _AS_SHELL_SANITIZE, AS_IF, _AS_ECHO_LOG)
	(AS_MESSAGE, AS_ERROR, AS_BASENAME, _AS_BASENAME_PREPARE)
	(_AS_DIRNAME_EXPR, AS_DIRNAME, _AS_DIRNAME_PREPARE, AS_ECHO)
	(AS_ECHO_N, AS_TEST_X, AS_EXECUTABLE_P, _AS_ME_PREPARE)
	(_AS_LINENO_PREPARE, AS_LN_S, AS_MKDIR_P, _AS_PATH_WALK)
	(AS_SET_CATFILE, AS_HELP_STRING, AS_TMPDIR, AS_VERSION_COMPARE)
	(_AS_TR_SH_PREPARE, AS_TR_SH, _AS_TR_CPP_PREPARE, AS_TR_CPP)
	(_AS_TR_PREPARE, AS_VAR_APPEND, AS_VAR_PUSHDEF)
	(AS_INIT_GENERATED): Use fewer dnl in m4sh macro bodies.

2008-10-23  Paolo Bonzini  <bonzini@gnu.org>
	and Eric Blake  <ebb9@byu.net>

	Use a shell function for _AC_RUN_IFELSE.
	* lib/autoconf/general.m4 (_AC_RUN_IFELSE_BODY): New macro.
	(_AC_RUN_IFELSE): Use a shell function.
	(_AC_RUN_LOG): Avoid subshell for logging.

2008-10-23  Eric Blake  <ebb9@byu.net>

	Formatting tweak: balance () with m4sh case statements.
	* lib/m4sugar/m4sh.m4 (_AS_DETECT_BETTER_SHELL)
	(_AS_SHELL_SANITIZE, _AS_ECHO_N_PREPARE, _AS_ECHO_PREPARE)
	(AS_SET_CATFILE, _AS_TEST_PREPARE): Add strategic shell comments.
	(_AS_CASE, _AS_CASE_DEFAULT, AS_CASE): Rearrange newlines, to
	allow output of strategic shell comments.
	(AS_VERSION_COMPARE): Use AS_CASE.
	* tests/m4sh.at (AS@&t@_IF and AS@&t@_CASE): Enhance test.

2008-10-22  Jim Meyering  <meyering@redhat.com>

	AC_FUNC_GETGROUPS: always define $ac_cv_func_getgroups_works
	* lib/autoconf/functions.m4 (AC_FUNC_GETGROUPS): Always define
	the shell variable, $ac_cv_func_getgroups_works.  Otherwise, if
	it is set to "yes" in the environment and configure is run on
	a system like mingw that lacks the getgroups function, it would
	mistakenly define HAVE_GETGROUPS.  Reported by Simon Josefsson in
	<http://thread.gmane.org/gmane.comp.lib.gnulib.bugs/15354>.

2008-10-22  Paolo Bonzini  <bonzini@gnu.org>
	and Eric Blake  <ebb9@byu.net>

	Use a shell function for _AC_LINK_IFELSE.
	* lib/autoconf/general.m4 (_AC_LINK_IFELSE_BODY): New macro.
	(_AC_LINK_IFELSE): Use a shell function.

2008-10-22  Eric Blake  <ebb9@byu.net>

	Fix autoconf logging commands.
	* lib/autoconf/general.m4 (AC_MSG_RESULT_UNQUOTED, _AC_EVAL)
	(_AC_EVAL_STDERR, AC_RUN_LOG): Respect as_lineno.
	(_AC_DO_ECHO): Likewise, and use fewer dnl.
	(_AC_RUN_LOG_STDERR): Avoid subshell for logging.

2008-10-22  Eric Blake  <ebb9@byu.net>

	Fix testsuite failure.
	* tests/mktests.sh (ac_exclude_list): Don't generate test for
	AC_REQUIRE_SHELL_FN.

2008-10-21  Eric Blake  <ebb9@byu.net>

	Improve wording related to automake and autotest.
	* doc/autoconf.texi (Making testsuite Scripts): Clarify wording in
	relation to automake.  Mention dependency on package.m4.
	Consolidate examples.  Define AUTOM4TE.
	* THANKS: Update.
	Reported by William Pursell.

2008-10-21  Eric Blake  <ebb9@byu.net>

	Allow AS_VAR_SET_IF in shell lists.
	* lib/m4sugar/m4sh.m4 (AS_VAR_SET_IF): Allow continuation of
	line.
	* lib/autoconf/general.m4 (AC_CACHE_VAL): Supply newline no longer
	provided by AS_VAR_SET_IF.
	* lib/autoconf/headers.m4 (_AC_CHECK_HEADER_MONGREL): Adjust
	clients.
	* lib/autoconf/libs.m4 (AC_SEARCH_LIBS): Likewise.
	* tests/m4sh.at (AS@&t@_VAR basics): Enhance test.

	Allow AS_VAR_IF in shell lists.
	* lib/m4sugar/m4sh.m4 (AS_VAR_IF): Allow continuation of line.
	* lib/autoconf/functions.m4 (AC_CHECK_FUNC): Adjust clients.
	* lib/autoconf/general.m4 (AC_CHECK_FILE, AC_CHECK_DECL):
	Likewise.
	* lib/autoconf/headers.m4 (_AC_CHECK_HEADER_MONGREL)
	(_AC_CHECK_HEADER_NEW, _AC_CHECK_HEADER_OLD)
	(_AC_CHECK_HEADER_DIRENT): Likewise.
	* lib/autoconf/libs.m4 (AC_CHECK_LIB): Likewise.
	* lib/autoconf/types.m4 (_AC_CHECK_TYPE_NEW, AC_CHECK_MEMBER):
	Likewise.
	* tests/m4sh.at (AS@&t@_VAR basics): Enhance test.

	Allow AS_CASE in shell lists.
	* lib/m4sugar/m4sh.m4 (AS_CASE): Always execute test, in case of
	side effects.  Allow continuation of script on same line as esac.
	* lib/autoconf/c.m4 (AC_PROG_CC_STDC): Adjust client.
	* tests/m4sh.at (AS@&t@_IF and AS@&t@_CASE): Enhance test.
	* NEWS: Document the subtle change.

	Allow AS_IF in shell lists.
	* lib/m4sugar/m4sh.m4 (AS_IF): Always execute test, in case of
	side effects.  Allow continuation of script on same line as fi.
	(_AS_DETECT_BETTER_SHELL): Adjust clients.
	(AS_VAR_IF, AS_VAR_SET_IF): For now, supply newline no longer
	given by AS_IF.
	* lib/autoconf/c.m4 (_AC_PROG_PREPROC_WORKS_IFELSE): Likewise.
	* lib/autoconf/general.m4 (_AC_ENABLE_IF): Likewise.
	(AC_EGREP_CPP, _AC_RUN_IFELSE): Adjust client.
	* lib/autoconf/libs.m4 (AC_SEARCH_LIBS): Likewise.
	* doc/autoconf.texi (Common Shell Constructs) <AS_IF>: Fix typo.
	(Polymorphic Variables): Move mention of dnl to the only two
	AS_VAR functions that need it.

2008-10-21  Paolo Bonzini  <bonzini@gnu.org>
	and Eric Blake  <ebb9@byu.net>

	Use a shell function for _AC_COMPILE_IFELSE.
	* lib/autoconf/general.m4 (_AC_COMPILE_IFELSE_BODY): New macro.
	(_AC_COMPILE_IFELSE): Use a shell function.

2008-10-21  Eric Blake  <ebb9@byu.net>

	Use AS_VAR_APPEND.
	* lib/autoconf/functions.m4 (AC_CHECK_FUNCS_ONCE): Use new macro.
	* lib/autoconf/general.m4 (_AC_INIT_PREPARE)
	(_AC_LIBOBJS_NORMALIZE): Likewise.
	* lib/autoconf/headers.m4 (AC_CHECK_HEADERS_ONCE): Likewise.
	* lib/autoconf/status.m4 (_AC_OUTPUT_SUBDIRS)
	(_AC_OUTPUT_CONFIG_STATUS, _AC_OUTPUT_MAIN_LOOP): Likewise.
	* lib/autotest/general.m4 (AT_INIT): Likewise.

	Add AS_VAR_APPEND.
	* lib/m4sugar/m4sh.m4 (_AS_VAR_APPEND_PREPARE)
	(_AS_VAR_APPEND_WORKS, AS_VAR_APPEND): New macros.
	(AS_PREPARE, _AS_PREPARE): Emit preparation.
	* tests/m4sh.at (AS@&t@_VAR_APPEND): New test.
	* doc/autoconf.texi (Polymorphic Variables) <AS_VAR_APPEND>:
	Document new macro.
	<AS_VAR_SET>: Mention ramification of `""` rules.
	* NEWS: Mention new macro.

2008-10-21  Paolo Bonzini  <bonzini@gnu.org>
	and Eric Blake  <ebb9@byu.net>

	Use a shell function for _AC_PREPROC_IFELSE.
	* lib/autoconf/general.m4 (_AC_PREPROC_IFELSE_BODY): New macro.
	(_AC_PREPROC_IFELSE): Use a shell function.
	* lib/m4sugar/m4sh.m4 (AS_REQUIRE): Factor for faster execution.
	(AS_REQUIRE_SHELL_FN): Bypass AS_REQUIRE if function has already
	been provided.

2008-10-21  Eric Blake  <ebb9@byu.net>

	Add banners to generated files.
	* lib/m4sugar/m4sh.m4 (_AS_SHELL_SANITIZE): Use m4_text_box for
	existing banner.
	(AS_INIT): Add new banners at strategic points.
	* lib/autoconf/general.m4 (AC_INIT): Alter banner location, and
	make consistent with other banners.
	* lib/autotest/general.m4 (AT_INIT): Make banners consistent.

2008-10-20  Paolo Bonzini  <bonzini@gnu.org>

	Add AC_REQUIRE_SHELL_FN and the SHELL_FN diversion.
	* lib/autoconf/general.m4 (AC_REQUIRE_SHELL_FN): New.
	(m4_divert(SHELL_FN)): New.

2008-10-20  Eric Blake  <ebb9@byu.net>

	Avoid unportable use of echo in testsuite.
	* tests/m4sh.at (AS@&t@_VAR basics): Use AS_ECHO, since string
	contains backslash.

2008-10-18  Paolo Bonzini  <bonzini@gnu.org>

	Make sure that nested AS_REQUIRE do not lose the desired diversion.
	* lib/m4sugar/m4sh.m4 (AS_REQUIRE): Expand _m4_divert_desired before
	passing it to m4_divert_require, so that its content is not used
	anymore.
	* tests/m4sh.at (Nested AS_REQUIRE): New testcase.

2008-10-18  Eric Blake  <ebb9@byu.net>

	Document bugs in { } handling.
	* doc/autoconf.texi (Limitations of Builtins): Mention bug on
	empty list.

	Fix some testsuite failures introduced two days ago.
	* tests/m4sh.at (Nested AS@&t@_REQUIRE_SHELL_FN)
	(AS@&t@_REQUIRE_SHELL_FN and m4@&t@_require): Adjust to changed
	API.
	Reported by Ralf Wildenhues.

2008-10-18  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Show how to extract single substitutions from config.status.
	* doc/autoconf.texi (config.status Invocation): Show example
	using `--file=-'.

2008-10-17  Eric Blake  <ebb9@byu.net>

	Add m4_curry.
	* lib/m4sugar/m4sugar.m4 (m4_curry, _m4_curry): New macros.
	* tests/m4sugar.at (m4@&t@_map_args): Rename...
	(m4@&t@_map_args and m4@&t@_curry): ...and add currying tests.
	* doc/autoconf.texi (Looping constructs) <m4_map_args>: Document
	currying as a way to add parameters.
	(Evaluation Macros) <m4_curry>: Document the new macro.
	* NEWS: Likewise.

	Improve suggested test filtering.
	* lib/m4sugar/m4sh.m4 (_AS_DETECT_SUGGESTED_PRUNE): New macro,
	extracted from...
	(_AS_DETECT_BETTER_SHELL): ...here, to use faster API.  No need to
	check for an empty required set.

	Add m4_set_map.
	* lib/m4sugar/m4sugar.m4 (m4_set_foreach): New macro.
	* tests/m4sugar.at (m4@&t@_set): Enhance test.
	* doc/autoconf.texi (Set manipulation Macros) <m4_set_map>:
	Document it.
	* NEWS: Likewise.

	Document m4_map_args.
	* lib/m4sugar/m4sugar.m4 (m4_transform, m4_transform_pair):
	Rename...
	(m4_map_args, m4_map_args_pair): ...to these names, and document.
	(m4_version_unletter): Use the interface.
	* lib/m4sugar/foreach.m4 (m4_map_args, m4_map_args_pair)
	(_m4_map_args_, _m4_map_args_pair_, _m4_map_args_pair_end):
	Perform same renames.
	* lib/m4sugar/m4sh.m4 (AS_CASE, AS_IF): Adjust callers.
	* tests/m4sugar.at (m4@&t@_map_args): New test.
	(recursion): Adjust caller.
	* tests/m4sh.at (AS@&t@_IF and AS@&t@_CASE): Likewise.
	* doc/autoconf.texi (Looping constructs) <m4_map_args>: Document
	this interface.
	* NEWS: Mention the new macros.

2008-10-17  Eric Blake  <ebb9@byu.net>

	Reduce vertical whitespace in configure.
	* lib/autoconf/general.m4 (AC_INIT): Silence newline output during
	m4 side effect initializations.
	* lib/m4sugar/m4sh.m4 (AS_PREPARE): Likewise.

2008-10-17  Eric Blake  <ebb9@byu.net>

	Document AS_VAR interfaces.
	* doc/autoconf.texi (Programming in M4sh): M4sh is now prime-time.
	(Polymorphic Variables): New node.
	* NEWS: Update accordingly.

	Test AS_VAR interfaces.
	* tests/m4sh.at (AS@&t@_VAR): New test.
	* lib/m4sugar/m4sh.m4 (AS_VAR_PUSHDEF): Force expansion of
	_AS_TR_SH_PREPARE at top level, rather than argument collection.
	(AS_TR_SH): Support command substitution.

	Add AS_VAR_COPY.
	* lib/m4sugar/m4sh.m4 (AS_VAR_COPY): New macro.
	(AS_VAR_IF): Use it, instead of the broken AS_VAR_GET.
	* lib/autoconf/general.m4 (AC_CACHE_CHECK): Likewise.
	* lib/autoconf/libs.m4 (AC_SEARCH_LIBS): Likewise.
	* lib/autotest/general.m4 (_AT_FINISH): Likewise.

	Sort AS_VAR_* interfaces.
	* lib/m4sugar/m4sh.m4 (AS_VAR_GET): Reduce output to one line.
	(AS_VAR_TEST_SET, AS_VAR_SET, AS_VAR_SET_IF, AS_VAR_POPDEF): Sort,
	no code changes.

2008-10-16  Eric Blake  <ebb9@byu.net>

	Allow comments before functions emitted by m4sh.
	* lib/m4sugar/m4sh.m4 (AS_REQUIRE_SHELL_FN): Add comment
	argument.  Supply closing comment, to ease readability.
	(_AS_MKDIR_P_PREPARE): Adjust caller.
	(_AS_UNSET_PREPARE): Add comment.

	Add AS_FUNCTION_DESCRIBE.
	* lib/m4sugar/m4sh.m4 (AS_FUNCTION_DESCRIBE): New macro.
	* lib/autotest/general.m4 (AT_INIT): Use it.

2008-10-16  Eric Blake  <ebb9@byu.net>

	Speed up m4_qlen with caching.
	* lib/m4sugar/m4sugar.m4 (_m4_qlen): Renamed from old m4_qlen.
	(m4_qlen): Cache results for speed.

2008-10-16  Paolo Bonzini  <bonzini@gnu.org>

	Add a testcase using more then one language.
	* tests/compile.at (Multiple languages): New test.

2008-10-16  Paolo Bonzini  <bonzini@gnu.org>

	Fix Libtool's config.lt test.
	* lib/m4sugar/m4sh.m4 (_AS_PREPARE): Disable AS_REQUIRE while
	expanding it.

2008-10-15  Eric Blake  <ebb9@byu.net>

	Break circular require chain in _AS_LINENO_PREPARE.
	* lib/m4sugar/m4sh.m4 (_AS_LINENO_PREPARE): Ensure that logging is
	disabled when reporting LINENO failure, since logging requires
	LINENO.
	* doc/autoconf.texi (Initialization Macros): Recommend m4_pushdef,
	not m4_rename, since the latter is undocumented.
	* lib/autoconf/status.m4 (_AC_OUTPUT_CONFIG_STATUS): Avoid
	m4_rename, as it does not yet handle pushdef stacks.
	Reported by Ralf Wildenhues.

2008-10-15  Eric Blake  <ebb9@byu.net>

	Cleanups to previous patches.
	* doc/autoconf.texi (Portable Shell): Minor edits.
	(Limitations of Builtins): Touch up wording.
	* lib/m4sugar/m4sh.m4 (AS_LINENO_PUSH): Nuke trailing whitespace.
	(_AS_SHELL_SANITIZE): Wrap comments less than 80 columns.

2008-10-15  Paolo Bonzini  <bonzini@gnu.org>

	Updates to shell portability documentation.
	* doc/autoconf.texi: Updates all references to "Portable Shell" and
	"Limitations of Builtins" to use three-argument commands.
	(Programming in M4sh): Document AS_ECHO, AS_ECHO_N, AS_UNSET.
	(Portable Shell): Move here discussion about "Where is the POSIX
	shell?"  Mention that M4sh provides a SVR2 shell and takes care
	of unsetting variables if necessary.  Talk about M4sh and not only
	Autoconf-generated scripts.
	(Special Shell Variables): Talk about M4sh and not only
	Autoconf-generated scripts.  Don't talk about things that Autoconf
	does not do.  Mention problems of $LINENO with shell functions.
	(Limitations of Builtins).  Mention AS_ECHO and AS_ECHO_N.  Move
	discussion of eval bugs before discussion on proper use of eval.
	Mention AS_IF.  Reword why not to use "shift N".  Mention "foo=;
	unset foo" trick.  Include M4sh code that unsets MAIL for Bash 2.01.
	* NEWS: Update list of documented M4sh macros.

2008-10-15  Paolo Bonzini  <bonzini@gnu.org>

	Assume a (possibly buggy) `unset' is present after a
	`better shell' was found.
	* lib/autoconf/general.m4 (_AC_CACHE_DUMP): Use AS_UNSET.
	* lib/autoconf/programs.m4 (AC_PROG_SED): Use AS_UNSET.
	* lib/m4sugar/m4sh.m4 (_AS_UNSET_PREPARE): Provide $as_unset as an
	alias for AS_UNSET, for backwards compatibility.
	(_AS_DETECT_BETTER_SHELL): Set BASH_ENV and ENV to /dev/null in case
	the shell does not support unset.
	(_AS_SHELL_SANITIZE): Work around Bash 2.01 bugs.  Unset BASH_ENV.
	(AS_INIT, _AS_PREPARE, AS_PREPARE): Call it.
	(AS_UNSET): Assume it is there but it might fail if the variable is
	not set.  Use it throughout instead of $as_unset.

2008-10-15  Paolo Bonzini  <bonzini@gnu.org>

	Turn AS_SHELL_SANITIZE into a for-Libtool-only wrapper.
	* lib/m4sugar/m4sh.m4 (_AS_DETECT_REQUIRED, _AS_DETECT_SUGGESTED): Remove
	m4_require of _AS_DETECT_BETTER_SHELL.
	(_AS_CLEANUP): Add it here.
	(_AS_DETECT_BETTER_SHELL): Just expand the test instead of appending it
	to _AS_CLEANUP.
	(_AS_SHELL_SANITIZE): New name of the old AS_SHELL_SANITIZE macro.
	(AS_SHELL_SANITIZE): New macro hacking around Libtool misuse.
	(AS_PREPARE): Use _AS_SHELL_SANITIZE.
	(AS_INIT): Add m4_provide of itself.

2008-10-15  Paolo Bonzini  <bonzini@gnu.org>

	Use "test x$foo = xyes" to avoid upsetting Libtool's sh.test.
	* lib/m4sugar/m4sh.m4 (_AS_DETECT_BETTER_SHELL, _AS_SHELL_FN_WORK): Use
	"test x$foo = xyes".

2008-10-15  Paolo Bonzini  <bonzini@gnu.org>

	Trim down the size of the better-shell test.
	* lib/m4sugar/m4sh.at (_AT_DETECT_BETTER_SHELL): Store the common
	snippets into shell variables.
	(_AS_RUN): Rewrite.

2008-10-15  Paolo Bonzini  <bonzini@gnu.org>

	Support a stack of LINENO values for AS_MESSAGE.
	* lib/m4sugar/m4sh.m4 (_AS_ECHO_LOG): If defined, use $as_lineno as
	the line number emitted to the log file.
	(AS_LINENO_PUSH, AS_LINENO_POP): New.
	* tests/m4sh.at (LINENO Stack): New test.

2008-10-14  Eric Blake  <ebb9@byu.net>

	Correct previous patch.
	* doc/autoconf.texi (Shell Functions): Bash obeys Posix, after
	all.

	Document shell function environment pitfall.
	* doc/autoconf.texi (Shell Functions): Document bugs in bash,
	Solaris /bin/sh.

2008-10-14  Paolo Bonzini  <bonzini@gnu.org>

	Use m4_require to implement AS_REQUIRE.
	* lib/m4sugar/m4sugar.m4 (_m4_require_call): Accept a third argument.
	(m4_require): Pass it.
	(m4_divert_require): New.
	* lib/m4sugar/m4sh.m4 (AS_REQUIRE): Rewrite using m4_divert_require.
	Remove comment about differences with m4_require.
	* tests/m4sh.at (AS_REQUIRE_SHELL_FN and m4_require): Update to test
	the expected behavior.
	(Nested AS_REQUIRE_SHELL_FN): New test.

2008-10-13  Paolo Bonzini  <bonzini@gnu.org>

	Test AS_LINENO_PREPARE.
	* tests/m4sh.at: Use documented AS_LINENO_PREPARE.

2008-10-13  Paolo Bonzini  <bonzini@gnu.org>

	Test AS_ME_PREPARE.
	* tests/m4sh.at (as_me): New test.

2008-10-13  Paolo Bonzini  <bonzini@gnu.org>

	Add and document AS_INIT_GENERATED.
	* lib/m4sugar/m4sh.m4 (AS_INIT_GENERATED): New.
	* lib/autoconf/status.m4 (_AC_OUTPUT_CONFIG_STATUS): Use it.
	* doc/autoconf.texi (Initialization macros): Document it.

2008-10-13  Eric Blake  <ebb9@byu.net>

	Use consistent shell function style.
	* lib/m4sugar/m4sh.m4 (_AS_PREPARE, AS_REQUIRE_SHELL_FN)
	(_AS_SHELL_FN_WORK): Imitate GNU Coding Standards for C
	functions.

2008-10-13  Paolo Bonzini  <bonzini@gnu.org>

	* lib/m4sugar/m4sh.m4 (_AS_LINENO_PREPARE): Place names of
	contributors under m4 rather than shell comments.

2008-10-10  Paolo Bonzini  <bonzini@gnu.org>

	* lib/m4sugar/m4sh.m4 (AS_ME_PREPARE, AS_LINENO_PREPARE): New.
	* doc/autoconf.texi (Initialization macros): Document them.
	(Portable Shell): Refer to AS_LINENO_PREPARE.
	* NEWS: Mention them.

	* bin/autoconf.as: Invoke AS_ME_PREPARE.
	* lib/autotest/general.m4: Likewise.

2008-10-10  Paolo Bonzini  <bonzini@gnu.org>

	* doc/autoconf.texi (Programming in M4sh): Make its own chapter.

2008-10-10  Eric Blake  <ebb9@byu.net>

	Fix _AS_MKDIR_P usage.
	* lib/m4sugar/m4sh.m4 (_AS_MKDIR_P): Correct documentation to
	match implementation.
	(_AS_PREPARE, _AS_MKDIR_P_PREPARE): Adjust callers.
	* doc/autoconf.texi (Programming in M4sh) <AS_MKDIR_P>: Tweak
	wording to better match behavior.

2008-10-10  Paolo Bonzini  <bonzini@gnu.org>

	* doc/autoconf.texi: Be less wary of shell functions.
	* NEWS: Document the increased use of shell functions.

2008-10-10  Paolo Bonzini  <bonzini@gnu.org>

	* m4sugar/m4sh.m4 (_AS_MKDIR_P): New, from AS_MKDIR_P.  Adjust
	meaning of as_mkdir_p to be `false' or a full `mkdir -p' command.
	(AS_MKDIR_P): Just dispatch to as_func_mkdir_p.
	(_AS_PREPARE): Define shell functions.
	(_AS_MKDIR_P_PREPARE): Set as_mkdir_p according to the above change.
	Define shell functions.

2008-10-09  Eric Blake  <ebb9@byu.net>

	Only prepare $as_me if it will be used.
	* lib/m4sugar/m4sh.m4 (AS_SHELL_SANITIZE): Avoid unconditional
	preparation.
	(_AS_ECHO_LOG): Depend on $LINENO preparation.
	(AS_MESSAGE): Depend on $as_me preparation.
	(AS_TMPDIR): Use AS_ERROR, rather than a hand-rolled copy.

2008-10-09  Paolo Bonzini  <bonzini@gnu.org>

	* m4sugar/m4sh.m4 (AS_SHELL_SANITIZE): Delay setting as_me
	until the M4SH-INIT diversion using _AS_ME_PREPARE.
	(_AS_PREPARE): Invoke _AS_EXPR_PREPARE before _AS_BASENAME_PREPARE
	and _AS_DIRNAME_PREPARE, and _AS_BASENAME_PREPARE and _AS_ME_PREPARE
	before _AS_LINENO_PREPARE.
	(AS_PREPARE): Include all the AS_REQUIREs manually.
	(_AS_ME_PREPARE): New.
	(_AS_LINENO_PREPARE): Use m4_defun.

2008-10-09  Paolo Bonzini  <bonzini@gnu.org>

	* m4sugar/m4sh.m4 (_AS_BASENAME_EXPR, _AS_DIRNAME_EXPR): Do not
	require _AS_EXPR_PREPARE.
	(_AS_BASENAME_PREPARE, _AS_DIRNAME_PREPARE): Do it here.
	(_AS_PREPARE): Add _AS_BASENAME_PREPARE.

2008-10-08  Eric Blake  <ebb9@byu.net>

	Resync from gnulib.
	* cfg.mk (cvs_executable_files, cvs_files): Rewrite...
	(fetch): ...into new target.
	(executable-update): Delete, now that it is unused.
	* maint.mk (update, local_updates, cvs_files, gnulib_repo)
	(wget-update, cvs-update): Likewise.
	* HACKING (Update the foreign files): Document new procedure.
	* GNUmakefile: Resync from upstream, via new 'make fetch'.
	* build-aux/config.guess: Likewise.

2008-10-08  Paolo Bonzini  <bonzini@gnu.org>

	* lib/m4sugar/m4sh.m4 (_AS_SHELL_FN_SPY): Remove.
	(AS_INIT): Do not call it.

2008-10-08  Paolo Bonzini  <bonzini@gnu.org>

	* lib/m4sugar/m4sh.m4 (_AS_DETECT_BETTER_SHELL): Expand
	_AS_UNSET_PREPARE in M4SH-SANITIZE.

2008-10-08  Eric Blake  <ebb9@byu.net>

	Avoid repeating required shell tests in suggested set.
	* lib/m4sugar/m4sh.m4 (_AS_DETECT_REQUIRED, _AS_DETECT_SUGGESTED):
	Use m4_set, rather than m4_expand_once/m4_append.
	(_AS_DETECT_SUGGESTED): Adjust to new storage layout, and filter
	required tests out of suggested tests.
	Reported by Paolo Bonzini.

2008-10-08  Paolo Bonzini  <bonzini@gnu.org>

	Add m4sh keyword to all m4sh.at tests.
	* tests/m4sh.at: Add m4sh keyword to all tests.  Fix comment
	pastos.

2008-10-08  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Document AS_VERSION_COMPARE.
	* doc/autoconf.texi (Programming in M4sh): Document
	AS_VERSION_COMPARE.
	* NEWS: Update.

	Do not write to testsuite log fd before initialization.
	* lib/autotest/general.m4 (AS_MESSAGE_LOG_FD, AT_JOB_FIFO_FD):
	Define fds only when initializing the log fd so early error
	messages do not try to write to it.
	* tests/autotest.at (Startup error messages): New test.
	* NEWS: Document this 2.63 regression.

2008-10-07  Eric Blake  <ebb9@byu.net>

	Ensure _AS_CLEANUP is defined.
	* lib/m4sugar/m4sh.m4 (_AS_CLEANUP): Give initial definition.
	* tests/m4sh.at (AS@&t@_INIT cleanup): Expose the need for this.

	Improve m4sh maintainability.
	* lib/m4sugar/m4sh.m4: Sort macros for sanitizing the shell; no
	code change.

	Fix m4 quoting in previous patch.
	* lib/m4sugar/m4sh.m4 (AS_REQUIRE_SHELL_FN): Determine diversion
	name prior to invoking AS_REQUIRE.
	Reported by Ralf Wildenhues.

2008-09-18  Paolo Bonzini  <bonzini@gnu.org>
	and Eric Blake  <ebb9@byu.net>

	Add a separate diversion for shell functions.
	* lib/m4sugar/m4sh.m4 (M4SH-INIT-FN): New diversion.
	(AS_REQUIRE): Accept diversion parameter.
	(AS_REQUIRE_SHELL_FN): Use it.

2008-10-06  Eric Blake  <ebb9@byu.net>

	Add m4_default_quoted.
	* lib/m4sugar/m4sugar.m4 (m4_default_quoted): New macro.
	(m4_for, m4_expand_once, m4_text_wrap, m4_text_box): Use it.
	* doc/autoconf.texi (Conditional constructs): Document it.
	* NEWS: Likewise.

	Fix build with case-insensitive make, again.
	* Makefile.am (pkgdata_DATA): Protect by MAKE_CASE_SENSITIVE.
	Reported via Keith Marshall, originally by newthinker in
	<http://thread.gmane.org/gmane.comp.gnu.mingw.user/27725>.

2008-10-06  Bruno Haible  <bruno@clisp.org>

	Warn about /usr/ucb on Solaris.
	* doc/install.texi (Particular Systems): Recommend putting
	/usr/ucb late in PATH, if at all.

2008-10-03  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix more testsuite hang corner cases.
	* lib/autotest/general.m4: Use the serial code path if no test
	is to be run.
	* tests/autotest.at (parallel test execution): Test -j and -jN
	with `-k notmatched'.

2008-10-02  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Fix hang with `testsuite -k notmatched'.
	* lib/autotest/general.m4: Do not reset $at_jobs if it is equal
	to one.  Fixes hang with `-k notmatched'.

2008-10-02  Eric Blake  <ebb9@byu.net>

	Document more binary file portability traps.
	* doc/autoconf.texi (Limitations of Usual Tools) <sed>: Remind
	reader that NUL and sed don't always mix.
	<tr>: Mention Solaris /usr/ucb/tr bug with \0.

2008-10-02  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Implement parallel Autotest test execution: testsuite --jobs.
	* lib/autotest/general.m4 (AT_JOB_FIFO_FD): New macro.
	(AT_INIT): <at_jobs>: New variable.
	Accept -j, -jN, --jobs[=N], document them in --help output.
	Implement parallel driver loop using a FIFO, enabled with --jobs
	and if mkfifo works; otherwise, fall back to sequential loop.
	(AT_SETUP): Store, do not output summary progress line if
	parallel.
	* tests/autotest.at (parallel test execution, parallel truth)
	(parallel fallacy, parallel skip): New tests.
	* doc/autoconf.texi (testsuite Invocation): Document -j, --jobs,
	the mkfifo requirement, and that --errexit may cause concurrent
	jobs to finish.
	* NEWS: Update.

2008-09-20  Eric Blake  <ebb9@byu.net>

	Fix sample isinf definition.
	* doc/autoconf.texi (Function Portability) <isinf>: Filter out NaN
	first.
	* THANKS: Update.
	Reported by David Cournapeau.

2008-09-16  Eric Blake  <ebb9@byu.net>

	Fix Erlang regression, introduced 2006-11-17.
	* lib/autoconf/erlang.m4 (AC_LANG(Erlang)): Avoid M4 comment
	caused by underquoting.
	* NEWS: Mention this fix.
	* THANKS: Update.
	Reported by BJ Terry.

2008-09-13  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/general.m4 (AC_CONFIG_AUX_DIRS): Improve a bit.

	Mention Solaris sh ':' redirection bug.
	* doc/autoconf.texi (File Descriptors): Redirecting ':'
	in a loop causes bogus optimization with Solaris sh.

2008-09-10  Eric Blake  <ebb9@byu.net>

	Avoid testsuite bug when autom4te cache is disabled by user.
	* tests/tools.at (autoconf: forbidden tokens, basic): Enable
	cache, even if user normally disabled it.
	Reported by Bruno Haible.

	Avoid testsuite bug in presence of verbose config.site.
	* tests/base.at (Input/Output): Nullify config.site during test.
	Reported by Bob Friesenhahn.

2008-09-09  Eric Blake  <ebb9@byu.net>

	Release Version 2.63.
	* NEWS: Mention the release.

	Formatting tweaks to the manual.
	* doc/autoconf.texi (Introduction, Systemology)
	(File System Conventions, Portable C and C++)
	(Floating Point Portability): Allow URLs to split as needed.
	(Indices): Add entries, to work around texinfo bug on indices that
	start too close to a page break.
	(Particular Functions): Mention ftello.
	(Introduction, Language Choice): Use @enddots at sentence end.

	Resync from gnulib.
	* cfg.mk (cvs_executable_files, cvs_files): Update list of files,
	although for now, they are still manually sync'd.
	* build-aux/gnupload: Update.
	* build-aux/config.sub: Likewise.
	* GNUmakefile: Likewise.

2008-09-06  Eric Blake  <ebb9@byu.net>

	Mention that Automake already supports VPATH.
	* doc/autoconf.texi (Build Directories): Details in this section
	only apply to users avoiding automake.
	* THANKS: Update.
	Reported by Matej Tyc.

	Relax tone when warning about cross-compiler names.
	* lib/autoconf/programs.m4 (_AC_TOOL_WARN): Support cross-compiles
	with poorly named tools; the issue has been reported too many
	times in the last four years to pull support.
	* doc/autoconf.texi (Specifying Names, Generic Programs): Update
	documentation accordingly.
	* THANKS: Update.
	Reported by Josef Tran and others, wording suggested by Ralf
	Wildenhues.

2008-09-01  Eric Blake  <ebb9@byu.net>

	Improve AC_C_BIGENDIAN.
	* doc/autoconf.texi (C Compiler) <AC_C_BIGENDIAN>: Mention that
	universal builds require a config header.
	* lib/autoconf/c.m4 (AC_C_BIGENDIAN): Enhance comments.  Check
	AH_HEADER at the last possible moment, so that users can use
	AC_CONFIG_HEADER after this macro.
	Reported by Stepan Kasal.

	Fix manual date information.
	* doc/autoconf.tex: UPDATED refers to the day the manual was
	built, not the release date of Autoconf.
	Based on a bison patch by Akim Demaille.

2008-08-27  Eric Blake  <ebb9@byu.net>

	Fix off-by-one bug in _m4_shiftn.
	* lib/m4sugar/foreach.m4 (_m4_shiftn): Handle case when shifting
	all arguments.
	* tests/m4sugar.at (M4 loops): Test it.
	Reported by Akim Demaille.

2008-08-26  Eric Blake  <ebb9@byu.net>

	Improve INSTALL formatting.
	* doc/install.texi [!autoconf]: Ensure first paragraphs are
	indented like all others in a plain text rendering.
	* Makefile.am ($(srcdir)/INSTALL): Ensure plaintext formatting.
	Reported by Bruno Haible.

2008-08-26  Stepan Kasal  <skasal@redhat.com>

	Check for case sensitive make.
	* m4/make-check.m4 (AC_PROG_MAKE_CASE_SENSITIVE): New macro,...
	* configure.ac: ... called here.
	* Makefile.am ($(abs_srcdir)/INSTALL, INSTALL): Return to...
	($(srcdir)/INSTALL): ...this, but enclose the rule in
	"if MAKE_CASE_SENSITIVE".

2008-08-26  Eric Blake  <ebb9@byu.net>

	Update invocation documentation.
	* doc/autoconf.texi (autoscan Invocation): Mention --debug.
	(autoreconf Invocation): Mention -v.
	(autom4te Invocation): Tie --freeze to -F, not -f.
	(autoupdate Invocation): Mention --prepend-include.
	* doc/install.texi (configure Invocation): Mention --help=short,
	--help=recursive, -n/--no-create, --prefix.  Avoid TABs.
	* bin/autoscan.in ($help): Omit space before `...'.
	* bin/ifnames.in ($help): Likewise.
	* bin/autoconf.as (Usage): Likewise.
	* bin/autoreconf.in ($help): Likewise.
	* bin/autoheader.in ($help): Likewise.
	* bin/autom4te.in ($help): Likewise.
	* bin/autoupdate.in ($help): Likewise.
	* lib/autoconf/status.m4 (_AC_OUTPUT_CONFIG_STATUS): Use
	`[OPTION]...', rather than `[OPTIONS]'.  Mention --silent.  Indent
	--file correctly.

	Don't let frozen __m4_version__ break downgrade to m4 1.4.x.
	* bin/autom4te.in: Adjust comments, now that we rely on 1.4.5+.
	(files_to_options): Avoid inheriting __m4_version__ from frozen
	file if current M4 does not support it.

2008-08-25  Eric Blake  <ebb9@byu.net>

	Adjust to recent m4 1.6 change to support m4_debugmode(d).
	* lib/m4sugar/m4sugar.m4 (m4_defn, m4_popdef, m4_undefine): Move
	freeze-time decision of using faster 1.6 implementation...
	(m4_init): ...to a runtime decision, and add use of new debugmode
	flag.

2008-08-22  Peter O'Gorman  <pogma@thewrittenword.com>

	Limit AC_C_BIGENDIAN univeral checks to Mac OS X.
	* lib/autoconf/c.m4 (AC_C_BIGENDIAN): Limit the check to
	__APPLE_CC__ with possible -arch flags.
	* NEWS: Document it.

2008-08-22  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* NEWS: Fix typo.

2008-08-22  Eric Blake  <ebb9@byu.net>

	* TODO: Add an item for additional m4sugar looping constructs.
	Suggested by Ralf Wildenhues.

	Add reminder to keep dual implementations in sync.
	* lib/m4sugar/m4sugar.m4: Add comments.
	* lib/m4sugar/foreach.m4: Likewise.
	Suggested by Ralf Wildenhues.

2008-08-22  Peter Eisentraut  <peter_e@gmx.net>  (tiny change)

	Format warning and error messages to match GCS.
	* lib/autoconf/general.m4 (_AC_INIT_DIRCHECK)
	(_AC_INIT_PARSE_ARGS, _AC_CACHE_DUMP): Start warning and error
	messages with a lowercase letter, end them without punctuation.
	* lib/autoconf/lang.m4 (AC_NO_EXECUTABLES): Likewise.
	* lib/autoconf/libs.m4 (AC_PATH_X): Likewise.
	* lib/autoconf/status.m4 (AC_OUTPUT, _AC_OUTPUT_MAIN_LOOP):
	Likewise.
	* tests/fortran.at (GNU Fortran): Likewise.
	* tests/torture.at (Deep Package): Likewise.

2008-08-21  Eric Blake  <ebb9@byu.net>

	Avoid extra side effects in m4sugar list expansion.
	* lib/m4sugar/m4sugar.m4 (m4_mapall_sep, m4_list_cmp): Wrap
	around...
	(_m4_mapall_sep, _m4_list_cmp_raw): ...new helpers, to avoid
	duplicate side effects.
	(m4_version_compare): Adjust caller.
	* lib/m4sugar/foreach.m4 (m4_list_cmp): Rename...
	(_m4_list_cmp_raw): ...to match m4sugar.
	* doc/autoconf.texi (Looping constructs): Document the behavior of
	side effects.
	* tests/m4sugar.at (M4 loops, m4@&t@_map, m4@&t@_version_compare):
	Ensure only one side effect.
	(recursion): Fix test typo.
	Reported by Ralf Wildenhues.

2008-08-21  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* TODO: Add item for compiler default flags.
	Suggested by Bruno Haible.

	* tests/m4sh.at (AS_IF and AS_CASE): Set the expansion limit
	back to 1000.

2008-08-21  Eric Blake  <ebb9@byu.net>

	Formatting improvements.
	* doc/autoconf.texi: Use @file and @command, rather than @code,
	where appropriate.

	Document another make bug.
	* doc/autoconf.texi (The Make Macro SHELL): Mention bug in BSD
	make, GNU make <= 3.80.

	Tweak wording about SHELL in Makefile.
	* doc/autoconf.texi (The Make Macro SHELL): Stronger wording on
	the importance of proper SHELL settings.
	Reported by Bruno Haible, in
	http://lists.gnu.org/archive/html/bug-libtool/2008-04/msg00029.html.

2008-08-20  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Avoid timestamp races for updated input.
	* tests/m4sh.at (AS_IF and AS_CASE): Use `autom4te --force' for
	second script.
	* tests/tools.at (autotools and whitespace in file names): Add
	--force for repeated invocations.

2008-08-20  Bruno Haible  <bruno@clisp.org>

	Add section to INSTALL about particular systems.
	* doc/install.texi (Particular systems): New node.
	* doc/autoconf.texi: Adjust menus.

2008-08-19  Bruno Haible  <bruno@clisp.org>
	and Peter O'Gorman  <peter@pogma.com>

	Mention universal binaries in INSTALL.
	* doc/install.texi (Compiling For Multiple Architectures): Explain
	how to create universal binaries on MacOS X.

2008-08-19  Jim Meyering  <jim@meyering.net>
	    Eric Blake  <ebb9@byu.net>
	    Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Avoid shell parse errors after interrupt due to empty ``.
	* doc/autoconf.texi (Shell Substitutions): Document the issue.
	* lib/m4sugar/m4sh.m4 (AS_VAR_IF): New function.
	* lib/autoconf/functions.m4 (AC_CHECK_FUNC): Use it in place of
	"test AS_VAR_GET([...]) = yes"
	* lib/autoconf/general.m4 (AC_CHECK_FILE, AC_CHECK_DECL): Likewise.
	* lib/autoconf/headers.m4 (_AC_CHECK_HEADER_MONGREL): Likewise.
	(_AC_CHECK_HEADER_NEW, _AC_CHECK_HEADER_OLD): Likewise.
	(_AC_CHECK_HEADER_DIRENT): Likewise.
	* lib/autoconf/libs.m4 (AC_CHECK_LIB): Likewise.
	* lib/autoconf/types.m4 (_AC_CHECK_TYPE_NEW, AC_CHECK_MEMBER): Likewise.
	* lib/autoconf/status.m4 (_AC_OUTPUT_FILES_PREPARE): Use
	temporary variable to work around the issue.
	* tests/foreign.at (Libtool): Quote result of command
	substitution.

2008-08-18  Eric Blake  <ebb9@byu.net>

	Test m4_transform without tickling shell bugs.
	* tests/m4sh.at (AS@&t@_IF and AS@&t@_CASE): Relax test to
	something more manageable.
	* tests/m4sugar.at (recursion): Move stress test of
	m4_transform_pair here.
	Reported by Ralf Wildenhues.

	Let 'git diff' give better context for doc updates.
	* .gitattributes (*.texi*): Add new entry.
	* README-hacking: Mention how to use it.
	Inspired by a coreutils patch by Jim Meyering.

2008-08-15  Eric Blake  <ebb9@byu.net>

	Fix m4_map regression from 2007-10-16.
